fwts (25.11.00-0ubuntu1) resolute; urgency=medium

  [Al Korv]
  * fwts: skip the wake alarm suite if the feature is not implemented

  [Ivan Hu]
  * acpi: ras2: fix the wrong feature type check
  * acpi: method: add tests for _PCS and _PST power source methods (mantis 2478)
  * fwts-test: sync with the methods _PCS and _PST were added
  * acpi: srat: add RINTC affinity validation (mantis 2433)
  * fwts-test: srat: add regression test for the RINTC affinity data
  * acpi: madt: enforce PSCI when parking protocol deprecated (mantis 2425)
  * acpi: madt: handle GICR and ITS flags for ACPI 6.6 (mantis 2422)
  * acpi: method: extend _CPC test for ACPI 6.6 (mantis 2353)
  * acpi: method: add _VDM voltage domain test (mantis 2374)
  * acpi: madt: align MP wakeup struct with ACPI 6.6 (mantis 2404)
  * fwts-test: sync with the method _VDM was added
  * acpi: fpdt: update the FPDT records for ACPI 6.6 (mantis 2416)
  * fwts-test: sync up with fpdt records adding
  * acpi: remove standalone s3pt test
  * acpi: nhltdump: sync with ACPI 6.6 NHLT spec
  * acpi: nhlt: add ACPI 6.6 NHLT table test (mantis 2430)
  * fwts-test: sync up adding nhlt test
  * auto-packager: mkpackage.sh: add resolute 

 -- Ivan Hu <ivan.hu@ubuntu.com>  Fri, 28 Nov 2025 10:45:50 +0800

fwts (25.09.00-0ubuntu1) questing; urgency=medium

  [Colin Ian King]
  * ACPICA: Update to version 20250807

  [Ivan Hu]
  * dmicheck: minor code style clean-ups, no functional changes
  * smccc: minor code style clean-ups, no functional changes
  * smccc: move the smccc folder out of pci
  * acpi: msct: fix incorrect length check on max proximity domains
  * fwts-test: add regression tests for MSCT
  * wakealarm: skip the reset check when RTC time earlier than current system time
  * auto-packer: mkpackage.sh: use the github tag source directly

  [Weizhao Ouyang]
  * smccc_test: remove deprecated no_llseek to fix the compilation error

 -- Ivan Hu <ivan.hu@ubuntu.com>  Tue, 30 Sep 2025 13:26:07 +0800

fwts (25.07.00-0ubuntu1) questing; urgency=medium

  [G Edhaya Chandran]
  * smccc: Test for implementation of ARM_SMCCC functions
  * dmicheck: Validation in AARCH64 for Processor ID field in SMBIOS type04

  [Haibo Xu]
  * lib: Add fwts_architecture macro for RISC-V
  * acpi: rsdp: Add xsdt_address check for RISC-V
  * acpi: madt: update madt revisions to ACPI 6.6 and add RISC-V
  * acpi: madt: Add AIA and PLIC sub-tables test for RISC-V
  * acpi: rhct: Add tests for ACPI RHCT table
  * acpi: acpitables: Update acpitables test for ACPI 6.6

  [Ivan Hu]
  * acpi: aspt: update ASPT tests for official revision 1 specification
  * fwts-test: sync up the aspt revision 1 update
  * acpi: aspt: support for the aspt revision 2
  * fwts-test: add regression tests for ASPT v2
  * acpi: slit: remove the checking of the bi-directional equality
  * fwts: slit: sync up with the slit remove equality checking
  * lib: fwts_klog: return list null when klog read returns zero length
  * acpi: aspt: fix the lable of statement build error
  * auto-packager: mkpackage.sh: remove oracular
  * acpi: rhct: refine test result layout and format specifiers
  * fwts-test: add regression tests for RHCT
  * acpi: madt: fix the wrong length of the multiprocessor wakeup structure

  [Miao Wang]
  * lib: Enable checks and compilation on LoongArch

  [Sunil V L]
  * lib: Update current version to ACPI 6.6

 -- Ivan Hu <ivan.hu@ubuntu.com>  Wed, 30 Jul 2025 15:14:58 +0800

fwts (25.05.00-0ubuntu1) questing; urgency=medium

  [Colin Ian King]
  * ACPICA: Update to version 20250404

  [Gergo Koteles]
  * acpi: method: Fix _DDC test arguments

  [Heinrich Schuchardt]
  * lib/fwts_cpu: correct determination of SEV enablement
  * fwts.h: fix typo verision

  [Ivan Hu]
  * efi_runtime: Fix missing pending status update in getwakeuptime
  * aspm: fix dereference pointer rp_cap before null check
  * opal: fix the unexpected line format
  * kernelscan: fix structurally unreachable code
  * lib: fwts_log: fix the potential overflow for dumping all log fields
  * lib: fwts_memorymap: fix the unchecked end address for strtoull
  * lib: fwts_memorymap: fix failure to retrieve BIOS memory map from dmesg e820
  * autobrightness: fix calloc argument order for GCC 15 compatibility
  * auto-packager: mkpackage.sh: add questing
  * dmicheck: add total size read checking below maximum allowed

  [Mario Limonciello]
  * cpu/msr: Drop `VM_HSAVE_PA` from consistency checks

  [monty.zhao]
  * acpi: madt: fix false FAIL on missing GICC UID for disabled CPUs

 -- Ivan Hu <ivan.hu@ubuntu.com>  Tue, 27 May 2025 10:16:04 +0800

fwts (25.03.00-0ubuntu1) plucky; urgency=medium

  [Ivan Hu]
  * acpi: cedt: update the cedt tests for CXL spec rev3.2
  * fwts-test: cedt: sync up tests with CEDT version update
  * acpi: apmt: add tests for acpi APMT table
  * fwts-test: add regression tests for APMT
  * klog.json: Add the thread create failed message to klog database
  * klog.json: Add more spcr access width messages to klog database
  * klog.json: Add more cppc checking and sending messages to klog database
  * klog.json: Add more intel pmic messages to klog database
  * klog.json: Add nfit intel messages to klog database
  * klog.json: Add ACPI fpdt messages to klog database
  * klog.json: Add EC timeout messages to klog database
  * klog.json: Add null object pushing message to klog database
  * klog.json: Add child missing data message to klog database
  * klog.json: Add package init messages to klog database
  * klog.json: Add more ownerid allocate and release messages to klog database
  * klog.json: Add the object type for evaluation messages to klog database
  * klog.json: Add more parse mode setting messages to klog database
  * efi_runtime: remove no_llseek which have been removed on kernel 6.12

 -- Ivan Hu <ivan.hu@ubuntu.com>  Wed, 26 Mar 2025 11:06:43 +0800

fwts (25.01.00-0ubuntu1) plucky; urgency=medium

  [Armin Wolf] 
  * acpi/wmi: Stop directing users to outdated LWN article

  [Colin Ian King]
  * ACPICA: Update to version 20241212

  [Hector Cao]
  * acpi/s3 : fix stack smashing crash for s3 test

  [Ivan Hu]
  * dmicheck: fix the wrong size check for type 4
  * acpi: uniqueid: fix the uniqueid test for the CID with package
  * acpitables: update ACPI table revsion test to ACPI 6.5
  * Update copyright year to 2025
  * acpi: s3: reading residencyslp_s0_residency_usec for intel platforms
  * dmicheck: check the config files exist for CONFIG_STRICT_DEVMEM setting

  [Mario Limonciell]o
  * acpi: acpitables: Correct PCCT revision for ACPI 6.2

 -- Ivan Hu <ivan.hu@ubuntu.com>  Tue, 21 Jan 2025 11:18:25 +0800

fwts (24.11.00-0ubuntu1) plucky; urgency=medium

  [Armin Wolf]
  * lib: fwts_acpi_object_eval: Do not return FWTS_OK if method lookup fails
  * acpi/wmi: Warn if WMI GUIDs from the Windows driver samples are found

  [Colin Ian King]
  * src/acpi: Fix a few spelling mistakes

  [Ivan Hu]
  * dmicheck: update for supporting DMI version to 3.7.1
  * script: fix bash-completion-with-hashbang lintian warning
  * dmicheck: update for supporting DMI version to 3.8.0
  * dmicheck: add more types for version length test.
  * auto-packager: mkpackage.sh: add plucky
  * hdaaudio: fix the the build errors under plucky amd64

  [Jonathan McDowell]
  * tpmevlog: Ensure the event log matches the actual TPM PCRs

  [Simon Wang]
  * acpi: iort: memory access flag update.

 -- Ivan Hu <ivan.hu@ubuntu.com>  Tue, 26 Nov 2024 14:11:09 +0800

fwts (24.09.00-0ubuntu1) oracular; urgency=medium

  [Colin Ian King]
  * ACPICA: Update to version 20240827
  * fwts-test: slic: sync test results with fixes to ACPICA SLIC dumping

  [Ivan Hu]
  * configure.ac: fix the autoreconf AC_PROG_LIBTOOL warning
  * configure.ac: fix the autoreconf AC_PROG_LEX warning
  * acpi: acpipld: downgrade the severity for PLD on the not connected port
  * klog: fix the pattern errors for einj trigger table entry
  * klog.json: Add some missing agdi kernel messages to klog database
  * klog.json: Add some missing ghes kernel messages to klog database
  * klog.json: Add some missing gtdt kernel messages to klog database
  * klog.json: Add more missing iort kernel messages to klog database
  * lib: modprobe: add checking the compressed zst module format
  * klog.json: Add more missing osl kernel messages to klog database
  * klog.json: Add more missing acpi pcc kernel messages to klog database
  * klog.json: Add the missing fan_core error message to klog database
  * klog.json: Add the missing ipmi error messages to klog database
  * klog.json: Add the missing viot error messages to klog database
  * klog.json: Add the missing prmt error messages to klog database
  * klog.json: Add the missing scan error messages to klog database
  * klog.json: Add more error messages for battery to klog database
  * klog.json: Add the missing srat error message to klog database
  * klog.json: Add more uttrack error messages to klog database
  * klog.json: Add more utobject error messages to klog database
  * klog.json: Add more nsxfeval error messages to klog database
  * klog.json: Add the missing exstore error message to klog database
  * klog.json: Add the missing nsinit error message to klog database
  * klog.json: Add the missing dswload2 error message to klog database
  * klog.json: Add the missing exoparg2 error message to klog database
  * klog.json: Add the missing exserial error message to klog database
  * klog.json: Add the missing exreqion error message to klog database
  * klog.json: Add the missing processor error message to klog database

 -- Ivan Hu <ivan.hu@ubuntu.com>  Tue, 24 Sep 2024 12:42:57 +0800

fwts (24.07.00-0ubuntu1) oracular; urgency=medium

  [Ivan Hu]
  * autopackager: mkpackage.sh: remove lunar
  * lib: fwts_log_html: fix the invalid printf format string
  * auto-packer: mkpackage.sh: add oracular
  * efi_runtime: don't build dkms module for those kernels with efi_test
  * acpi: cedt: add raw data dump for interleave target list
  * fwts-test: cedt: fix the wrong value of ENIW
  * fwts-test: cedt: sync up with adding raw data dump
  * acpi: s3pt: add tests for ACPI S3PT table
  * fwts-test: add regression tests for S3PT
  * acpi: acpipld: modify the test description to aviod misunderstanding
  * auto-packager: mkpackage.sh: remove mantic

  [Jonathan McDowell]
  * tpmevlog: Ensure EV_SEPARATOR recorded for PCRs 0-7

  [Julien Olivain]
  * libfwtsiasl: fix parallel build with GNU Make >= 4.4

  [Mario Limonciello]
  * aspm: Only require ASPM for devices with an actual link

 -- Ivan Hu <ivan.hu@ubuntu.com>  Tue, 30 Jul 2024 11:10:40 +0800

fwts (24.03.00-0ubuntu1) noble; urgency=medium

  [Colin Ian King]
  * ACPICA: Update to version 20240322

  [Ivan Hu]
  * acpi: s3: enable debug messages on S0ix failure for Intel platforms
  * acpi: s3: fix potential memory leaks on fwts_get() calls
  * framework: fix memory leaks caused by fwts_log_get_filenames
  * acpi: ras2: stop for loop when list exceeds the table
  * acpi: dbg2: update the subtype RISC-V SBI console for DBG2
  * acpi: sbbr: check the existence of SPCR console devices
  * opal: fix the resource leak for get_linux_mem_devices
  * acpi: srat: fix the untrusted loop bound warning
  * opal: fix the resource leak for process_dimm and process_mba
  * opal: fix the resource leak for cpus
  * acpi: acpipld: add tests to check _PLD methods only on the connectable ports
  * lib: fwts_acpi_tables: fix the build fail on armhf

  [Mario Limonciello]
  * dmicheck: Don't check firmware version on anything but NVDIMM devices

 -- Ivan Hu <ivan.hu@ubuntu.com>  Mon, 08 Apr 2024 11:20:06 +0800

fwts (24.01.00-0ubuntu1) noble; urgency=medium

  [Armin Wolf]
  * acpi/wmi: Add WMI GUID for the dell-smm-hwmon driver
  * acpi/wmi: Warn if a WMI GUID has zero instances

  [Ivan Hu]
  * snapcraft: update the source repo for snap build
  * snapcraft: add source type for repo
  * lib: framework: clear the error message with the extra result filename
    suffix
  * snapcraft: specify devmode confinement for fwts snap
  * acpi: fadt: clarify the check for sleep control register
  * acpi: madt: fix typo of madt subnames
  * lib: fwts_acpi: add the PRM type GAS defined value
  * acpi: fadt: add PERSISTENT_CPU_CACHES bits to fixed feature flags
    (mantis 2206)
  * acpi: method: add _DSC method tests (mantis 2224)
  * fwts-test: method: sync up with adding _DSC method tests
  * acpi: srat: add new Generic Port structure for srat tests (mantis 2236)
  * fwts-test: sync up with new Generic Port structure added for srat
  * acpi: srat: fix to get device handle value and dump the reserved array
  * acpi: method: clarify TAD device methods requirements (mantis 2253)
  * lib: fwts_acpi_tables: add missing GAS address space ID
  * acpi: madt: add GICC new flag and length change (mantis 2285, 2303)
  * acpi: einj: test more error injection actions for einjv2 (mantis 2287)
  * acpi: method: fix typo of subelement
  * acpi: method: add _PDO test (mantis 2293)
  * fwts-test: sync up the method _PDO was added
  * acpi: phat: add reset reason health record test (mantis 2294)
  * fwts-test: sync up for reset reason health record test
  * acpi: viot: add test for ACPI VIOT table (mantis 2152)
  * fwts-test: add regression tests for VIOT
  * acpi: misc: add tests for ACPI MISC table (mantis 2297)
  * fwts-test: add regression tests for MISC
  * acpi: ccel: add tests for ACPI CCEL table (mantis 2314)
  * fwts-test: add regression tests for CCEL
  * acpi: viot: fix build fail on bionic and focal
  * acpi: skvl: add tests for ACPI SKVL table (mantis 2314)
  * fwts-test: add regression tests for SKVL
  * Update copyright year to 2024

  [Mario Limonciello]
  * Upgrade MCFGMMIONotReserved to HIGH error
  * s3: Add support for reading total s2idle residency from generic API
  * s3: Add support for checking last sleep cycle residency
  * Add support for ACPI 6.5 _UPC return values

 -- Ivan Hu <ivan.hu@ubuntu.com>  Mon, 22 Jan 2024 14:37:56 +0800

fwts (23.11.00-0ubuntu1) noble; urgency=medium

  [Armin Wolf]
  * acpi/wmi: Add WMI GUID for the wmi-bmof driver

  [Ivan Hu]
  * fwts-test: sync up with Recognize Pluton TPM patch
  * klog.json: Add some missing einj kernel messages to klog database
  * klog.json: Add some missing bert kernel messages to klog database
  * klog.json: Add some missing erst kernel messages to klog database
  * lib: fwts_acpi_table: fix fwts_acpi_reserved_zero_array with the input
    string
  * klog.json: Add some missing hest kernel messages to klog database
  * klog.json: Add some missing apmt kernel messages to klog database
  * klog.json: Add some missinig processor_perflib kernel messages to klog
    database
  * README: modify the fwts git repository
  * acpi: aspt: fix typo of SPTT
  * klog.json: Add some missing exresolv kernel messages to klog database
  * klog.json: Add some missing efi64 kernel messages to klog database
  * klog.json: Add some missing exmisc kernel messages to klog database
  * klog.json: Add some missing evmisc kernel messages to klog database
  * klog.json: Add some missing rslist kernel messages to klog database
  * klog.json: Add some missing exfield kernel messages to klog database
  * klog.json: Add some missing tbfadt kernel messages to klog database
  * klog.json: Add some missing hwregs kernel messages to klog database
  * klog.json: Add some missing exutils kernel messages to klog database
  * klog.json: Add some missing nsaccess kernel messages to klog database
  * klog.json: Add some missing bus kernel messages to klog database
  * klog.json: Add some missing battery kernel messages to klog database
  * klog.json: Add some missing power kernel messages to klog database
  * fwts-test: sync up the SPTT typo fix
  * fwts-test: sync up with the klog message update
  * acpi: ras2: add test for ACPI RAS2 table
  * fwts-test: add regression tests for RAS2
  * auto-packager: update the fwts git repo
  * lib: framework: fix the unclear error message of the results log
  * auto-packager: mkpackage.sh: add noble
  * acpi: ibft: add tests for iBFT table
  * fwts-test: add regression tests for iBFT

  [Mario Limonciello]
  * acpi: Recognize Pluton TPM

 -- Ivan Hu <ivan.hu@ubuntu.com>  Tue, 28 Nov 2023 15:30:05 +0800

fwts (23.09.00-0ubuntu1) mantic; urgency=medium

  [Arthur Heymans]
  * acpi/spcr: Update supported port types
  * acpi/scpr: spcr->interrupt_type == 0 is valid

  [Colin Ian King]
  * data/klog.json: Fix spelling mistakes found using codespell
  * src/*: Fix various spelling mistakes in source code

  [Ivan Hu]
  * fwts-test: sync up with klog.json ix spelling mistakes found using codespell
  * fwts-test: sync up with update supported port types
  * acpi: update fadt and madt revisions to ACPI 6.5
  * uefi: esrtdump: update the LastAttemptStatus values to UEFI spec 2.10
  * acpi: phat: fix the device path for the health data record
  * fwts-test: sync up with phat fix the device path for the health data record
  * klog.json: Add and modify some more e820 kernel messages to klog database
  * acpi: phat: modify the dumping vendor data format
  * fwts-test: sync up with the phat dumping vendor data modification
  * acpi: spcr: update the spcr tests to lastest revision 4
  * fwts-test: sync up the spcr test updating to revision 4
  * dmicheck: update supported DMI version to 3.7
  * s3: add checking the device signed wakeup events
  * s3: add dumping the all devices and signed wakeup sources
  * snapcraft: add snap build for riscv64
  * fwts-test: sync up with the dumping s3-dump-wakeup-src option
  * acpi: s3: build fail for unexpected format of argument types for i386
  * auto-packager: mkpackage.sh: remove kinetic
  * lib: fwts_acpi_object_eval.: fix build fail for ppc64el on mantic
  * acpi: iort: update IORT table to specification version E.e
  * fwts-test: sync up with iort test to version E.e
  * acpi: fadt: remove the tests for expecting smi_cmd is zero
  * uefi: esrt: fix the last_attempt_status wrongly interpretation of value
  * acpi: madt: add more interrupt controller structure types defined in ACPI
    6.5
  * kernelscan: modify some pathes of the scan files
  * klog.json: Add some missing ACPI memory hotplug kernel messages to klog
    database
  * klog.json: Add some missing processor idle kernel messages to klog database
  * klog.json: Add some missing ACPI NFIT kernel messages to klog database
  * klog.json: Add some missing sleep kernel messages to klog database
  * klog.json: Add some missing amba kernel messages to klog database
  * klog.json: Add some missing dma kernel messages to klog database
  * acpi: ivrs: fix the tests stuck at validate IVRS table
  * klog.json: Add some missing ACPI PCI IRQ kernel messages to klog database

  [Mario Limonciello]
  * Upgrade the max value for "Processor Upgrade" to 0x50
  * tpmevlog: Correct boundary checking for PCR4 event check

 -- Ivan Hu <ivan.hu@ubuntu.com>  Tue, 19 Sep 2023 10:20:20 +0800

fwts (23.07.00-0ubuntu1) mantic; urgency=medium

  [Armin Wolf]
  * acpi/wmi: Add WMI GUID for the dell-wmi-ddv driver
  * acpi/wmi: Check if the mandatory block query method exists
  * acpi/wmi: Fix bug when counting WMI methods
  * fwts_acpica: Remove unused variable "context"

  [Colin Ian King]
  * ACPICA: Update to version 20230628

  [Ivan Hu]
  * lib: framework: remvoe ARM specific for ebbr
  * fwts-test: sync up the removing ARM specific for ebbr
  * cppcheck: fix the cppcheck source link error
  * lib: fwts_oops: fix the WARN_ON warnings in kernel not found
  * debian: control: update uploader
  * debian: control: modify newer dkms dependency
  * auto-packager: mkpackage.sh: remove the control hook
  * lib: fwts_dump_data: add function for simply dump raw data
  * lib: fwts_dump_data: add library function for dumping all raw data with
    prefix
  * acpi: aest: modify the dumping raw data without noisy info
  * fwts-test: sync up aest modify the dumping raw data
  * acpi: mpam: add test for ACPI MPAM table
  * fwts-test: sync up with adding the mpam tests
  * acpi: mpam: test with resource specific data for interconnect location type
  * fwts-test: sync up with test with resource specific data
  * acpi: mpam: fix build fail on bionic
  * uefi: esrt: update the LastAttemptStatus values to UEFI spec 2.10
  * lib: fwts_acpi_object_eval: sync up the AML exceptions from ACPICA
  * debian: update compat level and standards version
  * debian: fix debuild fail for the not installed files
  * debian: fix lintian errors and warnings

  [Mario Limonciello]
  * Increase number of max semaphores to fix OOM crashes on some systems

  [Ákos Nagy]
  * lib: make the return types consistent
 
 -- Ivan Hu <ivan.hu@ubuntu.com>  Fri, 07 Jul 2023 10:37:02 +0800

fwts (23.05.00-0ubuntu1) mantic; urgency=medium

  [Colin Ian King]
  * ACPICA: Update to version 20230331

  [Ivan Hu]
  * dmicheck: extent the dmi_patterns for the default serial number string
  * dmicheck: add more checks for invalid serial number string
  * acpi: cedt: remove unused code
  * acpi: ivrs: add tests for ACPI IVRS table
  * fwts-test: add regression tests for IVRS
  * acpi: button: remove check fixed hardware & control method power buttons
  * lib: fwts_framework: add EBBR to category
  * s3: fix the display time of resume for Timekeeping suspended string missing
  * fwts_framwork: add ebbr test for RISC-V
  * auto-packager: mkpackage.sh: add mantic
  * debian: control: add build depend dh-dkms
  * auto-packager: mkpackage.sh remove the dh-dkms dependency

 -- Ivan Hu <ivan.hu@ubuntu.com>  Tue, 23 May 2023 11:59:34 +0800

fwts (23.03.00-0ubuntu1) lunar; urgency=medium

  [Huacai Chen]
  * Add support for 64 bit LoongArch compilation

  [Ivan Hu]
  * sbbr: add esrt and uefibootpath tests to sbbr option
  * ebbr: add some tests to ebbr option
  * acpi: method: NIH method output buffer should be 4 bytes
  * debian: update copyright
  * dmicheck: fix the length check error for type 9
  * dmicheck: fix the wrong slot height value range
  * dmicheck: fix the extended bios ROM size bit check of type 0
  * dmicheck: add processor family check for type 4
  * dmicheck: add status check for type 4
  * dmicheck: add bit 0 reserved check of the processor characteristics for type 4
  * dmicheck: modify the memory type range check for type 17
  * dmicheck: add some bit 0 reserved checks for type 17
  * dmicheck: update the interface field for type 21
  * dmicheck: update the device type field for type 41
  * dmicheck: update for supporting DMI version to 3.6
  * dmicheck: fix the print format
  * auto-packager: mkpackage: add build depend dh-dkms for lunar

  [Vasiliy Kovalev]
  * libfwtsiasl: fix undefined symbols in shared library

 -- Ivan Hu <ivan.hu@ubuntu.com>  Mon, 27 Mar 2023 12:06:53 +0800

fwts (23.01.00-0ubuntu1) lunar; urgency=medium

  [Ivan Hu]
  * acpi: s3: fix the issue for determining time to resume
  * tpmevlog: add tests for checking the UEFI_IMAGE_LOAD_EVENT Structure
  * acpi: aest: add tests for ACPI AEST table
  * fwts-test: add regression tests for AEST
  * lib: fwts_acpi_tables: fix the passed reserved value
  * Update copyright year to 2023
  * fwts-test: sync up with the fix of passed reserved value

 -- Ivan Hu <ivan.hu@ubuntu.com>  Mon, 16 Jan 2023 12:08:07 +0800

fwts (22.11.00-0ubuntu1) lunar; urgency=medium

  [Bryan Kemp]
  * Add Support for EV_COMPACT_HASH event type

  [Colin Ian King]
  * ACPICA: Update to version 20221020
  * fwts-test: sync test logs with latest ACPICA

  [Ivan Hu]
  * s3: modify the default sleep type description
  * fwts-test: sync up with the default s3 sleep type description change
  * acpi: rgrt: add test for ACPI RGRT table( mantis 2056)
  * fwts-test: add regression test for RGRT
  * acpi: cedt: add tests for ACPI CEDT table (mantis 2076)
  * fwts-test: add regression tests for CEDT
  * auto-package: mkpackage.sh: add lunar

 -- Ivan Hu <ivan.hu@ubuntu.com>  Mon, 21 Nov 2022 15:31:59 +0800

fwts (22.09.00-0ubuntu1) kinetic; urgency=medium

  [Ivan Hu]
  * acpi: dbg2: update the subtype for DBG2 table
  * lib: acpi: update battery charge limiting state for _BST
  * uefi: securebootcert: fix the attribute set for AuditMode and DeployedMode
  * acpi: fadt: get _CST c2 c3 for p_lvl2 and p_lvl3 tests
  * acpi: nhltdump: add dumping nhlt table for audio configurations
  * acpi: nhltdump: add endpoint discriptor string description
  * acpi: svkl: add test for SVKL table (mantis 2162)
  * fwts-test: add regression test for SVKL
  * acpi: iort: remove redundant code

 -- Ivan Hu <ivan.hu@ubuntu.com>  Thu, 22 Sep 2022 09:29:58 +0800

fwts (22.07.00-0ubuntu1) kinetic; urgency=medium

  [Ivan Hu]
  * dmicheck: add Processor Architecture Types check for type 44
  * dmicheck: update for supporting DMI version to 3.5
  * dmicheck: update the processor upgrade field for type 4
  * acpi: pmtt: fix the wrong table label
  * fwts-test: sync up the fix of pmtt wrong table label
  * acpi: asf: remove the checking of minmun watchdog reset value 0
  * fwts-test: sync up the remove of ASF minimun watchdog reset value
  * acpi: asf: enable verbose output
  * fwts-test: sync up with asf verbose dump
  * auto-packager: mkpackage.sh: remove impish

  [orbea]
  * build: Improve linking

 -- Ivan Hu <ivan.hu@ubuntu.com>  Mon, 25 Jul 2022 11:12:56 +0800

fwts (22.05.00-0ubuntu1) kinetic; urgency=medium

  [Colin Ian King]
  * ACPICA: Update to version 20220331

  [Ivan Hu]
  * acpi: iort: update IORT node revision check
  * acpi: iort: update the IORT node dump
  * Update copyright year to 2022
  * acpi: iort: update IORT test to specification version E.d
  * auto-packager:mkpackage.sh: add kinetic
  * acpi: mcfg: checking kernel lockdown when doing mmap PCI config space
  * fwts-test: sync up IORT test with specification version E.d

 -- Ivan Hu <ivan.hu@ubuntu.com>  Mon, 23 May 2022 13:51:46 +0800

fwts (22.03.00-0ubuntu1) jammy; urgency=medium

  [Alex Hung]
  * acpi/time: skip a number of TAD methods when _GCP[0] is clear

  [Colin Ian King]
  * ACPICA: Update to version 20211217
  * fwts-tests: update acpi dump data to be in sync with latest ACPICA

  [Ivan Hu]
  * uefirtmisc: add checking the resources for testing
  * uefirtmisc: add option to specify iterations get next high monitonic count
  * fwts-test: sync up the adding option for get next high monotonic count
  * acpi:dmar: update the link of DMAR table
  * acpi: macf: report failures instead of just logging the errors
  * acpi: sdev: add checking secure access components
  * fwts-test: sync up the sdev checking secure access components

 -- Ivan Hu <ivan.hu@ubuntu.com>  Thu, 17 Mar 2022 14:09:40 +0800

fwts (22.01.00-0ubuntu1) jammy; urgency=medium

  [Alex Hung]
  * auto-packager: mkpackage.sh: remove hirsute
  * s3: use system suspend default if --s3-sleep-type is not used
  * fwts_acpica: skip unneccessary null check

  [Ivan Hu]
  * lib: fwts_tpm.h: add new type definition
  * tpmevlog: add supporting several new types for event log checking
  * tpmevlogdump: add supporting several new types for event log dumping

 -- Ivan Hu <ivan.hu@ubuntu.com>  Tue, 25 Jan 2022 11:37:31 +0800

fwts (21.12.00-0ubuntu1) jammy; urgency=medium

  [Alex Hung]
  * s3: fix incorrect error messages for s2idle_residency
  * s3: increase s2idle_residency to u64 to avoid overflows
  * dmicheck: skip scanning smbios in /dev/mem on aarch64

  [Ivan Hu]
  * s4: clean up pedantic static analysis warnings
  * acpi: uniqueid: clean up pedantic static analysis warnings

 -- Alex Hung <alex.hung@ubuntu.com>  Wed, 15 Dec 2021 14:39:16 -0700

fwts (21.11.00-0ubuntu1) jammy; urgency=medium

  [Alex Hung]
  * acpi: uniqueid: skip comparison of _HID and _CID of the same device
  * auto-packager:mkpackage.sh: add jammy

  [Colin Ian King]
  * snapcraft: fix path to fwts
  * snapcraft: Fix incorrect core20 library path

  [G Edhaya Chandran]
  * lib: fwts_smbios: fix loading SMBIOS table from uefi

  [Grzegorz Bernacki]
  * acpi: madt: De-initialise ACPICA core engine in case of error.

  [Ivan Hu]
  * ACPICA: Update to version 20210930
  * s3: add sleep type setting for testing with s3 or s2idle
  * fwts-test: sync up the adding sleep type for s2idle testing

 -- Alex Hung <alex.hung@ubuntu.com>  Wed, 24 Nov 2021 00:15:47 -0700

fwts (21.09.00-0ubuntu1) impish; urgency=medium

  [Alex Hung]
  * lib: fwts_firmware: fix incorrect comments for fwts_firmware_detect
  * acpi: replace fwts_firmware_detect() by fw->firmware_type

  [Colin Ian King]
  * Manual: update number of tests, date and remove double spaces
  * lib: use <poll.h> rather than <sys/poll.h>
  * snapcraft: update to use core20
  * fwts_acpi_tables: NULLify table pointers
  * fwts_devicetree: clean up static analysis warning
  * opal: mem_info: clean up pedantic static analysis warnings
  * uefirtvariable: clean up pedantic static analysis warnings
  * acpi: s3power: clean up pedantic static analysis warnings
  * opal: Fix a few memory leaks on asprint allocated buffers
  * opal: clean up some coding style issues
  * smccc_test: fix missing ) in pr_info call
  * acpi: cstates: remove redundant null check on entry
  * acpi: dmar: constify a pointer argument in acpi_parse_dev_scope
  * acpi: iort: constify some function arguments
  * bios: smm: remove redundant variable n
  * src/pci/smccc: reduce scope of variable ret
  * uefi: securebootcert: make some function arguments const
  * uefi: uefirtmisc: reduce scope of some variables

  [Rob Herring]
  * Enable dt_sysinfo test for Power only
  * fwts_firmware: Rework Devicetree firmware detection
  * debian/control: Add device-tree-compiler as dependency for
    armel/armhf/arm64 



 -- Ivan Hu <ivan.hu@ubuntu.com>  Mon, 27 Sep 2021 13:49:22 +0800

fwts (21.08.00-0ubuntu1) impish; urgency=medium

  [Alex Hung]
  * sbbr: remove pm_file test (not required in BBR 1.0)
  * acpi/wmi: update WMI known GUIDs from Linux kernel 5.14-rc1
  * fwts-test: sync up with updates in fwts_wmi_known_guids
  * acpi: dmar: add a warning when PCI device is not found
  * acpi: fadt: clarify comments of FACS and HW-reduced mode
  * acpi: fadt: remove hard-coded FADT version
  * lib: fwts_acpi_tables: add a function to get FADT versions
  * acpi: sbbr: refactor by fwts_get_fadt_version
  * bios: smm: fix indentation

  [Colin Ian King]
  * ACPICA: Update to version 20210730
  * ARM64 SMCCC firmware API tests

  [Sunny Wang]
  * uefirttime: Fix incorrect error messages for invalid time test

 -- Ivan Hu <ivan.hu@ubuntu.com>  Wed, 25 Aug 2021 13:47:49 +0800

fwts (21.07.00-0ubuntu1) impish; urgency=medium

  [Alex Hung]
  * acpi: acpitables: add advices for table revision tests
  * sbbr: acpitables: add new recommended tables
  * fwts_acpi_tables: skip FACS warning for reduced hardware
  * fwts-test: sync up with DBG2 changes from BSA updates
  * auto-packager: mkpackage.sh: remove groovy

  [Erico Nunes]
  * sbbr: remove SSDT from mandatory list
  * sbbr: adjust signature name for MADT

  [Grzegorz Bernacki]
  * acpi: method: Make method_test_ADR() optional
  * acpi: dbg2: Allow 16550 compatible serial port in DBG2
  * acpi: method: Make _AEI test optional for SBBR

  [Ivan Hu]
  * uefirttime: add advice for the timezone 2047 failure (LP: #1933503)

 -- Alex Hung <alex.hung@ubuntu.com>  Wed, 14 Jul 2021 16:56:22 -0600

fwts (21.06.00-0ubuntu1) impish; urgency=medium

  [Alex Hung]
  * fwts_test: arg-json-0001: use current klog.json, not a copy
  * lib: fwts_acpi_tables: constify read-only function arguments
  * fwts_framework: clean up flag macros
  * acpi: pptt: constify read-only function arguments
  * acpi: wdat: enable printing fields
  * fwts-test: sync up with wdat changes
  * acpi: wrap long funtion definitions
  * acpi/fwts-test: fix typo (depreciated->deprecated)
  * sbbr: add checks for mandatory tables
  * sbbr: update recommended tables
  * acpi: remove SBBR mandatory tests in various tables
  * acpi: sbbr: add mcfg and pptt to --sbbr option
  * live-image: remove unnecessary -skip-test=s3,s4 argument
  * live-image: create a separate menu for arm64/aarch64
  * dmicheck: add type 42 to SBBR requirement
  * klog.json: check IRQ requests on irqchip
  * tpmevlog: add to batch tests
  * live-image: add utils tests to "Selected" menu
  * live-image: add "TPM tests" to root menu
  * auto-packager: mkpackage.sh: remove xenial

  [Colin Ian King]
  * Makefile.am: remove all traces of $srcdir and $top_srcdir in Makefile.am
    (LP: #1929138)
  * ACPICA: Update to version 20210604
  * fwts-test: sync test logs with latest ACPICA
  * snapcraft.yaml: add architectures info to make remote snap builds easier
  * Debian: remove spaces at end of lines of changelong
  * Debian: remove spaces at end of lines of control file
  * debian/copyright: use secure https url specifier
  * Debian: add project Homepage field to control file
  * Debian: add Rules-Requires-Root field to control file
  * Debian: update compat level to 9
  * Debian: control: update Standards-Version to 4.1.0
  * Add lintian overrides for ldconfig trigger warning
  * Debian: move source lintian overrides file to source
  * Remove complex disabling of ACPI for non-ACPI targets
  * fwts_acpi_tables: memcpy 4 char ACPI table name

  [Ivan Hu]
  * uefirttime: set test time for the settime and setwakeuptime tests
    (LP: #1929509)

 -- Alex Hung <alex.hung@ubuntu.com>  Sun, 20 Jun 2021 23:42:45 -0600

fwts (21.05.00-0ubuntu1) impish; urgency=medium

  [Alex Hung]
  * acpi: sdev: update type 1 in ACPI 6.4 (mantis 2111)
  * fwts-test: sync up with sdev changes
  * acpi: acpitables: add revision tests for PPTT
  * acpi: pptt: add cache id according to ACPI 6.4 (mantis 2138)
  * acpi: lib: add two helper functions
  * acpi: phat: add a test for PHAT table
  * fwts-test: sync up with phat test
  * oops: add "kernel BUG" to oops test
  * fwts-test: sync up with oops tests
  * acpi: pmtt: update PMTT to revision 2 (mantis 1975)
  * fwts-test: sync up with PMTT rev 2 changes
  * acpi: refactor by fwts_acpi_structure_range_check
  * acpi: refactor by fwts_acpi_reserved_type_check
  * acpi: refactor zero length by fwts_acpi_structure_length_zero_check
  * acpi: refactor length check by fwts_acpi_structure_length_check
  * fwts-test: sync up with PMTT refactoring changes
  * lib: acpi: unify naming style by removing "ACPI"
  * acpi: shorten helper function names by removing "check"
  * lib: acpi: fix incorrect actual vs. struct length outputs
  * acpiinfo: update ACPI 6.4 vs. ACPICA versions
  * acpi: dbgp/spmi: check space ids by fwts_acpi_space_id
  * fwts-test: sync up with dbgp changes

  [Colin Ian King]
  * fwts_devicetree: clean up pedantic static analysis warning
  * lib: fwts_acpi: fix potential infinite loop in data copy
  * acpi: madt: replace continue with empty statement ;
  * acpi: s3: ensure duration is initialized
  * acpi: method: remove redundant continue statements
  * Fix warnings on fdt_getprop calls
  * acpi: uniqueid: Fix a couple of memory leaks
  * ACPICA: Update to version 20210331
  * fwts-test: update to sync with latest ACPICA
  * mtrr: remove ioctl header include, it is redundant
  * fwts_args: constify fields in struct fwts_option
  * fwts_acpica.h: constify type argument in fwts_acpica_get_object_names
  * fwts_args.h: constify read-only function arguments
  * fwts_acpi_object_eval.h: constify read-only function arguments
  * fwts_devicetree.h: clean up #define indents, constify function arg
  * fwts_efi_module.h: constify read-only function arguments
  * fwts_gpe: re-format prototypes to fit into 80 columns.
  * fwts_pm_method.h: constify some function args, don't inline
    free_pm_method_vars
  * acpi_object_names: move array acpi_object_names into
    fwts_method_check_element_type
  * fwts_acpi_tables: move array gas_space_id_names into get_space_id_name
  * fwts_arch: rename helper __fwts_arch_get_arch to fwts_arch_get_arch_by_name
  * fwts-coreboot: remove blank line and fix a comment in a typo
  * fwts_efi_module: constify read-only argument in check_module_loaded_no_dev
  * fwts_firmware: move feature_names into fwts_firmware_feature_string
  * fwts_log_html: move fwts_log_html_ascii_table into
    fwts_log_html_convert_ascii
  * fwts_summary: move two arrays into function fwts_summary_report
  * fwts_tpm: make function args and a variable const
  * bios: bios_info: make struct fields const
  * bios: mtrr: clean up blank lines, make some arguments const
  * bios: mpcheck: make function args const, change scope of array bus_types
  * bios: mpcheck: make LEVEL macro an inlined helper function
  * bios: mpdump: constify some read-only function arguments and variables
  * bios: pciirq: constify read-only function argument
  * bios: pnp move pnp_control_field into pnp_test1 and add constifications
  * bios: romdump: constify read-only function args, add some white spaces
  * bios: s0idle: constify read-only pointer
  * cpu: cpufreq: make read-only function args and variables const
  * devicetree: dt_sysinfo: make read-only function args and variables const
  * devicetree: dt_sysinfo: make variable len a size_t
  * hotkey: make read-only function args and variables const
  * dmi: dmicheck: make read-only function args and variables const
  * tpm: tpmevlogdump: make read-only function args and variables const
  * tpm: tpmevlog: make read-only function args and variables const
  * doc/fwts.1: fix spelling mistakes in the manual
  * data: syntaxcheck.json: fix spelling mistakes
  * treewide: fix spelling mistakes in comments, literals and tests
  * treewide: Makefile.am: use $srcdir rather than relative path
  * Makefile.am: remove references to json or json-c
  * fwts_acpi_tables: add newline after declaration and before statement
  * lib: fwts_ac_adapter: remove redundant pointer ac_entry
  * lib: fwts_coreboot_cbmem.c: clean up static analysis warning
  * lib: fwts_json: free objects where necessary to plug heap leaks

  [Ivan Hu]
  * tpmevlog: print out the TPM event log format type
  * uefirttime: only test the unsupported status with RuntimeServicesSupported
  * uefirtvariable: only test the unsupported status with
    RuntimeServicesSupported
  * uefirtmisc: only test the unsupported status with RuntimeServicesSupported
  * uefi: remove unused have_rtsupported
  * uefirttime: check time services supported before testing (LP: #1913351)
  * uefirtmisc: check misc runtime services supported before testing
    (LP: #1913351)
  * uefirtvariable: check variable runtime services supported before testing
    (LP: #1913351)
  * uefirtauthvar: check variable runtime services supported before testing
    (LP: #1913351)
  * uefirtvariable: fix memory leak
  * auto-packager:mkpackage.sh: add impish

 -- Ivan Hu <ivan.hu@ubuntu.com>  Thu, 20 May 2021 16:31:29 +0800

fwts (21.03.00-0ubuntu1) hirsute; urgency=medium

  [Alex Hung]
  * pci: move pci_device struct to fwts_pci.h
  * bios: smm: add a test to check SMM lock bits
  * bios: interrupt: add a test to check ACPI SCI per second
  * acpi: uniqueid: add tests for _HID/_CID vs. _UID

  [Colin Ian King]
  * acpi: s3,s4: ensure status is initialized

  [Heinrich Schuchardt]
  * uefi: update header for EFI runtime services
  * uefi: fix fwts_uefi_rt_support_status_get()

  [Ivan Hu]
  * uefi: remove the var_ prefix
  * uefi: move fwts_uefi_rt_support_status_get to init function

 -- Ivan Hu <ivan.hu@ubuntu.com>  Mon, 29 Mar 2021 16:55:04 +0800

fwts (21.02.00-0ubuntu1) hirsute; urgency=medium

  [Alex Hung]
  * acpi: replace objname by get_object_name() in various functions
  * acpi: method: remove a redundant passed message
  * acpi: move acpi battery common methods to lib
  * acpi: method: check fixed package by fwts_method_package_elements_type
  * acpi: method: merge and refine _CSD, _PSD and _TSD return tests
  * lib: fwts_acpi_object_eval: add returns to long lines
  * acpi: method: refine _PSS and _TSS method tests
  * acpi: method: merge _PCT & _PTC method tests
  * acpi: method: refine tests sub-package elements
  * acpi: method: remove redundant count_equal checks in _CPC test
  * acpi: method: refine _Sx count checks by fwts_method_package_count_min
  * acpi: method: refine _PRW method tests
  * acpi: method: add passed messages to _GLK and _DSD tests
  * acpi: update ACPI version to 6.4
  * acpi/madt: add ACPI 6.4 to madt_revision test
  * lib: fwts_acpi_tables: update fwts_get_acpi_version (mantis: 2105)
  * acpitables: update ACPI table revsion test to ACPI 6.4
  * acpi: nfit: add Spa Location Cookie as in ACPI 6.4 (mantis 1988)
  * acpi: srat/hmat: update fields of sub-structures (mantis 1991)
  * acpi: battery/method: add _BPC, _BPS and _BPT tests (mantis 1997)
  * fwts-test: sync up with _BPC, _BPS, _BPT, NFIT and HMAT tests
  * acpi: pcct: add type 5 according to ACPI 6.4 (manti 2010)
  * fwts-tests: sync up with pcct updates
  * acpi: method: add _CBR test (mantis 2045/2077)
  * fwts-test: sync up with _CBR test
  * acpi: madt: add Multiprocessor Wakeup support (mantis 2087)
  * acpi: battery: add Battery Charge Limiting (mantis 2090)
  * acpi: method: update _DDC argument size (mantis 2137)
  * acpi: madt: update fadt and madt revisions to ACPI 6.4
  * lib: acpi: add a macro to fwts_acpi_reserved_bits_check
  * lib: acpi: add a macro to fwts_acpi_reserved_zero_check
  * fwts_framework: skip sbbr & ebbr on non-aarch64 systems
  * sbbr: disable SBBR tests on non-aarch64 systems
  * pci: maxreadreq: Add "safe to ignore ... message"
  * version: remove /proc/acpi/info
  * Revert "lib: fwts_acpi_tables: add option for dump acpi table from sysfs"
  * lib: acpi: load acpi tables from sysfs by default
  * fwts-test: sync up with removal of dump-acpi-from-sysfs

  [Colin Ian King]
  * acpi: method: fix two memory leaks on error return paths
  * lib: fwts_acpi_tables: use bit-wise & rather than logical &&

 -- Alex Hung <alex.hung@ubuntu.com>  Tue, 23 Feb 2021 11:49:17 -0700

fwts (21.01.00-0ubuntu1) hirsute; urgency=medium

  [Alex Hung]
  * cpu: maxfreq: skip when "model name" is not available
  * acpi: enable & disable acpi tables for arm64
  * acpi: lib: refactor table _init to a macro function
  * fwts-test: sync up with XSDT revision changes
  * Update copyright year to 2021
  * acpi: check reserved fields by fwts_acpi_reserved_zero_check
  * fwts-test: sync up with fwts_acpi_reserved_zero_check
  * acpi: fix incorrect parameter to fwts_acpi_reserved_bits_check
  * lib: add fwts_acpi_fixed_value_check function to check fixed values
  * acpi: refactor checks for fixed values by fwts_acpi_fixed_value_check
  * fwts-test: sync up with fwts_acpi_fixed_value_check
  * acpi: add fwts_acpi_space_id_check to check GAS adrress space ids
  * fwts-test: sync up with fwts_acpi_space_id_check
  * acpi: mcfg: enable only if ACPI is available
  * cpu: maxfreq: fix build errors on arm32 + gcc10
  * lib: add fwts_log_info_simp_int to printing integers
  * fwts-test: sync up with fwts_log_info_simp_int changes
  * lib: fwts_smbios: merge similar functions
  * dmicheck: add a marco to shorten dmi_ranges_uint8_check calls
  * acpi: pmtt: fix infinite loops when length is incorrectly zero
  * lib: fix compile error for debian + gcc 8.3
  * acpi: method: add a function to check number of sub-package elements
  * acpi: method: replace _GPE test by fwts_method_package_elements_type
  * acpi: method: add a function to check type of sub-package elements
  * acpi: shorten fwts_method_package_elements_type args by a macro

  [Colin Ian King]
  * ACPICA: Update to version 20201217
  * ACPICA: Update to version 20210105
  * acpi: fix incorrect method of finding string size
  * uefi: add a helper to check for address overflow
  * tpmevlog: clean up some minor cppcheck style warnings
  * tpmevlogdump: clean up some minor cppcheck style warnings
  * uefi: clean up a cppcheck style warning
  * kernelscan: fix variable shadowing warning
  * cpu: cpufreq: initialize online_cpus in for loop
  * acpi: add null check on calls to get_space_id_name()
  * acpi: fix check of length overflow

  [Nhi Pham]
  * acpi: lib: correct revision of the fake XSDT table

  [Rebecca Cran]
  * dmicheck: Type 4 Processor Characteristics bit 9 is no longer reserved

 -- Alex Hung <alex.hung@ubuntu.com>  Wed, 20 Jan 2021 01:31:17 -0700

fwts (20.12.00-0ubuntu1) hirsute; urgency=medium

  [Alex Hung]
  * acpi: method: define marcos for D3hot and D3cold
  * acpi: fadt: X_GPE0/1_BLK can be zero when not used
  * pci: maxreadreq: skip Intel video devices
  * acpi: method: replace revision checks by fwts_method_test_revision
  * dmicheck: add dmi version check to SMBIOS3
  * lib: fwts_acpi_object_eval: add fwts_method_test_revision function
  * lib: fix a function name typo in comment
  * dmi: dmicheck: update type 4, 9 and 17 according to spec 3.4

  [Colin Ian King]
  * lib: replace FWTS_ACPI_FADT_PREFERRED_PM_PROFILE with function
  * Replace FWTS_ARRAY_LEN with FWTS_ARRAY_SIZE
  * sbbr/fadt: Clean up indentation of a few lines
  * lib: fwts_firmware: cast 1 to UL to ensure no signed extension, clean up
    comments
  * src: Clean-up: remove trailing spaces and tabs from lines
  * lib: fwts_efi_module: fix flags on device open
  * acpi: fan: skip over fan info when the type field is NULL (LP: #1906540)

 -- Ivan Hu <ivan.hu@ubuntu.com>  Thu, 17 Dec 2020 10:14:02 +0800

fwts (20.11.00-0ubuntu1) hirsute; urgency=medium

  [Alex Hung]
  * acpi/wmi: update WMI known GUIDs from Linux kernel
  * acpi/pptt: add a warning for type 2 depreciation
  * fwts-test: sync up with pptt type 2 changes
  * auto-packager:mkpackage.sh: add hirsute
  * klog.json: add ACPI error "Could not resolve symbol ..."
  * klog.json: fix grammar mistakes
  * klog.json: sync AE_NOT_FOUND severity with a5d747194a9e
  * fwts-test: sync up with klog (e09cbe166d4c)
  * mtrr: refine memory type above 4GB on AMD platforms
  * mtrr: add tests for enable bits in MTRR_DEF_TYPE MSR
  * lib: refactor fwts_acpi_is_reduced_hardware
  * acpi/ec: check _GPE is not used for hardware-reduced
  * cpu/msr: skip MSR MCG_CTL (0x17b) for AMD CPUS
  * acpi/method: fix _SxW which can return 4

  [Colin Ian King]
  * ACPICA: Update to version 20201008
  * fwts-test: sync up output with the latest ACPICA 20201008 release
  * lib: fwts_json: fix output so that it is machine parsable (LP: #1902249)
  * lib: fwts_cmos: remove cli/sti assembler from cmos reading
  * ACPICA: Update to version 20201113
  * fwts-test: sync up output with the latest ACPICA 20201113
  * lib: fwts_json: fix memory leaks on error return paths
  * lib: fwts_json: fix output so that it is machine parsable (LP: #1902249)

  [Heinrich Schuchardt]
  * README: document required kernel configuration
  * lib: avoid bus error in fwts_safe_memcpy
  * lib: enable /dev/mem access on aarch64

  [Ivan Hu]
  * lib: fwts_tpm: move some tpm funcitons to lib
  * tpmevlog: add tests for snatic check of the Tpm event log
  * tpmevlog: add tests for snatic check of the TPM event sha1 format log
  * lib: fwts_acpi_table.c: fix build fail

 -- Ivan Hu <ivan.hu@ubuntu.com>  Wed, 25 Nov 2020 17:20:45 +0800

fwts (20.09.00-0ubuntu1) groovy; urgency=medium

  [Alex Hung]
  * s0idle: add a test to verify lower power s0 idle is enabled
  * fwts-test: sync up with new s0idle tests

  [Colin Ian King]
  * s3: fix segmentation fault when PM_S2IDLE_SLP_S0 is not available
    (LP: #1894229)

  [Ivan Hu]
  * tpmevlogdump: add dumping sha1 log format event log

 -- Alex Hung <alex.hung@ubuntu.com>  Thu, 17 Sep 2020 12:07:19 -0600

fwts (20.08.00-0ubuntu1) groovy; urgency=medium

  [Alex Hung]
  * gitignore: update ignore files
  * acpi/fadt: checks X_GPE0/1 have byte access width
  * s3: check slp_s0_residency_usec for s2idle

  [Colin Ian King]
  * Debian: update compat level and standards version to match Xenial
  * Debian/copyright fix lintian warning
  * Debian: add riscv64 lintian overrides
  * data: klog.json: fix unintential newline in a literal string
  * dmicheck: update Memory Device type 17 size/version check (LP: #1892479)
  * Replace json-c library with minimal replacement
  * Remove all libjson references
  * lib: fwts_json: fix memory leak on error return path
  * lib: fwts_log_json: fix memory leak

 -- Alex Hung <alex.hung@ubuntu.com>  Mon, 24 Aug 2020 21:53:07 -0600

fwts (20.07.00-0ubuntu1) groovy; urgency=medium

  [Alex Hung]
  * auto-packager: mkpackage.sh: remove eoan
  * travis: update dist to focal
  * tpm2: table size can be 76 when "LAML" & "LASA" are used

  [Colin Ian King]
  * replace inaccurate and offsensive language
  * acpi: mpst: fix potential infinite loop on 16 bit counter j
  * tpmevlogdump: fix leak of fd on error return paths, voidify close returns
  * opal: add check for the number of regions
  * ACPICA: Update to version 20200717
  * Add riscv64 architecture to fwts
  * lib: fwts_modprobe: add helper to build module path name
  * lib: fwts_battery: add helper to build battery path name

  [Ivan Hu]
  * tpmevlogdump: add function for dumping tpm event log
  * tpmevlogdump: add pcr_index usage
  * libfwtsiasl: fix build error on groovy
  * lib: fwts_battery: fix build error on armhf
  * lib: fwts_buttion: add helper function to build button path

 -- Ivan Hu <ivan.hu@ubuntu.com>  Wed, 29 Jul 2020 15:30:01 +0800

fwts (20.06.01-0ubuntu1) groovy; urgency=medium

  [Alex Hung]
  * fwts_acpi_object_eval: add a function to check package
  * acpi/method: remove duplicated code by a common function
  * acpi: refactor method_test_BMD to a common function
  * fwts_acpi_object_eval: add a function to check buffer size
  * acpi/method/time: replace buffer size checks with function calls
  * method: fix typo for ROM test return
  * acpi/method: add tests for _MAT method
  * fwts-test: sync up with _MAT method tests
  * method: replace duplicated code by util function in _PRR test
  * acpi/method: remove duplicated code in _PSR test
  * acpi/method: add tests for _SLI method
  * fwts-test: sync up with _SLI method tests
  * acpi/method: fix incorrect error messages for _SUB tests
  * acpi/method: check _WPP returns by fwts_method_test_polling_return
  * acpi/method: update tested method comments for _ALx and _SLI
  * acpi/method: line wrap long statements
  * dmicheck: update supported DMI version to 3.3
  * fwts_acpi_object_eval: revise fwts_method_test_passed_failed_return
  * dmicheck: test feature flags in type 2
  * dmicheck: remove duplicated chassis type test in type 3
  * dmicheck: update Processor Characteristics test in type 4
  * dmicheck: add Supported SRAM test in type 4
  * dmicheck: fix typo in type 8
  * dmicheck: add CXL Flexbus 1.0 to slot type in type 9
  * dmicheck: fix wrong length for reserved fields in type 13
  * dmicheck: update tests in type 17
  * dmicheck: check fields that has max 0x8000
  * dmicheck: check reserved bits in Characteristics in type 43
  * dmicheck: refactor code to check mutliple valid ranges
  * fwts_acpi_tables: fix fwts_get_acpi_version helper
  * acpitables: test ACPI versions vs. ACPI table revisions
  * fwts-test: sync up with acpitables tests
  * gitignore: update ignore list
  * cpu: virt: remove unused marco "CPUID_FAM_REV"
  * acpi/nvdimm: add tests for nvdimm devices
  * acpi/devices: refactor devices' HIDs and names
  * cpu/msr: remove General Performance Counters
  * acpi/devices: fix typos in comments
  * dmicheck: add type 0's fields used by kernel
  * acpitables: add table name outputs to revision tests
  * fwts-collect: depreciate ebda collection

  [Colin Ian King]
  * ACPICA: Update to version 20200528

  [Ivan Hu]
  * lib: fwts_acpi_tables: add option for dump acpi table from sysfs
  * lib: fwts_dump_data: make the dumping data the same format as acpidump
  * doc: add new --dump-acpi-from-sysfs option
  * fwts-test: sync up with new --dump-acpi-from-sysfs option and acpidump changes
  * lib: fwts_acpi_object_eval: fix build error on i386

  [You-Sheng Yang]
  * gitignore: add git.mk
  * debian: update copyright info for git.mk
  * gitignore: enable git.mk usage
  * gitignore: add results.log
  * gitignore: add packaging specific files

 -- Ivan Hu <ivan.hu@ubuntu.com>  Tue, 23 Jun 2020 16:37:55 +0800

fwts (20.05.00-0ubuntu1) groovy; urgency=medium

  [Alex Hung]
  * dmicheck: update system slot type (type 9)
  * dmicheck: update Memory Device type (type 17)
  * dmicheck: add Type 44 (Processor Additional Information)
  * dmicheck: update Memory Array Location (type 16)
  * acpi/method: check _PS3 exists when _PS0 is present
  * klog.json: add a "Unable ... IOMMU perf counter" message
  * acpi/method: checks _UPP's return as polling
  * acpi/method: add tests for _ALx method
  * fwts-test: sync up with _ALx control method
  * acpi/method: reuse common function for _PCL method
  * acpi/method: refactor with fwts_method_test_all_reference_package_return
  * acpi/method: check reserved bits from _BBN return
  * acpi/method/battery: replace hardcoded array length by FWTS_ARRAY_SIZE
  * acpi/method: remove duplicated code for returned integers
  * fwts-test: sync up with method tests
  * lib: fwts_acpi_object_eval: add a function to check reserved bits
  * acpi/method: check integer returns with bit definitions
  * acpi/method/battery: check method returning integer 0 & 1
  * lib: fwts_acpi_object_eval: add a function to check max returned integers
  * acpi/method: check _PSC, _SxD and _SxW for max returned integers
  * auto-packager:mkpackage.sh: add groovy
  * acpi/method: revise _CPC's error messages
  * acpi/time: fix passing method name instead of NULL

  [Colin Ian King]
  * ACPICA: Update to version 20200326
  * lib: fwts_tty: memset a ws struct to keep static analyzers happy
  * acpi: battery: pass string length to avoid any string overflows
  * opal: mtd_info: memset a mtd_info struct to keep static analyzers happy
  * lib: fwts_wakealarm: memset a rtc_tm struct to keep static analyzers happy
  * acpi: gpedump: ensure buf is set on default case
  * uefi: uefirtvariable: fix a memory leak of variablename
  * lib: fwts_acpi_object_eval: avoid any division by zero
  * lib: fwts_json.h: define TRUE and FALSE for newer versions of json-c
    (LP: #1874224)
  * Manual: update names of contributors
  * fwts_framework: ensure the string returned from fwts_arch_names is free'd
  * ACPICA: Update to version 20200430
  * acpi: crsdump: fix portability warning from cppcheck

  [Ivan Hu]
  * uefi: add helper function for efi test module init

  [Paul Menzel]
  * README: Use HTTPS URL https://kernel.ubuntu.org

 -- Alex Hung <alex.hung@ubuntu.com>  Thu, 14 May 2020 12:08:10 -0600

fwts (20.03.00-0ubuntu1) focal; urgency=medium

  [Colin Ian King]
  * ACPI: crsdump: include crsdump.h in crsdump.h, rename guard macro
  * acpi: madt: unconstify data argument
  * lib: fwts_summary: fix build warning with gcc-10
  * Makfile: add more warning flags to ensure we catch more issues

  [Ivan Hu]
  * acpi: msdm: fix print typo
  * lib: add kernel lockdown check
  * uefi: check the kernel lockdown for uefi tests

 -- Alex Hung <alex.hung@ubuntu.com>  Mon, 23 Mar 2020 12:42:11 -0600

fwts (20.02.00-0ubuntu1) focal; urgency=medium

  [Alex Hung]
  * fwts_hwinfo: add device check for Type-C
  * fwts_hwinfo: fix copy & paste typos
  * fwts_hwinfo: add device check for disks
  * fwts_hwinfo: add device check for attached monitors
  * live-image: replace hard-coded "oem-tests.lst" by a variable
  * live-image: add an option for creating oem-tests.lst

  [Colin Ian King]
  * ACPICA: Update to version 20200214
  * fwts-test/syntaxcheck: sync regression log with latest ACPICA output

  [Ivan Hu]
  * auto-packager: mkpackage.sh: remove disco

 -- Ivan Hu <ivan.hu@ubuntu.com>  Wed, 26 Feb 2020 09:39:35 +0800

fwts (20.01.00-0ubuntu1) focal; urgency=medium

  [Alex Hung]
  * dmicheck: skip type 17 test if no memory module

  [Colin Ian King]
  * ACPICA: Update to version 20191213
  * Update copyright year to 2020
  * ACPICA: Update to version 20200110
  * lib: fwts_memorymap: check for memory allocation failure on object entry
  * lib: fwts_multiproc: add sanity check to data->size to clean up static analysis warning
  * lib: fwts_acpi_tables: remove redundant initialization to oem_tbl_id
  * uefirtvariable: indicate that return from setvariable_insertvariable is ignored
  * lib: fwts_memorymap: fix resource leak on dir on error return path

 -- Ivan Hu <ivan.hu@ubuntu.com>  Tue, 14 Jan 2020 15:32:20 +0800

fwts (19.12.00-0ubuntu1) focal; urgency=medium

  [Colin Ian King]
  * efi_runtime: don't build dkms module for kernels 4.8.0 and above
    (LP: #1853090)
  * debian/tests: only run dkms test when dkms module is run
  * debugger: check for memory allocation failure on object Elements
  * debugger: fix spelling mistake "adress" -> "address"
  * cpu: microcode: remove redundant check on pointer entry
  * fwts_wakealarm: remove unused function fwts_wakealarm_exits

  [Erik Schmauss]
  * iASL: remove unneeded NULL checks

 -- Alex Hung <alex.hung@ubuntu.com>  Sun, 08 Dec 2019 22:01:38 -0700

fwts (19.11.00-0ubuntu1) focal; urgency=medium

  [Alex Hung]
  * lib: fwts_log_html: tweak line-height
  * auto-packager:mkpackage.sh: add focal
  * acpi/s3: fine-tune measure of suspend time
  * lib: fwts_log_html: set max-width for line wrap
  * live-image: overwrite pre-defined tests by oem-tests.lst
  * acpi/s3: fix no suspend & resume time for s2idle
  * acpi/fadt: check no-zero failures for X_PM* for 6.1 and before
  * sbbr: add uefi tests to ARM's SBBR

  [Colin Ian King]
  * ACPICA: Update to version 20191018
  * iASL: fix memory leak of LocalityBuffer on error return path
  * lib: fwts_framework: use strlcpy instead of strncpy, fixes gcc-10 build
    errors

  [Ivan Hu]
  * ebbr: add EBBR option for ARM embedded systems
  * fwts-tests: sync up with --ebbr option
  * lib: move the global variable guid to lib header
  * lib: add function for check the RuntimeServicesSupported variable
  * uefirttime: add unsupported checking with RuntimeServicesSupported variable
  * uefirtvariable: add unsupported checking with RuntimeServicesSupported
    variable
  * uefirtmisc: add unsupported checking with RuntimeServicesSupported variable
  * doc: add --ebbr option for man page

  [Robert Moore]
  * iASL: Use ACPI_COMPARE_NAMESEG instead of strcmp

 -- Alex Hung <alex.hung@ubuntu.com>  Wed, 13 Nov 2019 22:06:27 -0700

fwts (19.09.00-0ubuntu1) eoan; urgency=medium

  [Alex Hung]
  * acpi/boot: skip ACPI BOOT test on UEFI systems.
  * acpi: s3: fix typo from 6b94bb6a4b13e

  [Colin Ian King]
  * opal: add more bounds checking and zero pstates array

  [Ivan Hu]
  * fwtstest: boot-0001: sync with boot table check on efi firmware

 -- Ivan Hu <ivan.hu@ubuntu.com>  Thu, 26 Sep 2019 21:53:07 +0800

fwts (19.08.00-0ubuntu1) eoan; urgency=medium

  [Alex Hung]
  * auto-packager: mkpackage.sh: remove cosmic

  [Colin Ian King]
  * efi_runtime: enable KBUILD_MODPOST_WARN=y to workaround build failures
  * ACPICA: Update to version 20190816
  * fwtstest: syntaxcheck-0001: update to keep in sync with ACPICA features

  [Naresh Bhat]
  * README: Add package dependency notes for ARM64

 -- Ivan Hu <ivan.hu@ubuntu.com>  Tue, 27 Aug 2019 12:54:13 +0800

fwts (19.07.00-0ubuntu1) eoan; urgency=medium

  [Alex Hung]
  * cpu/msr: skip read-only MCG_CAP MSR
  * cpu/msr: add document info the cpu_msr_map table
  * cpu/msr: add 3 more CPU IDs for IA32_silvermont_MSRs
  * cpu/msr: remove EBL_CR_POWERON (2ah) from IA32_MSRs
  * cpu/msr: check SGX & LMCE in IA32_FEATURE_CONTROL (3ah)
  * cpu/msr: move TSC_ADJUST (3bh) to IA32_MSRs
  * cpu/msr: add SMM_MONITOR_CTL (9bh) to IA32_MSRs
  * cpu/msr: update MTRRCAP MSR register
  * cpu/msr: update PAT MSR PA0[2:0]
  * cpu/msr: add MC*_CTL2 MSR registers
  * cpu/msr: update fields for MTRR_DEF_TYPE MSR
  * cpu/msr: add VMX_VMFUNC MSR register
  * cpu/msr: remove same MSR registers in IA32_MSRs
  * cpu/msr: add MISC_ENABLE MSR to IA32_atom_MSRs
  * cpu/msr: remove MSR for Error-Reporting Register Banks
  * cpu/msr: add MSR_PMG_IO_CAPTURE_BASE to IA32_silvermont_MSRs
  * cpu/msr: add MSR_FEATURE_CONFIG to IA32_silvermont_MSRs
  * cpu/msr: add MSR_TEMPERATURE_TARGET to IA32_silvermont_MSRs
  * cpu/msr: add MSR_BBL_CR_CTL3 to IA32_silvermont_MSRs
  * cpu/msr: update THERM_INTERRUPT MSR masks
  * cpu/msr: update MISC_ENABLE to IA32_silvermont_MSRs

  [Colin Ian King]
  * Move libfwtsacpica and libfwtsiasl into their own directories
  * Makefiles: hard code paths to workaround autotool bug
  * ACPICA: Update to version 20190703
  * fwts-test: arg-help-0001: reset tty width to original setting
  * lib: fwts_framework: fix memory leak on fw->fdt
  * fwts: opal: fix memory leak of 'buf'.
  * acpi: method: skip over bad method_handle and failed message type
  * acpi: method: add null pointer sanity checks on resource
  * acpi: method: add more null pointer sanity checks on resource
  * acpi: s3/s4: initialize error to zero
  * lib: fwts_pipeio: zero pollfds to squish a static analysis warning

  [Erico Nunes]
  * dsddump: fix segfault on type ACPI_TYPE_LOCAL_REFERENCE

 -- Alex Hung <alex.hung@ubuntu.com>  Thu, 25 Jul 2019 10:48:59 -0600

fwts (19.06.00-0ubuntu1) eoan; urgency=medium

  [Alex Hung]
  * acpi/fadt: update latest FADT revision to 6.3
  * apic: apicedge: remove irq < 16 is edge only
  * mtrr: set severity to critical for incorrect attributes

  [Colin Ian King]
  * acpi: s3: fix two memory leaks on fwts_get() calls and minor clean-ups
  * fwts_summary: check for list creation failure
  * fwts_modprobe: fix potential null pointer dereference
  * cpu: cpufreq: avoid division by zero by initializing cpu_top_perf to 1
  * fwts_args: check for null text pointer
  * fwts_log_plaintext: check for null pointer
  * acpi: s3: check for null pointer
  * lib: fwts_cpu: only assign a string if it has not yet been assigned
  * acpi: syntaxcheck: nullify pointers to clean up static analysis warnings
  * lib: fwts_log_scan: ensure accumulated error count is initialized
  * lib: fwts_acpi_tables: remove redundant initialization of ret
  * acpi: tcpa: remove redundant initialization of boolean passed
  * acpi: dscdump: reduce scope of loop counter i
  * acpi: method: reduce scope of boolean flag matching_levels
  * lib: fwts_formatting: use simpler style for assigments
  * uefi: uefirttime: make status static, cleans up cppcheck warnings

  [Erico Nunes]
  * dsddump: fix Package loop condition

  [Ivan Hu]
  * uefitime: add checking the EFI_UNSUPPORTED return code
  * uefirtvariable: add checking the EFI_UNSUPPORTED return code
  * uefirtmisc: add checking the EFI_UNSUPPORTED return code

 -- Alex Hung <alex.hung@ubuntu.com>  Wed, 12 Jun 2019 10:24:53 -0700

fwts (19.05.00-0ubuntu1) eoan; urgency=medium

  [Alex Hung]
  * auto-packager: mkpackage.sh: remove trusty
  * dmicheck: update supported SMBIOS version
  * acpi/method: check full and battery power if acpi_video0 exists
  * dmicheck: checks type length vs. SMBIOS versions
  * dmicheck: add Type 1's Field 25 & 26 as used by kernel
  * apic: apicedge: fix typo in error messages
  * cpufreq: change from abort to skip when cpufreq cannot run
  * kernel:version: change ACPI version to ACPICA version
  * pci:crs: fix an indentation error
  * acpi: s3: check sleep type for output messages

  [Colin Ian King]
  * snapcraft: update to core18
  * ACPICA: Update to version 20190329
  * Add libbsd to travis build file
  * ACPICA: Update to version 20190405
  * acpica: re-work fwts / iasl interface to work with latest ACPICA
  * fwts-test: refresh syntaxcheck test output
  * ACPICA: Update to version 20190509
  * fwts-test/syntaxcheck: refresh syntaxcheck test output
  * fwts_acpica: don't add in RSDP or null table entries to XSDT or RSDT (LP: #1829167)

  [Ivan Hu]
  * auto-packager:mkpackage.sh: add eoan

  [fanjinke]
  * Add support for Hygon Dhyana CPU

 -- Ivan Hu <ivan.hu@ubuntu.com>  Thu, 16 May 2019 16:27:44 +0800

fwts (19.03.00-0ubuntu1) disco; urgency=medium

  [Alex Hung]
  * acpi: madt: Add support for ACPI 6.3
  * fwts-test: sync up with SMMU model updates
  * lib: fwts_acpi_tables: add a new function to check reserved values
  * lib: fwts_acpi_tables: rename fwts_acpi_subtable_length_check
  * srat: replace structure length checks by fwts_acpi_structure_length_check
  * acpi: refactor all table length checks to fwts_acpi_table_length_check
  * README: update installing fwts by "sudo make install"

  [Ard Biesheuvel]
  * acpi/fadt: reject 5.0 tables with ARM specific attributes set
  * acpi/iort: permit SMMU model values of 4 and 5
  * acpi/iort: fix error in SMMU node length check

  [Colin Ian King]
  * ACPICA: fix IASL building issues with gcc-9 and --as-needed linker option
  * fwts-test: sync up output to new IASL output defaults

 -- Ivan Hu <ivan.hu@ubuntu.com>  Wed, 20 Mar 2019 15:32:10 +0800

fwts (19.02.00-0ubuntu1) disco; urgency=medium

  [Alex Hung]
  * acpi: fix a typo in comment
  * klog.json: add an "IOAPIC .. not in IVRS" message
  * utilities: kernelscan: add AMD iommu for IVRS errors
  * acpi/method: check levels on full power and battery power
  * acpi: add address space types according to mantis 1965 (ACPI 6.2b)
  * acpi/pptt: check flags by revision (mantis 1870 for ACPI 6.2b)
  * acpi: pdtt: update flags defintion according to mantis 1867 (ACPI 6.3)
  * fwts-test: update regression test for PDTT
  * acpi/nfit: update memory mapping attributes (mantis 1873 for ACPI 6.3)
  * acpi/hmat: update for hmat revision 2 (mantis 1914 for ACPI 6.3)
  * fwts-test: update test for HMAT revision 2
  * acpi/madt: remove two reserved bytes (mantis 1934 for ACPI 6.3)
  * acpi/madt: update for Local APIC Flags (mantis 1948 for ACPI 6.3)
  * acpi/hmat: update System Locality Latency (mantis 1959 for ACPI 6.3)
  * fwts-test: update test for HMAT changes
  * acpi/method: add tests for NVDIMM control methods for ACPI 6.3
  * fwts-test: update method test for NVDIMM methods
  * acpiinfo: update ACPI and ACPICA versions
  * acpi/srat: add test for Generic Initiator (mantis 1904 for ACPI 6.3)

  [Colin Ian King]
  * efi_runtime: fix access_ok build issues on 5.0 kernels
  * fwts: fix up a handful of spelling mistakes
  * ACPICA: Update to version 20190215
  * fwts-test: update test output to be in sync with ACPICA 20190215
  * Makefiles: workaround address-of-packed-member warnings with gcc-9
  * acpica: utdecode: fix missing comma in array declaration AcpiGbl_GenericNotify

 -- Alex Hung <alex.hung@ubuntu.com>  Tue, 19 Feb 2019 10:32:21 +0100

fwts (19.01.00-0ubuntu1) disco; urgency=medium

  [Alex Hung]
  * mtrr: check memory type above 4GB on AMD platforms
  * dmi: dmicheck: remove redundant new lines
  * dsddump: add utility to dump _DSDD (Device Specific Data)
  * lib: fwts_ac_adapter: fix readdir(ac_power_dir) failing
  * lib: fwts_ac_adapter: fix failing to find AC directory

  [Colin Ian King]
  * Update copyright year to 2019
  * ACPICA: Update to version 20190108
  * mtrr: fix incorrect mask on amd_sys_conf
  * sbbr: fadt: clean up major/minor version checking
  * acpi/madt: clean up indentation issue, remove tab

  [Ivan Hu]
  * lib: fw_pm_method: move the sleep t_start time out of logind_on_signal (LP: #1809096)

 -- Alex Hung <alex.hung@ubuntu.com>  Tue, 15 Jan 2019 19:57:23 -0800

fwts (18.12.00-0ubuntu1) disco; urgency=medium

  [Alex Hung]
  * mtrr: allow uncached type for PCI prefetchable memory

  [Colin Ian King]
  * ACPICA: Update to version 20181213
  * fwts-test: disassemble-0001: sync output with updated ACPICA

  [Leif Lindholm]
  * lib: disable /dev/mem access on aarch64
  * dmicheck: drop unaligned memcpy
  * lib: drop fwts_memcpy_unaligned
  * dmicheck: use dmi_load_file in preference to fwts_mmap

 -- Ivan Hu <ivan.hu@ubuntu.com>  Wed, 19 Dec 2018 16:20:41 +0800

fwts (18.11.00-0ubuntu1) disco; urgency=medium

  [Alex Hung]
  * acpi: button: check fixed hardware & control method power buttons

  [Colin Ian King]
  * kernelscan: add -k option to specify klog json filename
  * ACPICA: Update to version 20181003
  * fwts-test: sync with ACPICA update to 20181003
  * README: update package dependency notes for RHEL
  * acpica: fix linker issues when building with ACPI disabled
  * ACPICA: Update to version 20181031
  * src/lib: add module probing helper functions
  * lib: fwts_efi_module: use the new module loading helper functions
  * lib/fwts_cpu: use new use the new module loading helper functions
  * snapcraft: update confinement and plugs
  * lib: fwts_coreboot_cbmem: don't use void * pointer arithmetic
  * lib: fwts_coreboot_cbmem: shift UL values rather than signed int values
  * lib: fwts_log: shift UL values rather than signed int values
  * acpi: syntaxcheck: rename syntaxcheck_table to syntaxcheck_single_table

  [Deb McLemore]
  * olog:olog.json: Update OPAL skiboot errors to check on olog scan

  [Ivan Hu]
  * dmicheck: fix Maximum Capacity checking range
  * ACPICA: Update to version 20180927
  * fwts-test: sync with ACPICA update to 20180927
  * mcfg: fix MMIO config space checking
  * madt: fix the Local APIC NMI processor UID checking
  * auto-packager: mkpackage.sh: add disco

 -- Ivan Hu <ivan.hu@ubuntu.com>  Wed, 14 Nov 2018 14:53:29 +0800

fwts (18.09.00-0ubuntu1) cosmic; urgency=medium

  [Alex Hung]
  * dmicheck: fix incorrect boundary checks for various types
  * dmicheck: checks (Extended) Maximum Capacity for type 16

  [Anthony Wong]
  * snapcraft: add libbsd-dev to build-packages

  [Colin Ian King]
  * acpi: acpiinfo: use stdint print format specifiers for uint8_t values
  * acpi: nfit: minor code cleanup changes
  * acpi: acpitables: use PRIu32 format specifier for a uint32_t type
  * acpi: apicinstance: use correct format specifiers
  * acpi: checksum: print size_t values using %zd specifier
  * acpi: cstates: add whitespacing, use %d for int format specifiers
  * acpi: fadt: use inttype.h print format size specifiers
  * acpi/dmar: use PRIu8 specifier for uint8_t type
  * acpi/madt: use inttype.h print format size specifiers
  * acpi/method: use inttype.h print format size specifiers
  * sbbr/fadt: use inttype.h print format size specifiers
  * fwts-test: apicinstance: fix up incorrect hex values

  [Ge Song]
  * DMI: Fix the way to load SMBIOS 3.x tables via sysfs

  [Ivan Hu]
  * efi_runtime: re-enable the resetsystem runtime interface

 -- Alex Hung <alex.hung@ubuntu.com>  Wed, 12 Sep 2018 11:08:41 -0700

fwts (18.08.00-0ubuntu1) cosmic; urgency=medium

  [Alex Hung]
  * lib: dmicheck: replace defines by enum type
  * acpitables: remove redundant "OEM" from Creator ID field
  * acpitables: remove unnecessary new line character
  * src: remove unnecessary new line characters and trailing spaces
  * fwts-test: sync up with new line char and trailing space changes
  * acpi: wakealarm: remove failure messages for non-x86 arch
  * acpiinfo: update acpi version supported by kernel
  * ac_adapter: skip tests when no power supply exists
  * README: add a new required package since commit 3f151922fc13

  [Colin Ian King]
  * lib: fwts: Add abstracted pragma macros to push/pop state and disable
    warnings
  * fwts_uefi.h: replace _Pragmas with abstracted pragma macros
  * Wrap ACPI_ROOT_OBJECT with PRAGMA_NULL_PTR_MATH for clang builds
  * lib/src/fwts_acpi_tables: disable clang warning
  * lib: fwts_coreboot_cbmem.c: initialize all fields in array of structs
  * uefi: uefirtauthvar: don't logically or a constant operand.
  * dmi: dmicheck: remove redundant array fwts_dmi_chassis_type
  * ACPICA: Update to version 20180810
  * Add MIN, MAX and ARRAY_SIZE macros to fwts.h
  * fwts_coreboot_cbmem: fwts coding style changes, use off_t for addresses
  * lib: fwts_cpu: make found a boolean
  * lib: fwts_cpu: minor fwts coding style changes
  * lib: fwts_deviceytree: make a function argument const and a style change
  * lib: fwts_firmware: remove some empty lines
  * lib: fwts_iasl: remove a whitespace
  * lib: fwts_interactive: add sanity check on fileno, fix typo, tidy code
  * lib: fwts_ipmi: make fwts_ipmi_msg_id static, make some code style changes
  * lib: fwts_keymap: some minor fwts coding style changes
  * lib: fwts_list: some minor fwts coding style changes
  * lib: fwts_multiproc: remove whitespace
  * lib: fwts_olog: minor code style change on FILE pointers
  * lib: fwts_release: make some helper functions static
  * lib: fwts_scan_efi_systab: add empty line to match fwts coding style
  * fwts_coreboot_cbmem: fix off-by-one error on last char of buffer
  * lib: fwts_coreboot_cbmem: fix cbmem_console_addr check
  * lib: fwts_clog.c: replace space identations with tab
  * lib/src/fwts_acpi_tables: remove shadowed pointer ptr
  * lib: fwts_framework: ensure src pointer is const
  * fwts_framework: no need to pass tests_to_skip as it is locally scoped
  * lib: fwts_framework: argument 'arg' should not be const
  * lib: fwts_log: remove const arg in fwts_log_set_field_filter
  * lib: fwts_summary: remove redundant redefinition of fwts_summary_deinit
  * lib: fwts_safe_mem: add in missing constifications
  * lib: fwts_log_scan: rename function argument to avoid name shadowing
  * lib: fwts_stringextras: fix some missing constifictions
  * lib: fwts_text_list: fix up some const casting issues
  * lib: fwts_json.h: fix casting warning, add missing const
  * lib: fwts_coreboot_cbmen: fix missing const in cast
  * sbbr: acpitables: make function sbbr_search_acpi_tables static
  * acpi: crsdump: add in missing pointer constifications
  * acpi: ecdt: fix some missing pointer constifications
  * acpi: fadt: add in missing const to fix build warnings
  * sbbr: fadt: add in missing const to fix build warnings
  * acpi: method: make function method_test_CRS_return static
  * acpi: nfit: rename table to nfit_table to avoid name shadowing
  * acpi: wmi: add in missing const to fix build warnings
  * acpi: stao: add in missing const to fix build warnings
  * bios: mtrr make function multi_types_check static
  * opal: reserv_mem: add in missing const to fix build warnings
  * hotkey: rename list 'hotkeys' to avoid name shadowing
  * uefi: uefirtauthvar: rename argument attibutes to var_attributes
  * uefi: uefirtvariable: rename argument attibutes to var_attributes
  * coreboot: clog: rename list 'clog' to avoid name shadowing
  * lib: fwts_acpi_tables: unconstify data and don't strcpy ACPI table ids
  * Fix some strncpy/strcat gcc 8.2 warnings by using libbsd strlcpy/strlcat
  * snapcraft: add missing stage packages
  * snapcraft: remove libjson-c3 stage package, it is not required

  [Ivan Hu]
  * uefi: clean and check status with magic value ~0ULL (LP: #1784365)
  * uefi: uefivarinfo: add to UNSAFE category
  * acpi: gtdt: add checking the valid base physical address

 -- Alex Hung <alex.hung@ubuntu.com>  Wed, 22 Aug 2018 00:33:21 -0700

fwts (18.07.00-0ubuntu1) cosmic; urgency=medium

  [Alex Hung]
  * dmicheck: update Processor Upgrade field in Type 4
  * dmicheck: update connection and port types in Type 8
  * dmicheck: update Usage and Characteristics 2 fields in Type 9
  * dmicheck: update memory type and add nvdimm fields for Type 17
  * fwts-tests: sync up with the new --clog option
  * klog.json: lower severity of temperature threshold
  * auto-packager: mkpackage.sh: remove artful
  * doc: adding --clog options to man page
  * fwts-test: sync up with klog cpu threshold changes
  * fwts-test: sync up nfit fix for NFITBadLineOffsetAlignment
  * lib: fix array size too small to fit the output
  * lib: silence gcc 8 complains
  * lib: fix gcc 8 warning messages

  [Colin Ian King]
  * Add travis yaml file to automate builds on github
  * ACPICA: Update to version 20180629
  * test: syntaxcheck: sync output with latest ACPICA output

  [Jeffrey Hugo]
  * acpi: pptt: Fix PPTTBadSubtableLength error message

  [Marcello Sylvester Bauer]
  * fwts_log_scan: add lib/src/fwts_log_scan.c
  * fwts_log_scan: move fwts_klog_free
  * fwts_log_scan: move fwts_log_find_changes
  * fwts_log_scan: move fwts_log_remove_timestamp
  * fwts_log_scan: move fwts_log_scan
  * fwts_log_scan: move fwts_log_unique_label
  * fwts_log_scan: move fwts_log_scan_patterns
  * fwts_log_scan: move fwts_log_compare_mode_str_to_val
  * fwts_log_scan: move fwts_json_str
  * fwts_log_scan: move fwts_log_check
  * fwts_log_scan: move fwts_log_regex_find
  * fwts_clog: add fwts_clog_free
  * fwts_clog: add fwts_clog_read
  * fwts_clog: add fwts_clog_scan
  * fwts_clog: add fwts_clog_scan_patterns
  * fwts_clog: add fwts_clog_firmware_check
  * coreboot/clog/clog.c: add clog test
  * fwts_Framework: add clog argument
  * fwts_clog.c: add fwts_clog_available
  * clog.json: add coreboot messages to clog database
  * fwts_coreboot.c: add cbmem console parser

  [Robert Elliott]
  * cpufreq: exit if parsing the cpufreq directory fails
  * cpufreq: fix fwts_set paths
  * nfit: improve length handling for ACPI NFIT structures
  * nfit: remove broken NFITBadLineOffsetAlignment check
  * README: add the fwts-devel mailing list address and web page
  * nfit: scan SMBIOS Management Information structure


 -- Ivan Hu <ivan.hu@ubuntu.com>  Mon, 30 Jul 2018 16:53:48 +0800

fwts (18.06.02-0ubuntu1) cosmic; urgency=medium

  [Colin Ian King]
  * Revert "efi_runtime: build dkms for kernel that does not have efi_test"
    (LP: #1777855)

 -- Ivan Hu <ivan.hu@ubuntu.com>  Thu, 21 Jun 2018 16:53:26 +0800

fwts (18.06.01-0ubuntu1) cosmic; urgency=medium

  [Colin Ian King]
  * snapcraft.yaml: fix name of staging package (LP: #1777662)

 -- Ivan Hu <ivan.hu@ubuntu.com>  Thu, 21 Jun 2018 11:34:10 +0800

fwts (18.06.00-0ubuntu1) cosmic; urgency=medium

  [Alex Hung]
  * acpi: fadt: allow first reserved field to be 1
  * efi_runtime: build dkms for kernel that does not have efi_test

  [Colin Ian King]
  * update_version.sh: also update version in snapcraft.yaml
  * snapcraft.yaml: add in missing stage packages
  * ACPICA: Update to version 20180531
  * lib: fwts_set: fix API for fwts_set, add fwts_set_int
  * lib: add small helpers top get/set /sys/power/pm_debug_messages
  * acpi: s3: force enable /sys/power/pm_debug_messages (LP: #1772563)
  * acpi: s4: also check for file based swap files
  * acpi: s4: force enable /sys/power/pm_debug_messages (LP: #1772563)
  * acpi: s3power: force enable /sys/power/pm_debug_messages (LP: #1772563)
  * acpica: fix linking issues when building non ACPI builds

  [Ivan Hu]
  * acpi: hpet: fix getting invalid vendor ID and clock period

  [Mathieu Trudel-Lapierre]
  * fwts_uefi: Fixing tiny typos in the uefi driver

  [Stan Hung]
  * mtrr: fix incorrect type detection

 -- Ivan Hu <ivan.hu@ubuntu.com>  Tue, 19 Jun 2018 15:58:07 +0800

fwts (18.05.00-0ubuntu1) cosmic; urgency=medium

  [Alex Hung]
  * cpu: msr: do not check SYSENTER_* MSRs
  * cpu: msr: do not check SYSCALL MSRs
  * fan: add cooling_device# to error messages
  * fan: cur_state == -1 is valid for intel_powerclamp
  * doc: adding acpitests, uefitests and sbbr options to man page
  * acpi: syntaxcheck: change it from batch to batch-experimental
  * fwts_framework: add an "ifv" option for Independent Firmware Vendor
  * dmicheck: skip checks of DMI default values for IFV
  * fwts-tests: sync up with the new --ifv option
  * dmi: dmicheck: fix missing spaces in failures of type 9
  * acpi: method: fix a copy-n-paste error in _SUB test
  * acpi: method: add test for _CLS control method
  * fwts-test: sync up with _CLS control method
  * lib: create helper functions for device identification objects
  * acpi: devices: add common objects
  * fwts-frontend-text: add a recommended option for IFV (IBV)
  * fwts-frontend-text: add an option for ARM SBBR
  * auto-packager: mkpackage.sh: add cosmic

  [Colin Ian King]
  * acpi: fan: fix potential null pointer dereference issue
  * ACPICA: Update to version 20180427
  * fwts-test: syntaxcheck: sync up with latest ACPICA changes
  * ACPICA: Update to version 20180508

  [Deb McLemore]
  * README: Add libpci-dev dependency ppc64el
  * lib: fwts_pipeio: fix regression from memory leak fix
  * devicetree: dt_base: Make dtc warnings not failures
  * opal: cpu_info: Designate property optional
  * opal: mem_info: Designate property optional
  * opal: prd_info: Add resilience to service check

  [Ivan Hu]
  * efi_runtime: fix gcc warning for efi_runtime_reset_system

  [Rameshwar Prasad Sahu]
  * facs: Add a check for empty BIOS memory map info list

  [Shilpasri G Bhat]
  * opal: power_mgt: Fixes related to pstate parsing
  * cpufreq: Add support to read boost frequencies
  * cpufreq: Dont free a NULL pointer

 -- Alex Hung <alex.hung@ubuntu.com>  Tue, 15 May 2018 08:01:13 -0700

fwts (18.03.00-0ubuntu1) bionic; urgency=medium

  [Alex Hung]
  * klog.json: change severity for AE_ALREADY_EXISTS errors
  * fwts-test: sync up with AE_ALREADY_EXISTS errors
  * dmi: dmicheck: add chassis type for Type 3

  [Colin Ian King]
  * ACPICA: Update to version 20180313

  [Deb McLemore]
  * olog:olog.json: Update OPAL skiboot errors to check on olog scan

  [Ivan Hu]
  * uefirtauthvar: remove test with EFI_VARIABLE_AUTHENTICATED_WRITE_ACCESS

 -- Alex Hung <alex.hung@ubuntu.com>  Wed, 21 Mar 2018 00:08:40 -0700

fwts (18.02.00-0ubuntu1) bionic; urgency=medium

  [Alex Hung]
  * acpi: acpiinfo: add acpi 6 to acpiinfo test
  * acpi: method: check one element in _TSD only for acpi 6.2+
  * acpi: spcr: update interface types based on DBG2
  * fwts-test: sync up with revision update in 9da9d5a5
  * acpi: method: allow _WAK to return an integer

  [Colin Ian King]
  * mkpackage.README: change urgency level to medium
  * lib: fwts_log: remove redundant initialization of ptr1
  * acpi: wmi: remove redundant initialization of 'info'
  * lib: fwts_log: remove redundant initialization of 'field'
  * lib: fwts_pipeio: remove variable status
  * lib: fwts_acpi_tables: remove redundant initialization to 'result'
  * ACPICA: Update to version 20180209
  * fwts-test/syntaxcheck-0001: sync up output with current ACPICA

  [Deb McLemore]
  * README: Add dependencies per Platform

  [Ivan Hu]
  * auto-packager: mkpackage.sh: remove zesty
  * uefirtvariable: modify both authenticated attributes setting test
  * uefirtvariable: add test for EFI_VARIABLE_AUTHENTICATED_WRITE_ACCESS
    attribute

  [Jeffrey Hugo]
  * acpi: fadt: Fix FACS checking
  * acpi: iort: Update revision checking

 -- Ivan Hu <ivan.hu@ubuntu.com>  Tue, 27 Feb 2018 10:53:06 +0800

fwts (18.01.00-0ubuntu1) bionic; urgency=low

  [Alex Hung]
  * acpi: LPIT: check for monotonically increasing UID
  * fwts-test: sync up with changes in lpit test

  [Colin Ian King]
  * Treewide: update copyright year to 2018
  * fwts-test: arg-help: sync up with copyright year changes
  * ACPICA: Update to version 20180105
  * acpica: fix linking issues when building non ACPI builds
  * lib: fwts-battery: use PRIu32 format specifier, fixes cppcheck warning
  * acpi: acpidump: move declaration to before statements, add blank lines
  * lib: fwts_safe_mem: don't perform void * pointer arithmetic, fix 32 bit end
  * lib: fwts_alloc: move 'pos' to a deeper scope, minor style change
  * opal: reserve_mem: remove redundant initialization of pointer p
  * opal: reserve_mem: remove unused variable 'i' and move scope of variable
    'value'
  * sbbr: rsdp: remove redundant initialization of boolean 'signature_pass'
  * acpi: madt: move scope of boolean 'passed'
  * acpi: pptt: move scope of index variable 'i'.
  * acpi: rasf: move scope of index variable 'i'
  * sbbr: acpitables: clean up code, move scope of some variables
  * acpi: erst: cast size to uint64_t to clean up static analysis warning
  * uefi: uefidump: clean up some static analysis warnings

  [Ivan Hu]
  * securebootcert: add checking read-only for the AuditMode and DeployedMode
  * securebootcert: move to UNSAFE category

 -- Ivan Hu <ivan.hu@ubuntu.com>  Thu, 25 Jan 2018 13:44:38 +0800

fwts (17.12.00-0ubuntu1) bionic; urgency=low

  [Alex Hung]
  * acpi: tpm2: update spec url

  [Colin Ian King]
  * trival: make read only const strings static
  * ACPICA: Update to version 20171215

  [Jeffrey Hugo]
  * acpi: bert: remove confusing warning

  [Ricardo Neri]
  * acpi: madt: only inspect Local APIC/x2APIC/SAPIC tables if enabled

  [Sakar Arora]
  * dmicheck: sbbr: make some SMBIOS structs optional
  * acpi: dbg2: sbbr: allow PL011 UART as a valid subtype
  * acpi: spcr: sbbr: IOAPIC is valid interrupt type
  * acpi: sbbr: relax a few test pass conditions

 -- Alex Hung <alex.hung@ubuntu.com>  Wed, 20 Dec 2017 16:23:05 +0800

fwts (17.11.00-0ubuntu1) bionic; urgency=low

  [Alex Hung]
  * lib: move and rename helper functions from method.c
  * acpi: devices: add a new test for ACPI AC adapter device
  * acpi: devices: add a new test for ACPI battery device
  * acpi: devices: add a new test for smart battery device
  * lib: move _CRS helper functions from method.c
  * acpi: devices: add a new test for acpi ec device
  * acpi: devices: print device name in acpi_ac test
  * acpi: devices: deiniit acpica when tests are skipped
  * acpi: devices: add new tests for power and sleep button devices
  * acpi: sync up _BIX test in method to acpi_battery tests
  * acpi: fadt: ACPI 6.2 explicitly states 64-bit supersedes 32-bit
  * acpi: madt: check GICD's system vector according to mantis 1819 (ACPI
    6.2a)
  * acp: nfit: add platform capability according to manit 1831 (ACPI 6.2a)
  * lib: print reference names in fwts_acpi_object_dump
  * lib: raise severity of acpi method failures
  * lib: add new large resource data type for _CRS methods
  * lib: fix offset error for GPIO connection descriptor
  * acpi: sdev: add ACPI SDEV test (mantis 1632)
  * fwts-test: Add regression test for SDEV
  * acpi: dppt: add ACPI PDTT test (mantis 1576)
  * fwts-test: Add regression test for PDTT
  * acpi: method: add a missing space in _TSS tests
  * acpi: devices: add new tests for lid device
  * acpi: devices: add new tests for ambient light sensor device
  * acpi: devices: add new tests for time and alarm device
  * acpi: devices: add new tests for wireless power calibratio device
  * dmi: dmicheck: fix incorrect use of lock bit in chassis type
  * src: re-order source list alphabetically
  * acpi: update checks of _BIX return package
  * acpi: add tests for _SRT control method
  * fwts-test: sync up with _SRT control method
  * auto-packager: mkpackage.sh: add bionic
  * fwts-test: sync up with rsdt updates

  [Anthony Wong]
  * fwts: add bash command-line completion

  [Chris Goldsworthy]
  * Remove length test for ACPI 1.0 RSDPs, fix checks against revision field
  * Add ACPI 1.0 RSDP test to make sure RSDT field isn't null

  [Colin Ian King]
  * ACPICA: Update to version 20170929
  * fwts-test: sync syntax check with latest ACPICA output
  * lib: fwts_safe_mem: fix buffer end calculation
  * lib: fwts_acpi_object_eval: fix build issues with older toolchains
  * lib: fwts_battery: fix build issues with older toolchains
  * lib: fwts_args: ensure a null short_option is never passed to getopt_long
  * uefi: uefidump: add some guarding on allocation size
  * uefi: uefidump: add some guarding on loop iteration
  * dmi: dmicheck: zero buffer buf, cleans up a static analysis warning
  * ACPICA: Update to version 20171110
  * doc: manual: add Chris Goldsworthy to the contributors section

  [Ivan Hu]
  * uefi: uefidump: add dumping for BluetoothLE device path
  * uefi: uefidump: add dumping for DNS device path
  * uefi: uefibootpath: add test for BluetoothLE device path
  * uefi: uefibootpath: add test for DNS device path
  * hpet: fix the false alarm of hpet configuration test
  * uefi: uefirttime: fix the time zone to exact value
  * uefi: uefirtauthvar: update the test auth data (LP: #1724455)

 -- Alex Hung <alex.hung@ubuntu.com>  Fri, 17 Nov 2017 14:49:11 +0800

fwts (17.09.00-0ubuntu1) artful; urgency=low

  * [Alex Hung]
  * lib: fwts_acpi_tables: add a new function to check Reserved field
  * acpi: replace checks for Reserved by fwts_acpi_reserved_zero_check
  * fwts-test: sync up with new fwts_acpi_reserved_zero_check
  * lib: replace spaces by tabs
  * lib: fwts_acpi_tables: add a new function to check reserved bits
  * acpi: replace checks for Flags by fwts_acpi_reserved_bits_check
  * fwts-test: sync up with new fwts_acpi_reserved_bits_check
  * acpi: replace checks for reserved bits by fwts_acpi_reserved_bits_check
  * fwts-test: sync up with new fwts_acpi_reserved_bits_check
  * acpi: spcr: check reserved values for parity and stop fields

  [Colin Ian King]
  * debian: copyright: fix spelling mistake: acpcia -> acpica
  * acpica: fix spelling mistake: acpcia -> acpica
  * ACPICA: Update to version 20170831
  * iASL: Fix incorrect memory allocation
  * lib: constify a couple of arrays
  * src/acpi/brightness: constify sys_path and return of brightness_get_path
  * acpi: method: constify arrays
  * acpica: constify array fwts_default_space_id_list
  * cmos: cmosdump: constify several char * arrays
  * bios: bios_info: constify array bios_info
  * bios: multiproc: constify array bus_types
  * dmi: dmicheck: constify array dmi_used_by_kernel_table
  * uefi: securebootcert: make array securebootcert_info_table const
  * uefi: uefidump: make array uefidump_info_table const
  * uefi: uefirtmisc: make arrays flag static const
  * uefi: uefirttime: constify static array dayofmonth
  * lib: fwts_firmware: make enums into a defined type
  * lib: fwts_framework: make several int fields into uint32_t
  * lib: fwts_framework: re-order and clean up fwts_framework fields
  * lib: fwts_log: make magic uint64_t to improve corruption checking
  * fwts_log: make line_number to a uint32_t type
  * acpica: constify bool parameter val in fwts_acpi_region_handler_called_set
  * lib: fwts_acpi_table: make indexes which and index uint32_t
  * lib: fwts-battery: make battery type a typedef'd enum
  * lib: fwts_battery: clean up battery interfaces
  * lib: fwts_button: make button counts and button number uint32_t
  * lib: fwts_checksum: object sizes should be size_t rather than int
  * lib: fwts_devicetree: constify a few function arguments
  * lib: fwts_formatting: make width parameter size_t
  * lib: fwts_wakealarm: make wakealarm times uint32_t
  * lib: fwts_battery: include inttypes.h for PRIu32 definition
  * lib: fwts_log_plaintext: include inttypes.h for PRIu32 definition
  * lib: fwts_log_xml: include inttypes.h for PRIu32 definition
  * acpi: battery: include stdint.h and inttypes.h
  * acpi: wakealarm: include stdint.h and inttypes.h

  [Ivan Hu]
  * efi_runtime: add resetsystem runtime service
  * securebootcert: remove the SignatureOwner on signature presence check

  [Jeffrey Hugo]
  * dmi: dmicheck: Fix Base Address Modifier checking
  * dmi: dmicheck: Add BMC Interface Type definitions from IPMI spec

  [Sakar Arora]
  * acpi: method: sbbr: set some methods as optional

 -- Ivan Hu <ivan.hu@ubuntu.com>  Wed, 27 Sep 2017 15:02:29 +0800

fwts (17.08.00-0ubuntu1) artful; urgency=low

  [Alex Hung]
  * auto-packager: mkpackage.sh: remove yakkety
  * dmicheck: fix dmi_reserved_bits_check function when size is 64
  * acpi: pmtt: fix typo from pmmt to pmtt
  * acpi: sdei: add ACPI SDEI test (mantis 1714)
  * fwts-test: Add regression test for SDEI
  * acpi: pcct: refactor subspace to individual functions
  * acpi: pcct: update PCCT table to ACPI 6.2 (mantis 1659 & 1755)
  * fwts-test: sync up PCCT tests with ACPI 6.2 changes
  * acpi: dppt: add ACPI DPPT test (mantis 1795)
  * acpi: pptt: add ACPI PPTT test
  * acpi: hmat: add ACPI HMAT test (mantis 1705)
  * fwts-test: Add regression test for HMAT
  * acpi: method: add _LSI test according to ACPI 6.2 (mantis 1721)
  * fwts-test: sync up tests for _LSI method
  * fwts-test: Add regression test for PPTT
  * acpi: rasf: add ACPI RASF test
  * fwts-test: Add regression test for RASF
  * acpi: sbbr: sync up with new SBBR tests
  * acpi: remove "Linux-read Firmware Developer Kit" from license header
  * doc: update contributors and date to the manual

  [Colin Ian King]
  * opal: fix build error on Ubuntu 12.04 i386 with gcc 4.6.3
  * lib: fwts_safe_mem: remove need to copy into a buffer
  * acpi: bert: add safe memory read check on mmap'd memory
  * acpi: hpet: add safe memory read check on mmap'd memory
  * acpi: mcfg: add safe memory read check on mmap'd PCI config memory
  * acpi: pcc: add safe memory read check on mmap'd PCC header
  * bios: pciirq: add safe memory read check on mmap'd pci irq region
  * bios: pnp: add safe memory read check on mmap'd memory region
  * dmi: dmicheck: fix incorrect safe memory read check on DMI mmap'd region
  * uefi: csm: add safe memory read check on mmap'd interrupt and option ROM
    regions
  * fwts_safe_mem: workaround longjmp clobber warnings
  * ACPICA: Update to version 20170728
  * lib: fwts_smbios: use fwts_safe_memcpy to read SMBIOS entry
  * lib: fwts_acpi_tables: re-work fwts_acpi_get_rsdp, less memory copies
  * lib: fwts_safe_mem: really force reads
  * lib: fwts_acpi_tables: unmap mem, fixes memory leak
  * acpi: xsdt: fix build error on 32 bit systems
  * acpica: fwts_acpica: fix linker issues on Fedora (LP: #1712572)

  [Jeffrey Hugo]
  * acpi: madt: Add support for ACPI 6.2

  [Mahesh Bireddy]
  * acpi: fadt: add SBBR compliance tests
  * acpi: madt: add SBBR compliance tests
  * acpi: spcr: add SBBR compliance tests
  * acpi: xsdt: add SBBR compliance tests

  [Rajat Goyal]
  * acpi: dbg2: add SBBR compliance tests
  * acpi: gtdt: add SBBR compliance tests
  * acpi: acpitables: add SBBR compliance tests

  [Sakar Arora]
  * dmi: dmicheck: add SBBR compliance tests
  * acpi: method: add SBBR compliance tests
  * acpi: rsdp: add SBBR compliance tests

  [Vinson Lee]
  * acpi: method: Fix error message.
  * README: Update JSON manipulation library name.

 -- Ivan Hu <ivan.hu@ubuntu.com>  Wed, 30 Aug 2017 14:23:42 +0800

fwts (17.07.00-0ubuntu1) artful; urgency=low

  [Alex Hung]
  * fwts-test: update tpm2 test for new start methods
  * acpi: bgrt: update according to acpi 6.1 errata (mantis 1577)
  * fwts-tests: update bgrt test according to ACPI 6.1 errata
  * acpi: method: update _PSD and _TSD tests according to ACPI 6.1 errata
  * acpi: rsdp: revision 1 must have length 20 according to ACPI 6.1 errata
  * acpi: method: Add _CPC revision 3 according to acpi 6.2 (mantis 1611)
  * acpi: hest: change type from hex to dec as in ACPI spec
  * acpi: hest: change a function name to meet the patterns of others
  * acpi: hest: add new type 11 introduced in ACPi 6.2 (mantis 1649)
  * acpi: srat: add new type 4 according to ACPI 6.2 (mantis 1656)
  * acpi: method: update _GCP according to ACPI 6.2 (mantis 1703)
  * acpi: hest: add notification type 11 according to ACPI 6.2 (mantis 1731)
  * acpi: fadt: update minor version to 2 for ACPI 6.2 (mantis 1769)
  * acpi: hest: add checks for GHES_ASSIST flag value in ACPI 6.2 (mantis 1674)
  * acpi: hest: fix typo for type 7
  * fwts-test: update according to HEST changes
  * acpi: wsmt: add wsmt test according to ACPI 6.2 (mantis 1585)
  * fwts-test: add wsmt test
  * fwts-test: fix typo from apcitables to acpitables

  [Colin Ian King]
  * ACPICA: Update to version 20170629
  * fwts-tests: sync up with latest ACPICA 20170629 release
  * dmi: dmicheck: ensure mmap'd SMBIOS data is readable before accessing it
  * bios32: ensure mmap'd memory is readable before accessing it
  * bios: ebdadump: ensure mmap'd memory is readable before accessing it
  * bios: romdump: ensure mmap'd memory is readable before accessing it
  * lib: fwts_smbios: ensure mmap'd memory is readable before accessing it

  [Geliang Tang]
  * efi_runtime: Use memdup_user helper

  [Jeffrey Hugo]
  * acpi: tpm2: Add additional start method values
  * acpi: iort: Add PMCG support

 -- Alex Hung <alex.hung@ubuntu.com>  Thu, 13 Jul 2017 00:17:02 -0700

fwts (17.06.00-0ubuntu1) artful; urgency=low

  [Alex Hung]
  * bios: mtrr: fix compile error in ubuntu trusty

  [Colin Ian King]
  * ACPICA: Update to version 20170531
  * fwts-test/syntaxcheck-0001: sync with ACPICA 20170531
  * fwts-test/disassemble-0001: sync with ACPICA 20170531
  * lib: fwts_alloc: only parse mem info once we have a valid line read in
  * lib: fwts_safe_mem: add SIGBUS handling
  * lib: fwts_alloc: re-work the memory parsing again
  * acpi: method use correct format specifier for uint32_t type

  [Deb McLemore]
  * olog: olog.json: Update OPAL skiboot errors to check on olog scan

  [Erico Nunes]
  * opal: fix tests dependency on libfdt

  [Ivan Hu]
  * bios: mtrr: fix overlaped MTRR (LP: #1694710)
  * bios: mtrr: print out actual default type of MTRR

 -- Alex Hung <alex.hung@ubuntu.com>  Wed, 14 Jun 2017 17:21:46 -0700

fwts (17.05.00-0ubuntu1) artful; urgency=low

  [Alex Hung]
  * auto-packager: mkpackage.sh: remove precise
  * acpi: method: make _PTS & _WAK optional
  * auto-packager: mkpackage.sh: add artful
  * dmi: dmicheck: add type 9 to dmi_used_by_kernel_table
  * dmi: dmicheck: add comments for obsolete types
  * dmi: dmicheck: fix a typo in a type 15's error message
  * dmi: dmicheck: check reserved bits in Type 0
  * dmi: dmicheck: check new offset in spec 3.11
  * dmi: dmicheck: check reserved bits of Type 7 offset 0x5
  * dmi: dmicheck: check reserved bits of Type 7 offset 0xd
  * klog.json: remove unnecessary comma and trailing spaces
  * dmi: dmicheck: add a function to verify reserved bits
  * dmi: dmicheck: add a helper function to check word min/max value
  * klog.json: add an ACPI warning message "SysmtemMemory conflicts
  * dmi: dmicheck: check pci(e) slot and segment, bus and dev/func
  * dmi: dmicheck: check reserved bits of offset 0x5 in type 13
  * dmi: dmicheck: add a helper function to check a reserved offset
  * dmi: dmicheck: check reserved bits in type 15 & type 17
  * dmi: dmicheck: check reserved fields in type 22, 23, 30, 32, 38 and 39
  * dmi: dmicheck: add 64-bit integer to dmi_reserved_bits_check
  * dmi: dmicheck: add checks for new type 43
  * acpi: method: check _WAK & _PTS for supported sleep states only
  * fwts-test: sync up tests for _PTS & _WAK method
  * dmicheck: support smbios check for version 3.1.1
  * dmi: dmicheck: type 22 offset 9 is an enum from 1 to 8

  [Colin Ian King]
  * lib: fwts_pm_method: clean up formatting and remove extraneous log message
  * acpi: gpedump: fix spelling mistake
  * acpica: add some extra run time verification to FACP (FADT)
  * lib: fwts_acpi_tables: Add extra fix-up for FACS and DSDT table addresses
  * fwts-test: arg-table-path-0001: sync tests with latest fwts changes
  * acpi: wmi: add and re-order WMI GUIDs
  * lib: fwts_pipeio: fix incorrect size of command being passed
  * lib: fwts_summary: move statement into previous if block
  * lib: fwts_stringextras: free original string on failed realloc
  * compiler: fwts_iasl_interface: free original string on failed realloc
  * uefi: uefidump: free original string on failed realloc
  * kernelscan: ensure parse_kernel_message returns PARSER_OK
  * lib: fwts_gpe: free original gpe buffer on failed realloc
  * lib: fwts_cpu: The string "flags" is 5 chars, fix incorrect strncmp size
  * dmi: dmicheck: remove redundant check on boolean advice_given
  * acpi: einj: fix incorrect addition on cast
  * fwts-test/wmi-0001: sync up WMI test with WMI changes
  * lib: fwts_log: fix spelling mistake on LOG_UNKOWN_FIELD
  * lib: fwts_log: add LOG_NO_FIELD and use this to indicate an unfound field
  * debian/control: Update description, fwts no longer is just for x86 systems
  * lib: fwts_gpe: fix double free on gpe buffer
  * opal: prd_info: NULLify output after free
  * Add snapcraft rules to build a fwts snap
  * debian/control: update standards version to 3.9.8
  * debian/control: remove ${shlibs:Depends} for fwts-frontend and
    fwts-efi-runtime-dkms
  * acpi: method: work around some gcc madness (LP: #1687056)
  * Reduce the sysfs path to 2K to work around a gcc warning
  * data: klog.json: make missing EINJ table message an INFO message
  * cpu: cpufreq: make small one-line helper functions inline
  * Snapcraft: fix typo in path
  * debian: fwts.install: add missing olog.json file
  * debian: changelog: fix some debian warnings
  * New script to generate a Debian orig tarball from source
  * data: klog.json: Fix spelling mistake "cound" -> "could"
  * opal: reserve_mem: fix 32 bit build issues
  * lib: fwts_acpi_tables: remove dead assignment of facs
  * acpica/fwts_acpica: remove debug message on FADT/FACS
  * acpica/fwts_acpica: cast to uintptr_t before casting to
    ACPI_PHYSICAL_ADDRESS
  * fwts-test: disable some acpi specific x86 tests for non-x86 systems

  [Ivan Hu]
  * uefi: securebootcert: warnings for secure boot variables not exist instead
    of failures
  * uefi: securebootcert: specify the failure reason for the variable not found

  [Jeffrey Hugo]
  * README: Fix missing libfdt-dev dependency in README

  [ppaidipe@linux.vnet.ibm.com]
  * fwts/opal: Power management DT Validation tests.
  * fwts/opal: Reserved memory DT validation tests.

 -- Ivan Hu <ivan.hu@ubuntu.com>  Wed, 24 May 2017 11:26:39 +0800

fwts (17.03.00-0ubuntu1) zesty; urgency=low

  [Alex Hung]
  * dmicheck: update chassis type limit according to SMBIOS 3.0
  * fwts-tests: sync up with the new --sbbr option
  * README: update url of reference guide
  * dmicheck: update type 3, 4, 9 limits according to SMBIOS spec 3.11

  [Colin Ian King]
  * lib: fwts_alloc: move all memory tracking to hash records
  * klog.json: Add some missing ACPI Power Management kernel messages
    to klog database
  * opal: reduce scope of variable 'prop_buf'
  * lib: fwts_alloc: clear hash table at end of garbage collection
  * lib: fwts_alloc: fix incorrect accounting on hash entry count
  * ACPICA: Update to version 20170224
  * fwts-test: disassemble-0001: sync DSDT output from iasl with recent
    ACPICA changes
  * acpi: mpst: remove redundant assignments to passed on errors
  * acpi: drtm: remove redundant assignments to passed on errors
  * opal: pci_info: remove redundant assignment to bytes
  * ACPICA: Update to version 20170303
  * lib: fwts_devicetree.h: minor code formatting cleanups
  * opal: make found_dimm static as it is local to just this source
  * opal: minor code style changes

  [Deb McLemore]
  * opal: mem_info check for dimm presence in property

  [Jeffrey Hugo]
  * acpi: acpiinfo: Print minor version where applicable
  * acpi: iort: Add support for SMMUv3

  [Supreeth Venkatesh]
  * sbbr: Add "--sbbr" flag to support running SBBR Tests.

 -- Ivan Hu <ivan.hu@ubuntu.com>  Thu, 16 Mar 2017 11:20:20 +0800

fwts (17.02.00-0ubuntu1) zesty; urgency=low

  [Alex Hung]
  * dmicheck: fix mistakes in error messages for SMBIOS type 9

  [Colin Ian King]
  * ACPICA: Update to version 20170119
  * README: update git URL to http://kernel.ubuntu.com/git/hwe/fwts.git/
  * lib: fwts_args: fix arg parameter sanity range checking
  * fwts-test: update arg-help-0001 to sync with help info changes
  * fwts_framework: handle -? option differently from -h
  * uefi/uefirtvariable: fix options check error messages
  * acpi: s3: Add new --s3-resume-hook option
  * clean up missing whitespaces
  * acpi: acpitables: fix indentation, no functional change
  * devicetree: dt_sysinfo: reduce scope of version_buf
  * lib: fwts_acpid: remove re-assignment of ptr to NULL
  * lib: fwts_cpu: force compiler to increment i rather than optimize it out
  * opal: mem_info: remove redundant initialization of prop_string to NULL
  * opal: mem_info: reduce scope of some variables
  * opal: cpu_info: remove redundant initialization of prop_string to NULL
  * opal: cpu_info: reduce scope of some variables
  * opal: pci_info: reduce scope of some variables
  * doc: remove trailing white spaces
  * opal/mtd_info.c: make a couple of functions static to reduce global scope
  * uefi: uefirtmisc: make gEfiCapsuleHeaderGuid static
  * opal: prd_info: make a couple of functions static to reduce global scope
  * ipmi: bmc: make fwts_bmc_info_check static
  * acpi: msdm: make variable table static
  * acpi: slit: make variable table static
  * acpi: fpdt: make variable table static
  * acpi: slic: make variable table static
  * misc: fix various spelling mistakes
  * data: fix some spelling mistakes in klog and olog databases
  * fwts-tests: fix up spelling mistakes in regression tests
  * lib: fwts_olog: ensure buffer is null terminated
  * lib: fwts_pipeio: fix memory leak on zero sized text allocation
  * fwts-alloc: track memory allocations, cleans up 6 coverity scan warnings
  * fwts-alloc: garbage collect hash records
  * klog.json: Add some more kernel messages to klog data base
  * klog.json: Add some EFI driver kernel messages to klog database
  * klog.json: Add some EFI quirk driver kernel messages to klog database
  * klog.json: Add some more EFI driver kernel messages to klog database
  * klog.json: Add some miscellaneous messages to klog database
  * klog.json: fix a couple of klog patterns

  [Deb McLemore]
  * Add README_JSON.txt for FWTS
  * Integrate PPC for FWTS-LIVE Frontend

  [Prarit Bhargava]
  * fedora: Fix location of klog.json file in fwts.spec
  * fedora: Add fedora internal versioning number in fwts.spec
  * fedora: Add fwts.spec.in
  * fedora: Update buildsrpm.sh for dynamic versioning

 -- Alex Hung <alex.hung@ubuntu.com>  Thu, 16 Feb 2017 09:58:33 +0800

fwts (17.01.00-0ubuntu1) zesty; urgency=low

  [Colin Ian King]
  * ACPICA: Update to version 20161222
  * opal: pci_info: minor code style clean-ups, no functional changes
  * update copyright year to 2017
  * fwts-test/arg-help-0001: update log files to match copyright year changes
  * klog.json: Add kernel errors to the database

  [Prarit Bhargava]
  * fedora/fwts.spec: Add initial version of fwts.spec
  * fedora/buildrpm.sh: Add build script for RPMs
  * .gitignore: update with fedora/rpm and git generated patches
  * .gitignore: Add aslcompiler.y

 -- Alex Hung <alex.hung@ubuntu.com>  Thu, 19 Jan 2017 12:19:10 +0800

fwts (16.12.00-0ubuntu1) zesty; urgency=low

  [Colin Ian King]
  * ACPICA: Update to version 20161117
  * fwts-test: sync up disassemble and syntaxcheck tests with ACPICA
  * acpica: s390x needs to be built as a 64 bit architecture
  * klog.json: Add a few more kernel errors to the database
  * klog.json: Update the klog database with more kernel patterns

  [Deb McLemore]
  * opal: pci_info: Add OPAL PCI Info validation
  * opal: mem_info: Add OPAL MEM Info validation
  * opal: cpu_info: Add OPAL CPU Info validation
  * devicetree: dt_sysinfo: Add OPAL firmware version checks
  * olog: olog.json: Update OPAL skiboot errors to check on olog scan

  [Fan Wu]
  * fwts:dmicheck: replace memcpy with fwts_memcpy_unaligned

  [Ivan Hu]
  * securebootcert: add variable AuditMode checking
  * securebootcert: add variable DeployedMode checking

 -- Ivan Hu <ivan.hu@ubuntu.com>  Wed, 21 Dec 2016 09:26:40 +0800

fwts (16.11.00-0ubuntu1) zesty; urgency=low

  [Colin Ian King]
  * ACPICA: Update to version 20160930
  * fwts-test: disassemble-0001: sync output to latest ACPICA changes
  * acpica: remove aslcompiler.y as it is generated from aslparser.y
  * debian/control: fwts-efi-runtime-dkms should not depend on kernel headers
    (LP: #1629826)
  * Build using dpkg-dev's hardening support.
  * acpcia: Makefile.am: include exconcat.c into libfwtsiasl build
    (LP: #1631354)
  * lib: fwts_ac_adapter: add in some constifications
  * lib: fwts_args: move #defines to start of source
  * lib: fwts_firmware: constify feature_names
  * lib: fwts_framework: constify categories[] and log_levels[]
  * lib: fwts_log_html: constify fwts_log_html_ascii_table[]
  * acpi: s3power: remove redundant intialization of fwts_settings
  * acpi: s4: remove redundant intialization of fwts_settings
  * acpi: s3: remove redundant intialization of fwts_settings
  * lib: fwts_pipeio: remove redundant initializations of file to NULL
  * opal: remove redundant initializations of command to NULL
  * lib: fwts_framework: initialize msg to literal string
  * dmi: dmicheck: fix a couple of cppcheck style warnings
  * Manual: keep contributors list up to date

  [Deb McLemore]
  * fwts_devicetree: Add defines for common usage
  * fwts_devicetree: Add function for common usage
  * devicetree: dt_sysinfo: Reference compatible whitespace

  [Erico Nunes]
  * fwts_acpi_tables: remove fwts_acpi_checksum declaration
  * acpi: dbg2: fix segfault and refactor dbg2_obj_find
  * fwts_framework.h: fix redefinition typedef warning
  * fwts_hwinfo.c: fix strict-aliasing error with old gcc
  * esrt.c: fix uninitialized use of 'fwversion' warning

  [Ivan Hu]
  * efi_runtime: use memdup_user() as a cleanup
  * efi_runtime: fix the uninintialized value datasize
  * efi_runtime: fix the uninitialized value rv
  * uefibootpath: fix the URI length check
  * uefibootpath: add test for eMMC device path
  * uefidump: add dumping for the eMMC device path
  * fwts_acpica: fix segmentation fault by unlock mutex twice (LP: #1635502)
  * debian/control: clean up uploaders list
  * auto-packager: mkpackage.sh: add zesty

  [Jeffrey Hugo]
  * acpi: hest: Add new error notification types
  * acpi: madt: Fix processor UID check
  * acpi: gtdt: Account for added virtual timer flags
  * lib: acpi: Remove gsiv field of fwts_acpi_table_gtdt_block_timer
  * acpi: mpst: Show test as skipped if table does not exist
  * lib: olog: Show test as skipped if nothing to do
  * acpi: pmtt: Show test as skipped if table does not exist
  * acpi: tcpa: Show test as skipped if table does not exist
  * acpi: tpm2: Show test as skipped if table does not exist
  * acpi: xenv: Show test as skipped if table does not exist

 -- Ivan Hu <ivan.hu@ubuntu.com>  Thu, 10 Nov 2016 16:32:37 +0800

fwts (16.09.00-0ubuntu1) yakkety; urgency=low

  [Alex Hung]
  * lib: acpi: add supports for WPBT
  * acpi: wpbt: add ACPI WPBT test
  * fwts-test: Add regression test for WPBT
  * lib: acpi: add supports for DRTM
  * acpi: drtm: add ACPI DRTM test
  * fwts-test: Add regression test for DRTM
  * acpi: remove "Linux-ready Firmware Developer Kit" from license header
  * lib: fwts_guid: add a compare function
  * acpi: nfit: skip SPA Range Structure Index for four GUIDs
  * acpi: nfit: check fields equals 0 for Virtual CD and Disk
  * cpu: msr: change SMRR_PHYSBASE from 8MB boundary to 4KB boundary

  [Colin Ian King]
  * acpica: remove utprint.c, it is not required
  * ACPICA: Remove utfileio.c, it is deprecated and not used
  * ACPICA: Update to version 20160831
  * opal: ensure fdt_node_path buffer is null terminated
  * fwts: treewide: voidify return from close(), closedir() and fclose()
  * lib: fwts_ipmi: fix incorrect memset size

  [Deb McLemore]
  * opal: mtd: Add OPAL MTD Validation
  * acpi: ACPI Platform check updates
  * opal: mtd: Add error exit when no MTD's
  * opal: prd: Improve message when no PRD detected
  * devicetree: dt_sysinfo: Improve message for non-reference model

  [Ivan Hu]
  * efi_runtime: change __usc2_strsize name to distinguish from ucs2_strsize
  * efi_runtime: redefine all uint*_t types by following the header efi.h
  * efi_runtime: exchange the user and local name define
  * efi_runtime: refactor the success and error path
  * efi_runtime: add label to reduce the number of kfree
  * efi_runtime: expand to a full if-conditional instead of using terneary
    operator
  * efi_runtime: add VariableNameSize return when getting the
    EFI_BUFFER_TOO_SMALL
  * efi_runtime: fix memory leak of getvariable funtion
  * efi_runtime: move the checking status forward
  * efi_runtime: clean up some return and alignment code
  * uefirttime: specify enable to true for setwakeuptime wiht null time test

  [Jeffrey Hugo]
  * acpi: fadt: Remove HEADLESS check on reduced hardware
  * pci: aspm: Add segment support

 -- Alex Hung <alex.hung@ubuntu.com>  Fri, 09 Sep 2016 09:47:45 +0800

fwts (16.08.01-0ubuntu1) yakkety; urgency=low

  [Colin Ian King]
  * acpica: rename vsnprintf and sprintf in utprint.c to avoid name clash
    conflicts

 -- Alex Hung <alex.hung@ubuntu.com>  Thu, 18 Aug 2016 17:46:32 +0800

fwts (16.08.00-0ubuntu1) yakkety; urgency=low

  [Alex Hung]
  * fwts: update .gitignore for files genereated by "make check"
  * acpi: nfit: add ACPI NFIT test
  * fwts-test: Add regression test for NFIT
  * acpi: pcct: fix incorrect printing length for PRIx64
  * lib: acpi: add support for MPST
  * acpi: mpst: add ACPI MPST test
  * fwts-test: Add regression test for MPST
  * lib: acpi: add support for PMTT
  * acpi: pmtt: add ACPI PMTT test
  * fwts-test: Add regression test for PMTT
  * acpi: nfit: change %x to marco PRIx32 for portability
  * auto-packager: mkpackage.sh: remove wily

  [Colin Ian King]
  * acpi: madt: fix memory leak on return paths
  * ACPICA: Update to version 20160729
  * acpi: pmtt: fix incorrect assignment on passed
  * acpi: dmar: fix portability warning from cppcheck on void * cast
  * acpi: dbg2: remove alloca(), replace with variable length array
  * acpi: madt: reduce scope of variable 'listint'
  * acpica: fwts_iasl_interface: reduce scope of variable 'i'
  * lib: fwts_smbios: reduce scope of variable 'mapped_entry'
  * lib: fwts_klog: reduce scope of variable 'old'
  * lib: fwts_iasl: reduce scope of variable 'ret'
  * lib: fwts_cpu: fix missing { } on an if statement
  * devicetree: dt_sysinfo: reduce scope of variables 'model_buf' and
    'compat_buf'
  * cpu: cpufreq: reduce scope of variable 'i'
  * lib: fwts_smbios: fix portability warning from cppcheck on void * cast
  * lib: fwts_alloc: fix portability warnings from cppcheck on void * arithmetic

  [Ivan Hu]
  * efi_runtime: call kfree directly instead of inline wrapper
  * efi_runtime: add datasize return when getting the EFI_BUFFER_TOO_SMALL
  * efi_runtime: fix memory leak of capsulecaps function
  * efi_runtime: clean up some comments and unused code
  * efi_runtime: add chceking the len for reading userspace memory
  * efi_runtime: add checking variable_name input

  [Prarit Bhargava]
  * acpi/nfit: Fix endless loop on broken NFIT tables

  [Ricardo Neri]
  * acpi: bert: do not fail if BERT error region raw_data_length is zero

 -- Alex Hung <alex.hung@ubuntu.com>  Thu, 18 Aug 2016 12:14:11 +0800

fwts (16.07.00-0ubuntu1) yakkety; urgency=low

  [Alex Hung]
  * acpi: method: add _FIT test
  * fwts-test: sync up tests for _FIT method
  * bios: mtrr: check MTRR default memory type
  * acpi: pcct: add ACPI PCCT test
  * fwts-test: Add regression test for PCCT
  * lib: acpi: fix a typo in fwts_acpi.h

  [Colin Ian King]
  * utilities: kernelscan: Add in missing [ ] brackets tokenisation
  * klog: data.json: Add klog checking for kernel NUMA errors from
    drivers/acpi/numa.c
  * fwts-test: remove arg-show-tests and arg-show-tests-full
  * klog: data.json: Add klog checking for kernel EC errors from
    drivers/acpi/ec.c
  * klog: data.json: Add klog checking for errors from
    drivers/acpi/acpi_cmos_rtc.c
  * klog: data.json: Add klog checking for errors from drivers/acpi/nfit.c
  * klog: data.json: Add klog checking for errors from drivers/acpi/pci_root.c
  * klog: data.json: Add klog checking for errors from drivers/acpi/pci_mcfg.c
  * fwts-test: update fwts klog regression tests due to klog json changes
  * klog: data.json: Add klog checking for errors from drivers/acpi/cppc_acpi.c
  * klog: data.json: Add klog checking for errors from drivers/acpi/battery.c
  * klog: data.json: Add klog checking for errors from
    drivers/acpi/processor_idle.c
  * efi: enable module loading to load legacy or new efi driver
  * klog: data.json: Add klog checking for errors from drivers/acpi/sleep.c
  * klog: data.json: Add klog checking for errors from
    drivers/acpi/acpica/rsmisc.c
  * klog: data.json: Add klog checking for errors from drivers/acpi/evged.c
  * acpi: rsdp: don't fail if RSDT and XSDT are both defined and different
  * fwts-test: rsdp-0001: sync test with latest rsdp test changes
  * lib: fwts_alloc: make allocator more robust
  * lib: fwts_pipeio: don't report failure on freopen failure
  * Add klog checking for errors from drivers/acpi/tables.c
  * doc: update contributors and date to the manual

  [Deb McLemore]
  * opal/prd_info: Add OPAL Processor Recovery Diagnostics
  * olog: olog.json: Add OPAL skiboot errors for olog scan
  * lib: olog: Improve message when sudo usage may help
  * opal/prd_info: Improve message when libfdt not installed
  * lib: framework: Improve message for results log file handling

  [Ivan Hu]
  * uefi: add the header for using efi runtime service
  * efi_runtime: reuse the in-kernel guid structure
  * efi_runtime: reuse the in-kernel time structure
  * efi_runtime: reuse the in-kernel capsule header structure
  * uefi: update reset type to uefi 2.6
  * uefi: remove the enum of reset type
  * efi_runtime: naming convention modification
  * efi_runtime: fix the style problems
  * debian/control: Fix incomplete dependencies for Linux headers (LP: #1606480)
  * fwts-test: sync up with the klog test
  * acpi: madt: fix build fail for i386

  [Jeffrey Hugo]
  * acpi: madt: Use 20 as the GIC ITS node length
  * acpi: madt: Add support for ACPI 6.0a
  * acpi: madt: Add support for ACPI 6.1
  * acpi: dbg2: Add missing debug port types

  [Jeremy Kerr]
  * devicetree/dt_sysinfo: clean up logic in stringlist_contains_last
  * devicetree/dt_sysinfo: fix reference platform compatible vs. model check
  * devicetree/dt_sysinfo: Add firestone model

  [Prarit Bhargava]
  * fwts: Fix madt testing with broken MADT entries
  * fwts: Update .gitignore files
  * fwts/madt: Add address of subtable to messages
  * fwts/madt: Implement I/O APIC and I/O SAPIC value comparison test
  * fwts/madt: Remove TODO for x2apic > 255 check
  * fwts/madt: Add processor UID checking to madt tests

  [Ricardo Neri]
  * fwts_cpuinfo_x86: check for null pointers when using
  * lib: fwts_cpu: return info struct only when requested CPU is found
  * lib: fwts_cpu: query info from the first online CPU

 -- Ivan Hu <ivan.hu@ubuntu.com>  Wed, 27 Jul 2016 15:35:54 +0800

fwts (16.06.00-0ubuntu1) yakkety; urgency=low

  [Alex Hung]
  * acpi: method: acpi 6.0 adds USB-C Connection to _UPC
  * acpi: method: add _WPP method test (introduced in ACPI 6.1)
  * acpi: method: add _WPC method test (introduced in ACPI 6.1)
  * fwts-test: sync up tests for _WPC and _WPP methods
  * lib: replace hardcoded size=1 in calloc by sizeof(char)
  * dmi: dmicheck: remove chassis check with acpi pm_profile
  * acpi: method: update _GCP test according to ACPI 6.1
  * acpi: einj: erst: update serialization action for ACPI 6.1

  [Colin Ian King]
  * dmi: dmicheck: fix typo: SBMBIOS should be SMBIOS
  * Rename fwts_log_*_verbatum to fwts_log_*_verbatim
  * ACPICA: Update to version 20160527
  * lib: fwts_ipmi: don't close a -ve fd on error exit return path
  * lib: fwts_ipmi: remove redundant for loop
  * lib: fwts_devicetree: fix memory leak on data
  * devicetree: dt_base: fix resource leak on error exit paths
  * lib: fwts_arch: set len to 1 to ensure space for '\0'
  * lib: fwts_args: clean up some scan-build warnings
  * devicetree/dt_sysinfo: report FWTS_ERROR on non-null termimated property
  * src/utilities/kernelscan: fix parsing of escaped C strings
  * lib: fwts_olog.h: fix include guard

  [Deb McLemore]
  * devicetree/dt_sysinfo: Add OPAL reference compatible checks

  [Ivan Hu]
  * efi_runtime: changing naming convention without p for pointer
  * lib: fwts_uefi: update uefi status codes to UEFI 2.6
  * uefirtvariable: modify getnextvariablename test for VariableNameSize smaller    than 2 (LP: #1593597)

  [Jeffrey Hugo]
  * lib: acpi: Add support for HEST GHESv2
  * acpi: hest: Add GHESv2 checking (LP: #1587624)

 -- Ivan Hu <ivan.hu@ubuntu.com>  Wed, 22 Jun 2016 15:43:04 +0800

fwts (16.05.01-0ubuntu1) yakkety; urgency=low

  [Alex Hung]
  * acpi:method: remove ACPI section from the top comments
  * acpi: dbg2: fix incorrect address size check with GAS struct
  * cpufreq: skip frequency performance test if cpufreq_settable is false
  * cpufreq: skip frequency claimed maximum test with intel_pstate
  * acpi: add MSCT table sanity check
  * acpi: add EINJ table sanity check
  * fwts-test: sync up with MSCT and EINJ table tests
  * fwts-test: add dt_base to show-tests* regression tests
  * auto-packager: mkpackage.sh: add yakkety and remove vivid
  * debian/control: add back libjson0-dev for precise

  [Anthony Wong]
  * Add .gitignore

  [Colin Ian King]
  * ACPICA: Update to version 20160318 (LP: #1559312)
  * fwts-test: sync tests with latest ACPICA output changes
  * data: klog.json: Fix typo in docking label text
  * acpi: gtdt: fix buffer overrun comparison
  * acpi: gtdt: fix buffer overrun comparison (for SBSA)
  * acpi: bert: fix format specifiers for boot error region
  * lib: fwts_olog: minor fwts coding style reformatting
  * lib: fwts_olog: fix fclose on already closed files.
  * lib: fwts_olog: fix memory leak on buffer on error exit path
  * lib: fwts_olog: ensure buffer is '\0' terminated per read, minor cleanups
  * lib: fwts_olog: avoid TOCTOU race on stat and fopen
  * fwts-test: update tests for new olog test from IBM
  * doc: fwts.1: Update contributors list and man page date
  * Add cppcheck static analysis checking script
  * uefi: uefirtauthvar: capitalize macro getvar_buf_size
  * Revert "acpi: tpm2: add check for zero control area address (LP: #1506442)"
  * ACPICA: Update to version 20160422
  * fwts-test: update disassemble and syntaxcheck tests to sync with latest
    ACPICA
  * cpufreq: make stat failure message a little more human friendly
  * acpi: einj, msct: only build in these tests on ACPI enabled systems
  * fwts-test: add dt_sysinfo to show-tests* regression tests
  * hpet: warn if HPET Device address not found in DSDT/SSDT
  * kernelscan: speed up parser using hash lookup, add more print funcs
  * kernelscan: remove need to pre-process with a CPP phase
  * kernelscan.sh: remove -E and -P phases to parsing
  * apic: apicedge: fix parsing of /proc/interrupts (LP: #1575783)
  * lib: fwts_pipeio: set *list to NULL on fwts_pipe_read error
  * acpi: spcr: add missing debug port types (LP: #1578433)
  * debian/control: add libfdt-dev and device-tree-compiler
  * Revert "debian/control: add libfdt-dev and device-tree-compiler"
  * debian/control: add libfdt-dev and device-tree-compiler
  * configure.ac: update email address, use fwts-devel instead
  * fwts-test/arg-help-0001: ensure tty is reset on exit path
  * fwts-test: arg-show-tests-0001: reset tty after forcing column width
  * cpu: msr: do not check SYSENTER_* MSRs (LP: #1582005)
  * fwts: manual: update date, add new contributor, add dtc to SEE ALSO
  * fwts: manual: ommitted Paul Menzel from the contributions list
  * fwts: lib: clean up static analysis warnings
  * debian/control: change depends on libjson0-dev to libjson-c-dev

  [Deb McLemore]
  * v2 - lib: fwts_args: handle cases to set optarg_handler for long options.
  * v2 - Introduce olog scan, to check OPAL msglog.
  * V3 Introduce IPMI BMC Info

  [Ivan Hu]
  * uefidump: dump the optional data for load option on boot device
  * uefidump: dump the optional data for load option on driver device
  * uefidump: add checking the resonable path list length for load option
  * uefidump: clean up the unnecessary period

  [Jeremy Kerr]
  * devicetree: add infrastructure for device-tree tests
  * devicetree/dt_sysinfo: Add device tree system information tests
  * pipeio: fix fwts_pipe_read return value when child produces no output
  * pipeio: Fix error handling in fwts_pipe_exec
  * pipeio: Rename fwts_pipe_open to fwts_pipe_open_ro, add fd as output
    argument
  * pipeio: Add fwts_pipe_open_rw
  * pipeio: Add fwts_pipe_readwrite
  * pipeio: Add fwts_pipe_close2 to cleanup from fwts_open_pipe_rw.
  * devicetree/dt_base: Add base device-tree validity checks

  [Paul Menzel]
  * pci/aspm: Fix grammar in ASPM advice (LP: #1581988)

  [Ricardo Neri]
  * bios: mtrr: fix cache type corner case at start of mtrr range
  * bios: mtrr: fix cache type corner case at end of mtrr range
  * bios: mtrr: redefine the end point of memory ranges

 -- Alex Hung <alex.hung@ubuntu.com>  Thu, 19 May 2016 14:13:12 +0800

fwts (16.03.00-0ubuntu1) xenial; urgency=low

  [Alex Hung]
  * acpi: csrt: fix a spelling mistake in a comment
  * acpi: csrt: fix resource descriptor can go over boundary

  [Colin Ian King]
  * debian/control: Add s390x to Architecture list (LP: #1549737)
  * lib: fwts_cpu: fix memory leak and incorrect return (LP: #1549723)
  * Add s390x build support, don't build ACPI specific code for this arch
  * Add s390x build support: skip tests that are not build in for this arch
  * Add s390x build support, don't build UEFI specific code for this arch
  * Debian/control: don't build UEFI kernel module for s390x
  * acpi: fan: fix indentation, remove extraneous tab
  * acpi: method: fix a few incorrectly idented lines of code
  * bios: mpcheck: fix trivial indentation issue
  * bios: mpdump: fix trivial indentation issue
  * uefi: uefirtvariable: fix trivial indentation issues
  * uefi: uefirtauthvar: fix trivial indentation issues
  * smatchify: add two passes option

  [Ivan Hu]
  * uefi: add sanity check for UEFI ESRT table (LP: #1553043)
  * uefi: esrt: don't build UEFI specific code for s390x
  * fwts-test: Update tests to sync with esrt test adding
  * uefi: esrt: fix the resource leak found by Coverity Scan
  * uefi: esrt: fix build failure due to lack of header file
  * acpi: method: fix faile check on _EC control method (LP: #1556720)
  * acpi: method: fix _ON method never be tested.
  * acpi: method: remove some reduntant and unused tests.
  * fwts-test: sync up with the fwts method tests changed

 -- Alex Hung <alex.hung@ubuntu.com>  Mon, 14 Mar 2016 17:09:08 +0800

fwts (16.02.00-0ubuntu1) xenial; urgency=low

  [Al Stone]
  * Start defining FWTS architectures as variables
  * Define some utility functions for using the fwts_architecture enum
  * Add mechanism to tell FWTS what architecture is being tested
  * ACPI: MADT: add in compliance tests for the MADT and subtables
  * ACPI: Add in MADT subtable description for GIC ITS subtable
  * ACPI: MADT: add in compliance checks for the GIC ITS subtable
  * Documentation: add --acpicompliance to man page
  * Documentation: add --arch to the man page
  * RSDP: minor cleanups to rsdp.c for checkpatch issues
  * utilities: add a helper function for printing out architecture names
  * ACPI tables: when bodging up an RSDP, do the right thing for the arch
  * ACPI RSDP: flesh out the tests to check for full spec compliance.
  * Update regression test rsdp-0001/test-0001.sh
  * Update the regression test arg-help-0001/test-0001.sh
  * Update regression test for arg-help-0001/test-0002.sh
  * Update regression test for arg-show-tests-0001/test-0001.sh
  * Update regression test arg-show-tests-full-0001/test-0001.sh
  * Update the regression test arg-table-path-0001/test-0001.sh
  * Update the regression test madt-0001/test-0001.sh
  * Update the regression test madt-0001/test-0002.sh
  * FADT: enable compiling on non-x86 architectures
  * FADT: non-x86 machines need an FADT but x86 can survive without one
  * FADT: disable SCI_EN and RESET_REG tests when in reduced hardware mode
  * FADT: add in code to log basic info about the various FADT flag fields
  * Add in bit masks for FACS flags.
  * FADT: move log info out of test2, will provide it elsewhere
  * ACPI: Add hypervisor ID field to FADT.
  * FADT: minor cleanup and initial compliance tests
  * FADT: expand the compliance test for FIRMWARE_CTRL fields
  * FADT: expand compliance checks for DSDT and X_DSDT fields
  * FADT: add compliance tests for reserved fields, PM profile, reduced hardware
  * FADT: restructure test sequence around reduced hardware mode
  * FADT: expand compliance tests for the SMI_CMD field
  * FADT: add compliance tests for the ACPI_ENABLE and ACPI_DISABLE fields
  * FADT: add compliance tests for S4BIOS_REQ and PSTATE_CNT fields
  * FADT: extend and add PM address block compliance tests
  * FADT: enhance compliance tests for GPE blocks
  * FADT: add compliance test for the CST_CNT field
  * FADT: add in compliance tests for C2/C3 latency fields
  * FADT: add in SLEEP_CONTROL_REG and SLEEP_STATUS_REG compliance tests
  * FADT: remove no longer useful variables from test1
  * FADT: add safety checks for older versions of FADT
  * FADT: update regression tests to incorporate new/changed tests

  [Alex Hung]
  * acpi: method: add _PMC test
  * acpi: method: add _PRT test
  * fwts-test: update for _PMC and _PRT tests
  * acpi: method: add _RDI test
  * acpi: method: add _LPI test
  * fwts-test: update for _RDI and _LPI tests
  * acpi: method: remove non-method names from the top comments
  * acpi: erst: fix incorrect error message for reserved field
  * fwts-test: update erst test for the fix of reserved field

  [Colin Ian King]
  * lib: fwts_klog: fix incorrect indentation, detected by gcc-6
  * lib: fwts_hwinfo: clean up type punning, fixes warning with gcc-6
  * fwts: wakealarm: reset wakealarm timer at end of test (LP: #1534003)
  * Update arg-show-tests-full now that we have an extra test in wakealarm
  * dmi: dmicheck: add some simple sanity checks to table size
  * lib: fwts_args: use safer strncat than strcat
  * lib: fwts_acpi_tables: don't do expensive low allocs multiple times
  * acpi: fadt: check 32/64 bit PM register addresses for inconsistency
    (LP: #1536606)
  * acpi: madt: fix incorrect format specifier for size_t
  * cpu: microcode: fix a couple of warnings found by cppcheck:
  * acpi: madt: clean up some minor style issues detected by cppcheck
  * data: klog.json: update to sync with 4.6 kernel changes
  * ACPICA: Update to version 20160212 (LP: #1545099)
  * lib: fwts_acpi_tables: fix warnings found by clang scan-build
  * lib: fwts_cpu: check for MSR read failures
  * lib: fwts_klog: handle the case where klog_old is empty list
  * acpica: fix disassembly on i386 platforms (LP: #1547469)
  * lib: fwts_arch: i686 arch name is also an X86 arch (LP: #1547554)
  * fwts-test: only run rsdp regression test on specific arches (LP: #1547602)
  * Fix null_gass initializer for older versions of gcc (LP: #1549429)

  [Ivan Hu]
  * fwts-test: sync up with the arg-table-path

 -- Ivan Hu <ivan.hu@ubuntu.com>  Thu, 25 Feb 2016 15:47:39 +0800

fwts (16.01.00-0ubuntu1) xenial; urgency=low

  [Alex Hung]
  * Fix spelling mistakes of "ACPI"
  * method: update method status
  * acpi: method: add _PTC test
  * fwts-test: update for ACPI method _PTC test
  * fwts-test: arg-help-0001: remove TMPLOG.orig files

  [Colin Ian King]
  * utilities: kernelscan: fix memory leaks and a segfault
  * acpi: cstates: fix clang build warning on zero CPUs.
  * acpi: s3, s3power, s4: replace cleanup free with explicit frees
  * data: klog.json: add in some more kernel error messages for 4.4
    (LP: #1526746)
  * ACPICA: Update to version 20151218 (LP: #1527733)
  * fwts-test: keep test results in-sync with latest ACPICA output
  * acpi: hpet: fwts_mmap failure is FWTS_MAP_FAILED and not NULL
  * acpi: pcc: fwts_mmap failure is FWTS_MAP_FAILED and not NULL
  * bios: ebdadump: fwts_mmap failure is FWTS_MAP_FAILED and not MAP_FAILED
  * acpi: syntaxcheck: ASL_MSG_COMPILER_RESERVED failure should be an info
    (LP: #1529717)
  * Update copyright year to 2016
  * fwts-test: sync arg-help with copyright year changes
  * ACPICA: Update to version 20160108 (LP: #1532268)

  [Fan Wu]
  * dmi: dmicheck: fix reserved bits mask for Processor Information

  [Ivan Hu]
  * uefidump: add dumping global variabl AuditMode
  * uefidump: add dumping global variabl DeployedMode
  * uefidump: add dumping global variable OsRecoveryOrder
  * uefidump: add dumping global variable PlatformRecovery####
  * uefidump: add dumping global variable SysPrepOrder
  * uefidump: add dumping global variable SysPrep####
  * uefirtvariable: fix decalred VLA have zero size (LP: #1526815)
  * esrtdump: add dumping for esrt table (LP: #1532103)
  * fwts-test: sync up with esrtdump changes

 -- Ivan Hu <ivan.hu@ubuntu.com>  Wed, 13 Jan 2016 16:12:49 +0800

fwts (15.12.00-0ubuntu1) xenial; urgency=low

  [Alex Hung]
  * acpi: fpdt: add a terminate for buggy BIOS that reports zero length
  * live-image/fwts-frontend-text: add a selection for recommended

  [Colin Ian King]
  * lib: klog: remove use of pcre, use regex instead
  * utilities: kernelscan: remove use of pcre, use regex instead
  * uefidump: add more bounds checking and remove need for heap
  * utilities: fix memory leak, line not being free'd
  * acpi: bert: remove redundant variable 'length'
  * data: klog.json: add in some more kernel error messages for 4.3
  * ACPICA: Update to version 20151124 (LP: #1519425)
  * lib: iasl: rework IASL interface to ACPICA
  * acpi: acpidump: use IASL rather than fwts custom table dump code
  * fwts-test: fix up acpidump releated tests
  * s3 + klog: make log scanning more robust for S3 (LP: #1522292)
  * ACPI: Add ASPT test
  * lib: framework: allow mixed tests and test category options
  * lib: acpica: make region handler more robust (LP: #1524217)
  * fwts: framework: Add --log-level option
  * fwts-test: update arg-help tests with new --log-level option
  * debian: copyright, fix lintian warnings
  * Debian: update Standards-Version to 3.9.6
  * acpi: acpidump: check for fwts_iasl_init failure
  * lib: fwts_acpi_tables: fix segfault when tables fail to load (LP: #1452201)
  * acpi: dbg2: remove dead store to ptr1
  * hotkey: fix key reading loop, it needs to loop more than once
  * lib: fwts_framework: remove dead store to len in for loop
  * lib: fwts_acpi_table: remove redundant store to rsdt
  * acpi: gpedump: remove redundant store to gpe_xrupt_info
  * lib: fwts_acpi_tables: remove dead store to facs
  * acpica: fwts_acpica: remove redundant store to length
  * lib: fwts_acpi_tables: remove redundant store to xsdt
  * lib: fwts_acpi_tables: check table to avoid dereferencing NULL ptr

  [Ivan Hu]
  * lib: fwts_uefi: add SD device path define
  * uefibootpath: add test for the SD device path
  * uefidump: add dumping for the SD device path
  * lib: fwts_uefi: add efi bluetooth device path define
  * uefibootpath: add test for the bluetooth device path
  * uefidump: add dumping for the bluetooth device path
  * lib: fwts_uefi: add wireless device path define
  * uefibootpath: add test for the wireless device path
  * uefidump: add dumping for the wireless device path
  * lib: fwts_uefi: add ramdisk device path define
  * uefibootpath: add test for the ramdisk device path
  * uefidump: add dumping for the ramdisk device path
  * uefibootpath: fix the wrong type for relative offset range path

  [Jiri Vohanka]
  * lib: fwts_acpi_table: Fix FADT update in creation of fake FACS table.

 -- Alex Hung <alex.hung@ubuntu.com>  Wed, 16 Dec 2015 15:08:32 +0800

fwts (15.11.00-0ubuntu1) xenial; urgency=low

  [Al Stone]
  * Add in the notion of ACPI compliance tests.
  * MADT subtables: Local SAPIC structure has 3 reserved bytes, not 1
  * ACPI: MADT: update GICC flag checks for ACPI 6.0
  * ACPI: MADT: further update to GICC flag checks for 6.0

  [Alex Hung]
  * acpi: method: skip scope names in method_evaluate_method
  * acpi: method: add _GPE test
  * fwts-test: update for _GPE method test
  * fwts-test: remove tmp log for LPIT
  * acpi: method: add _TSN test
  * acpi: method: add _TFP test
  * fwts-test: update for _TSN and _TFP tests
  * acpi: method: add _EC test
  * acpi: method: add _CWS test
  * acpi: method: add _BTH test
  * fwts-test: update for _EC, _CWS and _BTH tests
  * acpidump: add missing reserved fields to MADT structures
  * fwts-test: update for madt and acpidump changes
  * auto-packager: mkpackage.sh: add xenial

  [Colin Ian King]
  * ACPICA: Update to version 20150930 (LP: #1502044)
  * cpufreq: the calibration is taking a long time, make it faster
  * fwts-test: update dmicheck regression test
  * acpi: tpm2: add check for zero control area address (LP: #1506442)
  * acpi: tcpa: replace tab with spaces to fix formatting alignment
  * lib: framework: pack fwts_framework_flags to ensure it is a 32 bit int
  * man page: update author contributions

  [Ivan Hu]
  * securebootcert: change fail to warning when MS UEFI CA not found in DB
  * lib: fwts_uefi: add BMC device path define
  * uefidump: add dumping the BMC device path
  * uefibootpath: add test for the BMC device path
  * lib: fwts_uefi: add the URI device path define
  * uefibootpath: add test for the URI device path
  * uefidump: add dumping for the URI device path
  * lib: fwts_uefi: add the UFS device path define
  * uefidump: add dumping for the UFS device path
  * uefibootpath: add test for the UFS device path

  [Jiri Vohanka]
  * dmi: dmicheck: fix SMBIOS issues on aarch64 systems

 -- Alex Hung <alex.hung@ubuntu.com>  Thu, 12 Nov 2015 14:24:44 +0800

fwts (15.09.00-0ubuntu1) wily; urgency=low

  [Alex Hung]
  * acpi: method: add _CR3 test
  * acpi: method: add _MTL test
  * acpi: method: add _RST test
  * acpi: method: add _PRR test
  * fwts-test: update for _CR3, _MTL, _RST and _PRR method tests
  * acpi: fadt: merge tests for reset register

  [Colin Ian King]
  * cpu: cpufreq: reduce scope of variables
  * acpi: gpedump: clarify precedence for & and ?
  * lib: fwts_cpu: reduce scope on variables
  * lib: fwts_log: re-work to clean up va_arg scoping
  * uefi: uefirtvariable: clean up cppcheck style warning
  * doc: fwts manpage: Update contribution authors
  * ACPICA: Update to version 20150717 (LP: #1486253)
  * acpi: rsdp: make OEM ID test less strict
  * doc: update authors and add some warranty info at end of manual
  * data: klog.json: sync with latest 4.2 kernel messages (LP: #1493039)
  * fix some spelling mistakes in code and sync fwts-tests accordingly
  * cpu: maxfreq: check for unlikely event that no CPUs in cpu list
  * acpi: crsdump: fix incorrect use of string size in string copies
  * lib: fwts_acpi_tables: add checking for empty table parsing
  * lib: fwts_acpi_table: remove dead initialisation of ptr
  * dmi: dmicheck: fix build error on 32 bit builds

  [David Ward]
  * Makefile.am: use pkg-config for json-c

  [Ivan Hu]
  * fwts-test: fix typos for uefi acpi table regression test
  * lib: fwts_smbios: fix the smbios version from uefi always zero
    (LP: #1484023)
  * lib: fwts_scan_efi_systable: fix getting wrong smbios entry (LP: #1484046)
  * acpi: dbg2: won't find obj when no namespace device path (lp: #1486893)
  * lib: fwts_smbios: add the struct definition for smbios 3.0.0
  * dmicheck: re-orgainise the smbios entry point check
  * lib: smbios: add smbios version 3.0.0 entry find helper
  * dmicheck: add test for smbios 3.0.0 entry point
  * dmicheck: add error test for SMBIOS 3.0.0 table
  * dmicheck: sync the dmi value test with smbios 3.0.0 spec
  * fwts-test: update test to sync with smbios 3.0.0
  * dmicheck: fix the Base Board type range typos
  * auto-packager: mkpackage.sh: remove utopic

 -- Ivan Hu <ivan.hu@ubuntu.com>  Fri, 11 Sep 2015 10:40:40 +0800

fwts (15.08.00-0ubuntu1) wily; urgency=low

  [Alex Hung]
  * acpi: add table names in test description
  * fwts-test: update for prefix for ECDT, TCPA, WAET and XENV
  * acpi: remove redundant tailing spaces - no functional changes
  * acpi: tcpa: fix incorrect comments - no functional changes
  * acpi: tpm2: Add ACPI TPM2 test
  * fwts-test: Add regression test for TPM2, update fwst-tests
  * acpi: method: fix incorrect shift of 64-bit integer in CRS
  * acpi: method: add support for _CPC revision 2
  * acpi: acpidump: change FADT flag BIT20 to Hardware-reduce ACPI
  * fwts-test: update for changing to Hardware-reduce ACPI
  * acpi: update MADT GIC Distributor Structure and related tests
  * acpi: update MADT GICC Structure and related tests
  * acpi: fadt: update fadt_dsdt test with x_dsdt field
  * acpi: fadt: check RESET_REG_SUP before checking the reset register
  * acpi: method: refine _AEI control method
  * acpi: method: refine _EVT test

  [Anthony Wong]
  * fwts: Better options handling for --dump
  * lib: Allow reading ACPI dump file by non-root user

  [Colin Ian King]
  * acpi: XENV: fix a few spelling mistakes and fix up copyright
  * fwts-test: Update tests to sync with last XENV fixes
  * acpi: LPIT: remove duplicate "LPIT" from test description
  * fwts-test: Update tests to sync with last LPIT fixes
  * acpi: HPET: fix typo in HPET description field
  * fwts-test: Update tests to sync with HPET fix
  * Add ACPI IORT test (LP: #1450440)
  * Update fwts-test for the new IORT table test
  * ACPICA: Update to version 20150717 (LP: #1475733)
  * fwts-test: update syntaxcheck test now IASL finds more errors
  * acpi: iort: fix build warning on older versions of GCC
  * lib: fwts_framework: remove dubious total of --show-tests-full
  * acpidump: update mchi to latest revision of MCHI specification
  * acpi: Add support for MCHI Table (LP: #1478951)
  * fwts-test: Add MCHI table regression tests
  * acpi: Add support for STAO Table (LP: #1478957)
  * fwts-test: Add STAO table regression tests
  * lib: fix build error on non-Intel platforms
  * acpi: correct ASF! table definitions
  * acpi: Add support for ASF! Table (LP: #1479736)
  * fwts-test: Add ASF! table regression tests
  * lib: acpi.h: clean up comments and code - add more references
  * acpi: Add support for WDAT Table (LP: #1480257)
  *     fwts-test: Add WDAT table regression tests

  [Ivan Hu]
  * fwts-test: uefi: remove redundant files
  * acpi: add support for FPDT table (LP: #1476954)
  * fwts-test: Add FPDT table regression tests

  [Ricardo Neri]
  * cpu/cpufreq: Iterate over the correct number of CPUs in _test_sw_any

 -- Ivan Hu <ivan.hu@ubuntu.com>  Wed, 05 Aug 2015 14:18:41 +0800

fwts (15.07.00-0ubuntu1) wily; urgency=low

  [Alex Hung]
  * acpi: dmar: add FWTS_FLAG_ROOT_PRIV to dmar test
  * fwts_acpi: acpidump: update TCPA table and acpidump accordingly
  * fwts-test: update according to TCPA structure changes
  * fwts-test: Remove TMPLOG in make check
  * tcpa: Add ACPI TCPA test
  * fwts-test: Add regression test for TCPA, update fwst-tests
  * acpi: add XENV table test
  * fwts-test: Add XENV table regression test
  * lib: fwts_framework: Append "tests" to --uefi and --acpi
  * fwts-tests: modify according to changes to --uefitests and --acpitests
  * live-image/fwts-frontend-text: update to --uefitests and --acpitests

  [Colin Ian King]
  * acpi: method: remove extraneous "_" in error message
  * lib: acpica: compiler: link in missing objects (LP: #1461936)
  * lib: fwts_klog: fix vector size and handle errors from pcre_exec
    (LP: #1461520)
  * acpi: lib: fwts_acpi_tables: force fixup when loading tables from
    /sys/firmware
  * lib: acpi, acpidump: rename slit tables types
  * lib: acpi: add in new GICC table fwts_acpi_table_gicc_affinity
  * acpi: add SRAT table sanity checking (LP: #1464658)
  * fwts-test: Update tests to accommodate new SRAT test
  * acpi: add BERT table sanity checking (LP: #1464712)
  * fwts-test: Update tests to accommodate new BERT test
  * lib: acpi: Add in GAS address types
  * acpi: add ECDT table sanity checking (LP: #1464716)
  * fwts-test: Update tests to accommodate new ECDT test
  * lib: acpi: Add support for the SPMI table
  * acpi: add ACPI SPMI table sanity checking (LP: #1465256)
  * fwts-test: Update tests to accommodate new SPMI test
  * add ACPI SLIT table sanity checking (LP: #1465276)
  * fwts-test: Update tests to accommodate new SLIT test
  * lib: acpi: Add support for the HEST family of ACPI tables
  * add ACPI HEST table sanity checking (LP: #1465379)
  * fwts-test: Update tests to accommodate new HEST test
  * acpi: Add BOOT table test (LP: #1465435)
  * fwts-test: Update tests to accommodate new BOOT table test
  * acpi: Add DBGP table test (LP: #1465441)
  * fwts-test: Update tests to accommodate new DBGP table test
  * acpi: Add DBG2 table test (LP: #1465710)
  * fwts-test: Update tests to accommodate new DBG2 table test
  * acpi: acpitables: remove ECDT test as we now have a full ECDT test
  * acpi: re-orgainise HPET tests #1
  * acpi: re-orgainise HPET tests #2
  * acpi: move MADT test from acpitables into new MADT test
  * acpi: move GTDT test from acpitables into new GTDT test
  * acpi: move XSDT test from acpitables into new XSDT test
  * acpi: move RSDP test from acpitables into new RSDP test
  * acpi: move RSDT test from acpitables into new RSDT test
  * acpi: acpitables: remove no-op MCFG test
  * acpi: move SBST test from acpitables into new SBST test
  * acpi: move FADT test from acpitables into existing FADT test
  * acpi: acpitables: remove redudant acpi table checking
  * fwts-test: acpitables-0001: update to match changes in acpitables test
  * acpi: allow various ACPI table tests to run without root access
  * fwts-test: update arg-show-tests-* to be in sync with acpitable changes
  * add MADT specific test, replaces old acpitables-0002 test
  * fwts-test: add RSDT specific test, replaces old acpitables-0006 test
  * fwts-test: add XSDT specific test, replaces old acpitables-0007 test
  * lib: fwts_acpi_tables: fully pad out fixed up ACPI OEM IDs
  * fwts-test: Add BERT test
  * fwts-test: Add BOOT test
  * fwts-test: Add DBG2 test
  * fwts-test: Add DBGP test
  * fwts-test: Add HEST test
  * fwts-test: Add SBST test
  * fwts-test: Add SLIT test
  * fwts-test: Add SRAT test
  * acpi: spcr: add missing white space in error messages
  * fwts-test: Add SPCR test
  * fwst-test: remove old redundant acpitables test
  * ACPICA: Update version to 20150619. (LP: #1466142)
  * fwts: cpufreq: fix theoretical division by zero (LP: #1466905)
  * acpi: Add ACPI ERST test (LP: #1467835)
  * fwts-test: Add regression test for ERST, update fwst-tests
  * acpi: correct ACPI BGRT table type
  * acpi: Add ACPI BGRT test (LP: #1467863)
  * fwts-test: Add regression test for BGRT, update fwst-tests
  * acpi: Add ACPI CPEP test (LP: #1467870)
  * fwts-test: Add regression test for CPEP, update fwst-tests
  * acpi: Add ACPI FACS test (LP: #1467966)
  * fwts-test: Add regression test for FACS, update fwst-tests
  * acpi: acpidump: add in missing exponent field to SLIC
  * fwts-test: update tests because of exponent field in SLIC
  * acpi: Add CSRT ACPI Table test (LP: #1470116)
  * fwts-test: Add CSRT table regression test
  * acpi: Add LPIT ACPI test (LP: #1470184)
  * fwts-test: Add LPIT table regression test
  * acpi: Add WAET ACPI table test (LP: #1470495)
  * fwts-test: Add WAET table regression tests
  * acpi: add SLIC table test (LP: #1470518)
  * fwts-test: Add SLIC table regression test
  * acpi: add MSDM table test (LP: #1470538)
  * fwts-test: Add MSDM table regression test
  * bios: os2gap: remove ancient legacy test (LP:#1470573)
  * fwts-test: facs: fix repeated offset in data
  * lib: make acpidump parser more robust (LP: #1471202)
  * fwts-test: fix hand crafted acpidump data

  [Ivan Hu]
  * acpi: acpidump: update SMM Communication fields on UEFI table
  * acpi: Add UEFI ACPI data table test (LP: #1471698)
  * fwts-test: Add UEFI ACPI data table regression tests

 -- Alex Hung <alex.hung@ubuntu.com>  Wed, 08 Jul 2015 13:34:44 +0800

fwts (15.06.00-0ubuntu1) wily; urgency=low

  [Alex Hung]
  * acpi: method: update method list according to Table 5-162 in ACPI 6
  * lib: acpi: add an acpi category
  * live-image/fwts-frontend-text: add selections of acpi and uefi tests
  * acpi: add tests to acpi category
  * fwts-test: Update tests with new acpi category
  * acpi: fwts-tests: Remove redundant tailing space and update fwts-tests
  * fwts-test: Update tests with cpufreq changes
  * auto-packager: mkpackage.sh: remove lucid
  * auto-packager: mkpackage.sh: add wily

  [Colin Ian King]
  * Debian: control: remove Chris from uploaders list
  * uefi: uefirtvariable: Add invalid NULL parameter sanity checks
  * fwts-test: update to sync with UEFI test changes
  * acpi: Add SPCR ACPI table check (LP: #1433604)
  * fwts-test: Update tests with new SPCR test
  * ACPICA: Update version to 20150410 (LP: #1441773)
  * lib: fwts_acpi_tables: print correct pathname on error
  * lib: fwts_acpi_tables: set count correctly on error
  * lib: fwts_acpi_tables: only attempt to open a dumpfile if name is defined
  * pci: aspm: check that a table exists, fixes segv on arm64
  * lib: fwts_smbios: only scan memory for DMI table if x86
  * dmi: dmicheck: add 4 new DMI chassis types
  * acpi: spcr: remove unnecessary include files and fix ARM build issue
  * pci: maxreadreq: skip test if /sys/bus/pci/devices is not available
  * acpi: spcr: issue a passed message if SPCR test passes
  * doc: fwts manual: update list of contributors at end of the manual
  * fwts-test: arg-help-0001: modify regex to match upper/lower case version
  * lib: fwts_alloc: provide fallback low memory allocator strategy
    (LP: #1452168)
  * bios: mtrr: fix memory leak on mtrr entries
  * hotkey: only process reads of hotkey events that are at least the correct
    length
  * uefi: uefirtvariable: fix incorrect buffer size being passed
  * lib: fwts_acpi_tables: enforce stricter table loading checks
  * acpi: battery: clean up source, no functional change
  * lib: acpica: explicitly set buffer to NULL to remove cppcheck warning
  * acpica: fwts_iasl_interface: clean up static analyzer warning on freopen
  * lib: fwts_pipe: clean up static analyzer warning on freopen
  * ACPICA: Update version to 20150515 (LP: #1455946)

  [Heyi Guo]
  * uefi: efi_runtime: eliminate confusing error message of get_variable
  * acpi: method: _PRS is not mandatory method
  * acpi: acpitables: FADT: Ignore fields at offset 46 through 108 for
    HW_REDUCED_ACPI
  * efi_runtime: get_nextvariablename: Fix bug of name string copy

  [Jeremy Kerr]
  * fwts: Add fwts_firmware_has_features
  * fwts: Only run firmware detection once
  * fwts: Allow tests to be conditional on available features
  * fwts: Print names of missing features, rather than a cryptic bitmask
  * fwts: Add FWTS_FW_FEATURE_DEVICETREE
  * fwts: Add OPAL firmware type
  * cpu/cpufreq: Don't reparse cpu information
  * cpu/cpufreq: hz_almost_equal is unused if !FWTS_ARCH_INTEL
  * cpu/cpufreq: Add a separate cpufreq consistency test
  * cpu/cpufreq: Add test for duplicate entries in cpufreq tables
  * cpu/cpufreq: Do bios limit and claimed max checks as separate tests
  * cpu/cpufreq: Refactor CPU performance tests
  * cpu/cpufreq: Always check that cpufreq changes have taken
  * fwts: Use linux perf counters for cpu benchmarking
  * fwts: Use gettimeofday for cpu benchmark
  * fwts: scale cpu benchmark results to one second
  * cpu/cpufreq: Only run performance tests on master threads

 -- Alex Hung <alex.hung@ubuntu.com>  Wed, 03 Jun 2015 16:37:55 +0800

fwts (15.03.01-0ubuntu1) vivid; urgency=low

  [Colin Ian King]
  * efi_runtime: ensure we don't allocate a zero byte buffer
      (LP: #1429890)]
  * uefi: uefirttime: Add tests to exercise invalid parameters
  * acpi: acpitables: make length and skip signed to handle -ve underflow
      (LP: #1435272)
  * uefi: uefidump: don't dump non-printable variable contents (LP: #1435346)
  * uefi: uefirtmisc: Add null count argument check for
      GetNextHighMonotonicCount
  * acpi: acpitables: add GTDT checking
  * lib: fwts_acpi_tables: load tables from /sys (LP: #1437043)
  * fwts-test: fix up acpitables tests
  * fwts-tests: fix up arg-show-tests-full test

  [Ivan Hu]
  * uefirtauthvar: return error when get mismatch size
  * uefirtauthvar: dependency checking for existence of test data
      (LP: #1434408)
  * uefirtauthvar: remove duplicate authenticated attribute test
      (LP: #1432752)

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Wed, 01 Apr 2015 11:42:51 +0800

fwts (15.03.00-0ubuntu1) vivid; urgency=low

  [Colin Ian King]
  * lib: fwts_framework: add --show-tests-categories option (LP: #1415953)
  * fwts-test: arg-help-* - add new --show-tests-categories option
  * ACPICA: Update to use ACPICA version 20150204 (LP:#1418453)
  * fwts-test: disassemble-0001: ignore any copyright year changes
  * fwts: update copyright year to 2015
  * efi: uefirtvariable: fix build error on Ubuntu Precise
  * lib: fwts_acpi_tables: fix logcal/bit-wise & thinko
  * lib: fwts_framework: use strtok instead of strtok_r

  [Ivan Hu]
  * dmicheck: fix the range of Interface Type on Type38 (LP: #1416092)
  * dmicheck: support smbios check for version 2.8.0 (LP: #1418869)
  * uefirtauthvar: missing return error when mismatch size of set/get test data

  [Ricardo Neri]
  * efi_runtime: do not dereference userspace pointers from strings
  * efi_runtime: do not access userspace addresses directly
  * efi_runtime: limit the amount of data copied to userspace
  * efi_runtime: get_nextvariable: copy only the needed name bytes
  * uefirtvariable: allow large sizes for variable names
  * efi_runtime: handle memory errors when setting variables

 -- Ivan Hu <ivan.hu@ubuntu.com>  Fri, 06 Mar 2015 11:01:50 +0800

fwts (15.01.00-0ubuntu0) vivid; urgency=low

  [Alex Hung]
  * live-image/fwts-frontend-text: skip moving and avoid overwritting
    results.html (LP: #1322520)
  * acpi: method: add check for _PSD
  * acpi: method: add check for _PRW

  [Colin Ian King]
  * acpi: acpidump: reduce scope of variables
  * acpi: battery: reduce scope of variables
  * acpi: brightness: reduce scope of variables
  * acpi: brightness: reduce scope of variables
  * acpi: crsdump: reduce scope of variables
  * acpi: lid: reduce scope of variables
  * utilities: kernelscan: reduce scope of variables
  * uefi: uefirtvariable: reduce scope of variables
  * acpi: dmar: reduce scope of variables
  * acpi: pcc: reduce scope of variables
  * acpi: method: reduce scope of variables
  * acpi: s3: reduce scope of variables
  * acpi: s3power: reduce scope of variables
  * acpi: s4: reduce scope of variables
  * bios: hdaaudio: reduce scope of variables
  * bios: mtrr: reduce scope of variables
  * bios: multiproc: reduce scope of variables
  * cpu: cpufreq: reduce scope of variables
  * cpu: maxfreq: reduce scope of variables
  * cpu: microcode: reduce scope of variables
  * cpu: msr: reduce scope of variables
  * cpu: nx: reduce scope of variables
  * hotkey: reduce scope of variables
  * hpet: hpet_check: reduce scope of variables
  * lib: fwts_acpi_tables: reduce scope of variables
  * lib: fwts_backtrace: reduce scope of variables
  * lib: fwts_battery: reduce scope of variables
  * lib: fwts_dump: replace asctime with strftime
  * lib: fwts_efi_module: reduce scope of variable
  * cmos: cmosdump: clarify precedence for & and ?
  * lib: fwts_framework: fix some minor style warnings from cppcheck
  * lib: fwts_gpe: reduce scope of variables
  * lib: fwts_memorymap: fix typo on memory comparison sort
  * lib: fwts_memorymap: reduce scope of variables
  * lib: fwts_log: reduce scope of variables
  * lib: fwts_pm_method: reduce scope of variables
  * reduce scope of variables
  * lib: fwts_uefi: reduce scope of variables
  * pci: aspm: reduce scope of variables
  * lib: klog: reduce scope of variables
  * uefi: uefibootpath: reduce scope of variables
  * uefi: securebootcert: reduce scope of variables
  * uefi: uefidump: reduce scope of variables
  * uefi: uefirtauthvar: reduce scope of variables
  * uefi: uefirtmisc: reduce scope of variables
  * uefi: uefivarinfo: reduce scope of variables

  [Ivan Hu]
  * uefibootpath: include the null-terminated space in device path length
  * fwts-test: update fwts tests to sync with method tests

  [Naresh Bhat]
  * makefile.am : Use sysroot path for json

 -- Ivan Hu <ivan.hu@ubuntu.com>  Wed, 21 Jan 2015 10:39:00 +0800

fwts (14.12.00-0ubuntu1) vivid; urgency=low

  [Alex Hung]
  * auto-packager: mkpackage.sh: add vivid and remove quantal
  * data: klog: set "Gpe0Block - 32-bit FADT register is too long" to medium

  [Colin Ian King]
  * data: klog.json: Update with latest errors in ACPI
  * fwts-test: remove .swp file
  * acpi: s4: fix infinite loop because wrong variable being incremented
  * fwts: catch segfaults and bus errors and dump stack
  * Fix g_timeout_add to wait an integer number of seconds
  * cmos: just print drives + 1 with %d, fixes clang warning
  * uefibootpath: uefibootpath_check_dev_path: return int rather than int *
  * lib: fwts_klog: fix vector size and handle errors from pcre_exec
    (LP: #1401184)

  [Fu Wei]
  * ACPI: improve the return values and the log info in the
    fwts_acpi_handle_fadt_tables function.
  * ACPI: add the hardware reduced mode check function in
    src/lib/src/fwts_acpi_tables.c.
  * ACPI: a missing FACS table can be ignored under some circumstances

  [Ivan Hu]
  * uefirtvariable: fix the uncheck return value warnings

  [Phidias Chiang]
  * README: Fix missing libglib2.0-dev dependency in README

 -- Alex Hung <alex.hung@ubuntu.com>  Wed, 17 Dec 2014 15:57:35 +0800

fwts (14.11.00-0ubuntu1) vivid; urgency=low

  [Alex Hung]
  * acpi: method: add check for _UPC
  * acpi: method: add check for _PMD
  * acpi: method: add check for _PRL
  * acpi: method: add check for _FPS
  * acpi: method: add check for _DEP
  * acpi: method: add check for _DLM
  * acpi: method: add check for _MBM
  * acpi: method: add check for _MLS
  * acpi: method: add check for _ALR

  [Colin Ian King]
  * bios: mpcheck: reduce error level if ACPI is being used (LP: #1373340)
  * json: allow for different paths to json.h (LP: #1326911)
  * ACPICA: update to version 20140926. (LP: #1374816)
  * fwts-test: disassemble-0001: update to sync with latest ACPCIA changes
  * acpi: acpidump: don't assume FPDT tables are correct about their record
    sizes (LP: #1375258)
  * acpi: acpidump: check for short length headers (LP: #1375300)
  * fwts-test: update tests to sync with method test
  * acpi: acpidump: fix 32 bit build error
  * ACPICA: update to version 20141107. (LP: #1391860)
  * fwts-test: sync tests with new ACPICA 20141107 changes
  * fwts-test: fix disassemble test to work with latest ACPICA changes

  [Ivan Hu]
  * securebootcert: report info instead of failure for missing DB and KEK when
    secureboot disabled (LP: #1374351 )
  * uefirtauthvar: add the test for creating authenticated variable
  * uefirtauthvar: cleanup environment before testing
  * uefirtauthvar: add test with setting the same authenticated variable
  * uefirtauthvar: add test for setting authenticated variable created by
    another key
  * uefirtauthvar: add the normal append operation test
  * uefirtauthvar: add test update the authenticated variable
  * uefirtauthvar: add setting old authenticated variable test
  * uefirtauthvar: delete authenticated variable test
  * uefirtauthvar: setting authenticated variable with invalid modified data
    test
  * uefirtauthvar: setting authenticated variable with invalid modified
    timestamp
  * uefirtauthvar: setting authenticated variable with different guid test
  * uefirtauthvar: setting authenticated variable with invalid attribute test
  * uefirtauthvar: test with both authenticated attributes are set
  * uefirtauthvar: Set and delete authenticated variable created by different
    key test
  * uefirtauthvar: cleanup environment for another authenticated variable
  * fwts-test: update tests for the new uefirtauthvar tests
  * uefi: open efi_runtime driver with flag O_WRONLY | O_RDWR

  [Matt Fleming]
  * efi_runtime: Don't use get_user() on non-pointer

  [Pradeep Gaddam]
  * efi_runtime: Copied the structure from userland locally in kernel space

  [Yi Li]
  * Add arm64 to support dmicheck test

 -- Alex Hung <alex.hung@ubuntu.com>  Tue, 18 Nov 2014 16:55:31 +0800

fwts (14.09.00-0ubuntu1) utopic; urgency=low

  [Alex Hung]
  * acpi: method: fix incorrect comment in _CPC test
  * acpi: method: fix incorrect type comparison of
    ACPI_TYPE_INTBUF (LP: #1362426)
  * acpi: method: fix _STR's output should be buffer, not string
    (LP: #1362503)
  * acpi: method: add check for _EVT
  * acpi: method: add check for _GHL
  * acpi: method: method: add check for _GLK
  * acpi: method: add check for _SST
  * acpi: method: add check for _PUR
  * acpi: method: add check for _TZD and _TZM
  * acpi: method: add check for _TRT
  * acpi: method: add check for _PSL
  * acpi: method: add check for _ART
  * acpi: method: add check for _GTF and _GTM
  * fwts-test: update tests for new acpi method tests
  * acpi: method: fix incorrect failure messages for _TRT
  * acpi: method: fix _CID errors when it returns a package (LP: #1370924)

  [Colin Ian King]
  * ACPICA: update to version 20140828 (LP: #1362786)
  * acpi: method: extra sanity checks for _PSx objects, (LP: #1363904)
  * acpi: method: add check for ACPI 5.1 _DSD (LP: #1363925)
  * fwts-test: update tests because of new _DSD method check
  * acpi: method: acpi: method: add check for ACPI 5.1 _CCA (LP: #1363936)
  * fwts-test: update tests because of new _CCA method check
  * lib + tests: make --pm-method logind dependant on glib version
    (LP: #1364998)
  * Check that we are at least using glib that supports logind
  * data: klog.json: add a few more error message patterns
  * acpi: acpidump: avoid using void * pointer arithmetic
  * acpi: dmar: avoid using void * pointer arithmetic
  * lib: fwts_alloc: avoid using void * pointer arithmetic
  * lib: fwts_mmap: avoid using void * pointer arithmetic
  * lib: fwts_multiproc: avoid using void * pointer arithmetic
  * lib: fwts_pipeio: remove gcc cleanup attribute, it confuses cppcheck
  * lib: fwts_alloc: add field width limit for sscanf
  * lib: fwts_battery: add field width limit for sscanf
  * lib: fwts_ioport: use sigsetjmp and siglongjmp
  * acpi: wmi: update WMI GUIDs to be in sync with 3.17 kernel
  * lib: fwts: add more sanity checks when fetching the RSDP (LP: #1372849)
  * fwts-test: wmi: update test to sync with new GUIDs added to wmi test
  * uefi: uefivarinfo: fix double free on data (LP: #1372874)

  [Ivan Hu]
  * uefirtvariable: fix the wrong operator used, coverity scan error
    (LP: #1362893)
  * uefivarinfo: allocate buffer rewrite to avoid realloc failure
    (LP: #1362540)

  [Keng-Yu Lin]
  * debian: unrestrict automake and aclocal to be v1.11
  * debian: increment Standards-Version to 3.9.5
  * debian: unrestrict the automake version in Build-Depends

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Wed, 24 Sep 2014 15:41:17 +0800

fwts (14.08.00-0ubuntu0) utopic; urgency=low

  [Alberto Milone]
  * Make the --pm-method argument part of fwts_framework
  * Store all the pm_method related functions in fwts_pm_method.c
  * s3.c: make use of the functions in fwts_power_method.h
  * s4.c: add support for logind and sysfs methods
  * fwts_pm_method.h: move _cleanup_free_ here and share it with s3 and s4
  * s3power.c: add support for logind and sysfs methods
  * doc/fwts.1: update man page since --pm-method parameter also applies to S4
  * s3.c: add backward compatibility with older glib releases
  * s3power.c, s4.c: add backward compatibility with older glib releases

  [Alex Hung]
  * ACPI: change GTDT field names in ACPI 5.1 (LP: #1350170)
  * fwts-test: update arg-help-0001/0002 for pm-method changes
  * fwts-test: fix up tests related to iasl and syntaxcheck changes

  [Colin Ian King]
  * ACPICA: update to version 20140724 (LP: #1348342)
  * fwts-test: update disassemble test to sync with latest ACPICA changes
  * fwts-test: update syntaxcheck test to sync with latest ACPICA changes
  * ACPI: Add new ACPI 5.1 MADT stuctures and checks (LP: #1348581)
  * ACPI: Add new ACPI 5.1 FADT fields and update acpidump (LP: #1348598)
  * fwts-test: update ACPI table related tests due to ACPI 5.1 fwts changes
  * ACPI: Fix up GTDT corrections as in ACPI 5.1 (LP: #1348618)
  * lib + tests: re-work iASL backand and API to handle externals
    (LP: #1317390)
  * Update contributors in man page
  * lib: don't use #pragma GCC push and pop

  [Ivan Hu]
  * uefirtvariable: setvariable without deleting the original variable
    (LP: #1354301)
  * uefi: add the variable attribute definition for append write (LP: #1356194)
  * lib: uefi: add the status error report for the IP addr conflict
    (LP: #1356195)
  * uefirtvariable: skip test when specific attributes not supported
    (LP: #1356199)
  * uefirtvariable: add test for setvariable with both authenticated attributes
    are set (LP: #1356207)
  * s3: fix multiple s3 tests stop working (LP: #1359037)

 -- Kun Yang <kun.yang@canonical.com>  Thu, 21 Aug 2014 20:48:36 +0800

fwts (14.07.00-0ubuntu0) utopic; urgency=low

  [Alberto Milone]
  * src/Makefile.am: depend on glib and gio
  * Add build dependency on libglib2.0-dev
  * Add support for different power methods to suspend
  * debian/copyright: add copyright for the derivative work from systemd
  * doc/fwts.1: update man page with information on the --pm-method parameter
  * src/Makefile.am: use pkg-config to include glib and gio
  * debian/control: add build dependency on pkg-config

  [Alex Hung]
  * cpu: microcode: remove failures when kernel does not have newer version
    (LP: #1322534)
  * lib: fwts_dump: add cpuinfo dump
  * doc: fwts_dump: add cpuinfo.log to man page
  * acpi: method: add _PCL control method test (LP:1343070)

  [Colin Ian King]
  * src/lib/*.h: remove extraneous , at end of enum lists
  * acpi: acpidump: minor tidy up of code
  * acpi: acpitables: minor code tidy up
  * acpi: acpidump: re-arrange code to avoid declarations after code
  * acpi: method: re-arrange code to avoid declarations after code
  * acpi: method: re-arrange code to avoid declarations after code
  * Remove extraneous ; following FWTS_REGISTER macro
  * acpi: wmi: don't use unnamed struct/unions
  * hpet/hpet_check: re-arrange code to avoid declarations after code
  * uefi: uefidump: re-arrange code to avoid declarations after code
  * uefi: securebootcert: re-arrange code to avoid declarations after code
  * kernel tests: Remove extraneous ; following FWTS_REGISTER macro
  * acpi: acpitables: make two more functions static
  * acpi: crsdump: fix shadowing of variable 'sharing'
  * acpi: method: fix shadowing of variable 'obj'
  * acpi: s3: fix shadowing of variable 'i'
  * acpi: s4: fix shadowing of variable 'i'
  * cpu: virt: put extern virt helper func declarations in virt.h
  * cpu: microcode: make microcode_find_cpu static
  * dmi: dmicheck: don't inline dmi_str_check and fix variable shadowing
  * hpet: hpet_check: fix shadowing of variable 'str'
  * uefi: uefidump: fix shadowing of variable 'i'
  * acpi: acpidump: fix shadowing of variable table
  * acpi: acpitables: fix spelling mistake (LP: #1330186)
  * lib: wakealarm: fix spelling mistake
  * acpica: update to version 20140627 (LP: #1335280)
  * Re-work include of acpi.h to work around warnings
  * fwts-test: dissassemble-0001: update disassembly logs to sync with ACPICA
  * fwts-test: method-0001: update test to be in sync with method test
  * lib: fix handling of -ve read returns
  * utilities: kernelscan: use memmove instead of strcpy
  * acpi: syntaxcheck: free lists on error exit return
  * acpi: s3: fix spelling mistake

  [Ivan Hu]
  * uefi: add a test for sanity checking for the UEFI Boot path (LP: #1316019)
  * uefi: uefirtvariable: print out the duplicate variable name (LP: #1340492)
  * uefidump: add Relative Offset Range subtype support for Media device path
    (LP: #1322465)

 -- Kun Yang <kun.yang@canonical.com>  Wed, 30 Jul 2014 19:08:27 +0800

fwts (14.06.00-0ubuntu0) utopic; urgency=low

  [Colin Ian King]
  * lib: fwts_framework: change fwts-live progress feedback (LP: #1321664)
  * cpu: cpufreq: add more granularity to progress feedback
  * acpi: fan: add more granularity to progress feedback
  * acpi: acpidump: remove duplicate consts
  * live-image: save various system and firmware data at end of test
    (LP: #1322543)
  * cpu: cpufreq: add more precision to GHz CPU frequency information
  * cpu: cpufreq: print MHz as float, remove erroneous rounding
  * cpu: cpufreq: show Turbo Boost with top _PSS value
  * cpu: cpufreq: sort frequencies using almost equal comparison (LP: #1322531)
  * acpica: update to version 20140424 (LP: #1312351)
  * Add support for ACPI 1.0 GUID
  * live-image: Add UEFI tests to the run all batch tests menu item
    (LP: #1322545)
  * fwts-test: arg-show-progress-dialog-0001: fix armhf failures
  * fwts-test: arg-show-progress-dialog-0001: fix armhf failures, for test-0002

  [Keng-Yu Lin]
  * debian: add watch file
  * fwts-test: arg-show-progress-dialog: sync with fwts

 -- Ivan Hu <ivan.hu@ubuntu.com>  Wed, 18 Jun 2014 10:20:44 +0800

fwts (14.05.00-0ubuntu0) utopic; urgency=low

  [Alex Hung]
  * acpi: s3power: update usage example as 10 minutes or more is suggested

  [Colin Ian King]
  * fwts_acpica: fix potential null ptr dereference (LP: #1298419)
  * acpi: acpitables: more ACPI table header sanity checking
  * acpi: acpitables: better checking on FADT SCI_INT
  * acpi: acpidump: fix typo "patform" --> "platform"
  * doc: fwts: add --s3-power-sleep-delay option
  * doc: fwts: use lower case for description
  * fwts-test: acpidump-0001: sync test with fwts
  * fwts-test: arg-help-0001: sync with recent changes in fwts
  * fwts-test: arch-show-tests-full-0001: keep in sync with fwts
  * fwts-test: acpitables-000*: sync with recent acpitables changes
  * fwts-test: arg-table-path-0001: sync test with recent fwts changes
  * data: klog.json: Add a circular list ACPI warning checks
  * data: klog.json: re-work _S1 and _S2 advice
  * Use json_object_object_get_ex if is available
  * lib: fwts_acpi_tables: fix memory leak on error exit path
  * lib: fwts_button: free data after successful fwts_get()
  * pci: crs: fix memory leak on cmdline
  * lib: fwts_ac_adapter: fix memory leak
  * lib: fwts_formatting: fix memory leak
  * cpu: cpufreq: avoid division by zero ob cpu_top_speed
  * acpi: cstates: fix potential integer overflow
  * cpu: cpufreq: use uint64_t for CPU frequencies on HZ.
  * lib: fwts_framework: avoid division by zero in % calculations
  * lib: fwts_hwinfo: ensure buf.ifr_name is null terminated

  [Ivan Hu]
  * uefi: uefidump: fix the Partition Signature length for the HD Media Device
    Path isn't correct (LP: #1308415)
  * uefi: uefidump: dumping the new definitions for ipv4 ipv6 device path
    (LP: #1311538)
  * uefi: uefirtvariable: fix the fail GUID checking for uniqueness of variable
    (LP: #1311822)
  * uefi: uefirtvariable: report failure when setting variable with invalid
    attribute successfully (LP: #1310686)
  * fwts: uefi: clean up all test variable before doing the uefirtvariable test
    (LP: #1313554)
  * auto-packager: mkpackage.sh: add utopic and remove raring saucy

  [Jeremy Kerr]
  * Don't hard-code the installation prefix
  * uefi: Don't abort on non-UEFI firmware
  * fwts: fix acpi table access on failed load
  * Fix include and lib dirs for srcdir != builddir builds
  * acpcia: Fix makefile rules for srcdir != builddir builds
  * acpica/compile: Fix srcdir != builddir builds

  [Matt Fleming]
  * efi_runtime: Set default value for $KVER
  * efi_runtime: Refactor ioctl code into helper functions
  * efi_runtime: Group kernel version dependent functions
  * efi_runtime: Do not pass user addresses to firmware

 -- Ivan Hu <ivan.hu@ubuntu.com>  Wed, 07 May 2014 09:46:52 +0800

fwts (14.03.01-0ubuntu2) trusty; urgency=low

  [Alex Hung]
  * klog: ACPI does not specify _BQC as a mandatory method
  * s3: add a "s3-hybrid" option to enable hybrid sleep for s3 (LP: #1295146)
  * fwts-test: klog: updates for _BQC changes in
    76c3ffd814cc882564f680b16f2c2d314ae58b07
  * fwts-test: arg-help-0001: updates tests for new --s3-hybrid option
  * fwts-test: arg-help-0001: fix test-0002.sh incorrectly uses
    arg-help-0001.log
  * doc: add --s3-hybrid man page entry

  [Colin Ian King]
  * acpi: wmi: add some newer UUIDs that are supported by linux (LP: #1292515)
  * fwts_hwinfo: don't compare network addresses (LP: #1293297)
  * acpi: acpidump: fix dump offsets in various table dumps (LP: #1293613)
  * fwts-test: re-sync with fwts fix to acpidump
  * lib: fwts_alloc: fix low 32 bit memory allocator (LP: #1295849)
  * fwts-test: arg-help-0001: don't check the version field
  * fwts-test: wmi-0001: update test to sync with WMI changes in fwts
  * fwts-test: arg-log-format-0001: fix aarch64 failures
  * acpi: method: add more advice for failed _PTS, _TTS and _WAK (LP: #1296737)
  * lib: fwts_acpi_object_eval: report better advice on exec failure
    (LP: #1296710)
  * acpi: method: fix _ACx test (LP: #1297323)
  * fwts-test: keep method-0001 test in sync with changes in fwts method
  * acpica: update to version 20140325 (LP: #1297531)
  * fwts-test: update ACPICA related tests due to ACPICA updates

  [Keng-Yu Lin]
  * debian: skip fwts-test on arm64

  [Matt Fleming]
  * lib: fwts_log: Add missing log field flags

 -- Ivan Hu <ivan.hu@ubuntu.com>  Thu, 27 Mar 2014 10:09:59 +0800

fwts (14.03.00-0ubuntu1) trusty; urgency=low

  [Colin Ian King]
  * acpi: fwts_acpi_tables: fix up missing FACS (LP: #1284097)
  * acpi: acpidump: provide table provenance (LP: #1284205)
  * apci: acpiinfo: enable for non-x86 arches (LP: #1284557)
  * Add utility to dump _PLD (Physical Device Location) information
    (LP: #1281835)
  * acpi: add in a tool to dump GPE information (LP: #1283473)
  * lib: fwts_acpi_tables: handle zero 64 bit addrs in FADT (LP: #1285167)
  * bios: hda_audio: skip the test if audio devices don't exist (LP: #1285571)
  * Remove copy-acpica.sh script, it is no longer used
  * acpi: checksum: print RSDP checksum correctly (LP: #1287815)
  * lib: fwts_acpi_tables: update RSDP checksum on fixed-up RSDP (LP: #1287852)
  * acpi: acpitables: remove irrelevant test case (LP: #1287891)
  * uefi: uefidump: small re-working of uefi GUID lookup
  * fwts-test: update acpidump-0001
  * fwts-test: acpitables-0002: sync with recent table fixing
  * fwts-test: syntaxcheck-0001: update to sync with fwts
  * fwts-test: arg-show-tests-0001: keep in sync with fwts
  * fwts-test: arg-show-tests-full-0001: keep in sync with fwts
  * fwts-test: checksum-0001: update due to fwts formatting fixes
  * fwts-test: arg-table-path-0001: sync with fwts changes
  * fwts-test: acpitables-0003: update to sync with fwts
  * fwts-test: acpitables-0004: update test
  * fwts-test: acpitables-0005: update test
  * fwts-test: acpitables-0006: update test
  * fwts-test: acpitables-0007: update test
  * fwts-test: acpitables-0008: update test
  * fwts-test: skip some tests on non-x86 builds
  * fwts-test: fix tests not to compare against date (LP: #1289225)
  * fwts-test: arg-help-0001: fix up some tests issues
  * fwts-test: arg-log-format-0001: make test less pedandic on line numbers
  * fwts-test: arg-show-progress-dialog: remove version from test
  * acpica: ppc64el needs to be built as a 64 bit architecture
  * debian: limit architectures to i386 amd64 armel armhf arm64 ppc64 ppc64el

  [Keng-Yu Lin]
  * fwts-test: Copy all files from fwts-test git tree (LP: #1201250)
  * lib: Make --disassemble-aml accept the outputdir argument (LP: #1201250)
  * fwts-test: Update disassemble-0001 test (LP: #1201250)
  * fwts-test: Update the test scripts for new test environment (LP: #1201250)
  * lib: fwts_args: determine tty width from stdin
  * fwts-test: disassemble-0001: rename *.orig to *.original

 -- Ivan Hu <ivan.hu@ubuntu.com>  Mon, 17 Mar 2014 15:13:44 +0800

fwts (14.02.00-0ubuntu0) trusty; urgency=low

  [Colin Ian King]
  * acpi: method: fix ppc64el build failure (LP: #1272265)
  * acpi: acpidump: handle invalid MADT table data (LP: #1278422)
  * cpu: cpufreq: tidy code, show advice when cpu scaling unavailable
    (LP: #1267959)
  * lib: fwts_release: call lsb_release rather than parsing raw data
    (LP: #1266823)
  * ACPICA: update to version 20140214. (LP: #1281096)
  * lib: fwts_acpi_tables: fix parsing of empty data (LP: #1281197)

  [Ivan Hu]
  * data: klog.json: lower the level of the failure when the _S1 and _S2 not
    implemented (LP: #1279714)

 -- Alex Hung <alex.hung@ubuntu.com>  Wed, 19 Feb 2014 11:48:01 +0800

fwts (14.01.01-0ubuntu0) trusty; urgency=low

  [Alex Hung]
  * auto-packager: mkpackage.sh: add trusty
  * debian: add dependency lts-saucy to fwts-efi-runtime-dkms

  [Colin Ian King]
  * fwts: add subdir-objects as required now by automake 1.14 (LP: #1268685)
  * ACPICA: update to version 20140114 (LP: #1269423)
  * fwts_log.h: remove LOG_TAG, fix up following bitfields (LP: #1269076)
  * updated automake files for libjson-c (LP: #1268005)
  * lib: fwts_framework: fix --stdout-summary output (LP: #1252186)
  * Allow for RSDP that is not 16 byte aligned (LP: #1271522)
  * fwts_exec: fix status check (LP: #1271607)

 -- Alex Hung <alex.hung@ubuntu.com>  Fri, 24 Jan 2014 10:54:58 +0800

fwts (14.01.00-0ubuntu1) trusty; urgency=low

  [Alex Hung]
  * dmi: change max value of "Upgrade" field" from 0x2a to 0x2c (LP: #1263634)

  [Colin Ian King]
  * cpu: microcode: test should skip if no microcound found (LP: #1259900)
  * acpi: acpidump: add SPCR table (LP: #1260351)
  * acpi: acpidump: add DBGP table (LP: #1260353)
  * acpi: acpidump: add DBG2 table (LP: #1260356)
  * Enable ACPI table dumping for non-x86 systems (LP: #1260470)
  * Allow RSDP to be provided manually or scan for it in klog (LP: #1260400)
  * Dump ACPI table addresses with correct address length (LP: #1260482)
  * ACPICA: update to version 20131218 (LP: #1262348)
  * acpi: acpidump: dump out table descriptions (LP: #1261483)
  * acpi: acpidump: Add MCHI table (LP: #1261484)
  * fwts: remove launchpad tagging from fwts
  * doc: remove tag options --lp-tags and --lp-tags-log
  * data: klog.json: remove redundant tags from database
  * lib: klog: add fwts_klog_find_changes to compare klogs (LP: #1262208)
  * acpi: s3: do kernel log comparisons without destroying klog (LP: #1262208)
  * acpi: s4: do kernel log comparisons without destroying klog (LP: #1262208)
  * lib: add fwts_exec() helper function
  * fwts: use fwts_exec rather than fwts_pipe_exec
  * acpi: crsdump: fix large resource length calculation (LP: #1255793)
  * acpi: crsdump, prsdump: add support for _PRS dumping (LP: #1265827)
  * fwts: all: update copyright year to 2014
  * fwts: debian: update copyright dates
  * fwts: doc: update dates, some of these are way too old
  * dmi: dmicheck: add more checks for invalid DMI fields (LP: #1262236)
  * data: klog: sync up with 3.13 kernel (LP: #1266786)
  * fwts: attempt to make fwts less Ubuntu specific, (LP: #1246653)
  * fwts: fix common realloc() memory leak anti-pattern (LP: #1267193)
  * acpi: s3: remove redundant variable
  * bios: pciirq: fix printf format and tidy some variable scopes
  * acpi: powerbutton: ensure we don't get scanf buffer overflow
  * cpu: cpufreq: use correct printf format specifiers

  [IvanHu]
  * lib: fwts_uefi header add attribure packed for struct typedef
  * uefi: uefidump: add the Media Protocol subtype-5 support on media device
    path type for uefidump (LP: #1260147)
  * uefi: uefidump: add the PIWG Firmware File subtype-6 support on media device
    path type for uefidump (LP: #1260147)
  * uefi: uefidump: add the PIWG Firmware Volume subtype-7 support on media
    device path type for uefidump (LP: #1260147)
  * uefi: uefidump: extend the Messaging Device Path type Vedor subtype-10
    (LP: #1262095)


 -- Alex Hung <alex.hung@ubuntu.com>  Tue, 14 Jan 2014 16:13:37 +0800

fwts (13.12.00-0ubuntu1) trusty; urgency=low

  [Alex Hung]
  * data: klog.json: set _DOS error to low as kernel workarounds it
    (LP: #1250764)
  * acpi: method: add _PIC control method test (LP: #1252997)
  * acpi: method: move commented _CWS to correct section
  * acpi: method: add _IFT and _SRV control method tests (LP: #1255915)
  * acpi: method: remove resource descriptor field "_INT" from
    method/object list

  [Colin Ian King]
  * lib: fwts_hwinfo.c: Fix strict aliasing build failure on Lucid
    (LP: #1251587)
  * ACPICA: update to version 20131115
  * data: klog.json: thermal overrun messages should be checked on
    klog test (LP: #1253146)
  * data: klog.json: fix two spelling mistakes
  * acpi: method: fix spelling mistake in comment
  * cpu: cpufreq: check CPU freq max limits (LP: #1253047)
  * cpu: maxfreq: report maxfreq and tidy up the test (LP: #1253658)
  * cpu: msr: tidy up output and tidy up source (LP: #1253684)
  * cpu: msr: Add Ivybridge and Haswell MSRs (LP: #1254066)
  * cpu: msr: remove the need for shift in tables, tidy up tables
  * lib: fwts_guid: consitify and minor tidy up
  * lib: fwts_acpi: constify fwts_acpi_fadt_preferred_pm_profile
  * acpi: acpidump: constify tables and func args, tidy up source
  * hpet: hpet_check: skip test3 if HPET address was not found (LP: #1257825)
  * acpi: autobrightness: make error reporting far less verbose (LP: #1257782)
  * doc: fix --s3-sleep-delay man page entry
  * lib: remove fwts_virt, it contains code that is not used (LP: #1259655)

  [Ivan Hu]
  * uefi: uefidump: add more subtype support on acpi device path type for
    uefidump (LP: #1253000)
  * uefi: uefidump: dealing with the End of Hardware Device Path sub-type
    0x01 (LP: #1253906)
  * uefi: uefidump: add the Fibre Channel Ex subtype-21 support on messaging
    device path type for uefidump (LP: #1255387)
  * uefi: uefidump: add the SATA subtype-18 support on messaging device path
    type for uefidump (LP: #1255387)
  * uefi: uefidump: add the USB WWID subtype-16 support on messaging device
    path type for uefidump (LP: #1255387)
  * uefi: uefidump: add the VLAN subtype-20 support on messaging device path
    type for uefidump(LP: #1255387)
  * uefi: uefidump: add the Device Logical Unit subtype-17 support on messaging
    device path type for uefidump(LP: #1255387)
  * uefi: uefidump: add the SAS Ex subtype-22 support on messaging device path
    type for uefidump(LP: #1255387)
  * uefi: uefidump: add the iSCSI subtype-19 support on messaging device path
    type for uefidump(LP: #1255387)
  * uefi: uefidump: add the NVM Express namespace subtype-23 support on
    messaging device path type for uefidump (LP: #1255387)
  * lib: fwts_acpi_table: multi-FADT table support fimware make sure the table
    from XSDT be checked first. (LP: #1258378)

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Wed, 11 Dec 2013 14:09:00 +0800

fwts (13.11.00-0ubuntu1) trusty; urgency=low

  [Alex Hung]
  * acpi: method: correct alphabetical order in comments to sync with acpi spec
  * acpi: method: add missing names to acpi-method list
  * acpi: method: add _CBA control method test (LP: #1249171)
  * acpi: method: add _CDM control method test (LP: #1249172)
  * acpi: method: add _CID control method test (LP: #1249174)
  * acpi: method: add _GAI control method test (LP: #1249894)
  * acpi: method: add _MSG control method test (LP: #1249939)
  * acpi: method: add _PMM control method test (LP: #1249941)
  * acpi: method: add _UPD and _UPP control method tests (LP: #1251168)

  [Colin Ian King]
  * lib: framework: report warning[s] correctly (LP:#1223736)
  * lib: update copyright year. (LP: #1226590)
  * acpi: mcfg: Parse /sys/bus/pci rather than using lspci (LP: #1226615)
  * syntaxcheck: report IASL compiler remarks as low failures (LP: #1200606)
  * acpi: fadt: sanity check reset register settings (LP: #1230394)
  * ACPICA: update to version 20130927.
  * iasl: capture output from stderr to catch iasl fatal errors
  * pci: aspm: remove the need to run and parse lspci output (LP: #1227853)
  * lib: fwts_klog: Add ability to write message to kernel log
  * acpi: s3: add timings report for suspend/resume (LP: #1241638)
  * acpi: s3: add --s3-suspend-time and --s3-resume-time (LP: #1241638)
  * lib: add new PCI definitions
  * pci: aspm: use new fwts PCI defintions
  * pci: maxreadreq: don't use lspci to get PCI specific data (LP: #1244676)
  * uefi: uefidump: add more checks to avoid buffer overruns (LP: #1239641)
  * bios: mtrr: don't use lspci to get PCI specific data (LP: #1244673)
  * wakealarm: use ioctl() interface as this more of a generic interface
    (LP: #1244184)
  * Tests: replace "check" with "test" in test name headings (LP: #1246650)
  * data: klog.json: Sync up with latest kernel 3.12 (LP: #1248499)
  * lib: Add PCI helper to return description of a device
  * lib: fwts_hwinfo: don't use external utils for H/W checks (LP: #1246646)
  * debian: control: remove some unrequired suggests
  * acpi: brightness: use /sys/class/backlight interface (LP: #1250517)
  * acpi: brightness: break up brightness test (LP: #1250429)
  * acpi: syntaxcheck: non-x86 may have ACPI support (LP: #1251293)
  * acpi: method: Change "Check" to "Test", (LP: #1246650)

  [Ivan Hu]
  * uefi: uefidump: fix the boot load option Boot#### larger than Boot1000
    doesn't be parsered (LP: #1225850)
  * uefi: uefidump: Add support for DriverOrder (LP: #1237263)
  * uefi: uefidump: add support for Driver#### (LP: #1237263)
  * uefidump: add support for Key#### (LP: #1237263)
  * uefi: uefidump: add support for db, dbx, dbt... variables scan
    (LP: #1247749)
  * uefi: uefidump: compare the SignarureType GUID and print out type for
    signature database parser (LP: #1247749)
  * uefi: uefidump: add support for KEK, KEKDefault, PK, PKDefault global
    variables scan (LP: #1247749)

  [Keng-Yu Lin]
  * Force to use automake1.11 to prevent FTBFS in Trusy (LP: #1250340)

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Fri, 15 Nov 2013 14:11:00 +0800

fwts (13.09.01-0ubuntu1) saucy; urgency=low

  [Alex Hung]
  * live-image/fwts-frontend-text: add uefi tests to fwts-live (LP: #1223793)

  [Keng-Yu Lin]
  * efi_runtime: fix the broken kernel vermagic when upgrading the kernel
      pacakge (LP: #1223801)

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Tue, 17 Sep 2013 15:27:31 +0800

fwts (13.09.00-0ubuntu1) saucy; urgency=low

  [Colin Ian King]
  * lib/fwts_uefi.c: fix time-of-use race on open/stat (LP: #1209251)
  * lib: fwts_cpu.c: fix time-of-use race on stat/open (LP: #1209225)
  * lib: fwts_dump: remove the redundant path in fwts_dump_info (LP: #1216344)
  * data: klog.json: Add some more ACPI related kernel error messages
      (LP: #1219006)
  * fwts: framework: Add missing closed parenthesis for -U option (LP: #1219576)

  [Ivan Hu]
  * UEFI: move the UEFI tests into the UEFI category (LP:#1207200)
  * uefi: uefidump: Add support for HwErrRecSupport
  * uefi: uefidump: Add support for OsIndicationsSupported
  * uefi: uefidump: Add support for VendorKeys

  [Naresh Bhat]
  * ACPICA:enable 64bit build for aarch64 architecture

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Tue, 10 Sep 2013 17:33:17 +0800

fwts (13.08.00-0ubuntu1) saucy; urgency=low

  [Alex Hung]
  * dmi: dmi_decode: merge smbios test as they both check dmi/smbios
  * dmi: rename dmi_decode test to dmicheck

  [Colin Ian King]
  * uefi: uefirtvariable: minor cleanup of failure message
  * uefi: uefirtvariable: add options to specify iterations in variable stress
      tests (LP: #1197742)
  * efi_runtime: Fix efi_runtime build warnings (LP: #1198168)
  * efi_runtime: ensure it always builds for kernels > 3.0.0 (LP: #1198168)
  * efi_runtime: memset the entire structure (LP: #1198236)
  * lib: add acpica mode types
  * lib: framework: add new acpica mode flags
  * lib: acpica: set various ACPICA global mode flags depending on acpica_mode
  * lib: fwts_framework: add support for new --acpica option
  * acpi: method: handle ACPICA slack mode gracefully
  * doc: add --acpica option to man page
  * acpi: syntaxcheck: use ASL_MESSAGE_TYPES instead of #defining them
      (LP: #1200568)
  * acpi: syntaxcheck: ensure error message strings are in sync with error
      (LP: #1200568)
  * lib: fwts_log: set non-TTY log with to 80 characters (LP: #1200592)
  * acpi: syntaxcheck: fix spelling mistake (LP: #1200602)
  * fwts_iasl_interface.c: ensure we read in all of stdout (LP: #1200426)
  * data: klog.json: rename "Common" label prefix to "Klog", (LP: #1201311)
  * data: klog.json: Update patterns to keep in sync with Linux 3.10
      (LP: #1201335)
  * bios: hdaaudio: skip the test if no BIOS pin config found (LP: #1201903)
  * pci: aspm: test should skip if it can't read FACP or PCIe config
      (LP: #1201909)
  * docs: remove legacy notes created during early fwts development
  * smatchify.sh: fix spelling mistake
  * bios: mtrr: fix spelling mistake
  * acpica: Makefile.am: fix spelling mistake
  * data: syntaxcheck.json: fix spelling mistakes
  * data: klog.json: fix spelling mistakes
  * docs: fwts.1: fix spelling mistake
  * doc: fwts-frontend-text.1: fix spelling mistake
  * ACPICA: update to version 20130725 (LP: #1205203)
  * acpi: syntaxcheck: strcpy should be replaced with strncpy (LP: #1205215)
  * acpi: method: check for NULL buf before dereferencing it (LP: #1205267)
  * lib: fwts_alloc: use plain old mmap on 32 bit machines (LP: #1204065)
  * ACPICA BZ 1035 fixes segfault with too many ^^^^^^ prefixes.
      (LP: #1205714)
  * lib: fwts_log_json: check sting from json is not null (LP: #1206285)
  * acpi: acpidump: fix segfault on BERT entries (LP: #1206643)
  * data: klog.json: Add some firmware related kernel warnings (LP: #1206958)
  * utils: kernelscan: also scan for warning messages (LP: #1206953)
  * lib: fwts_log_json: enable json human readable formatting (LP: #1206290)

  [Zhang Rui]
  * update README_ACPICA to reflect the real ACPICA repo

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Wed, 07 Aug 2013 10:27:51 +0800

fwts (13.07.00-0ubuntu1) saucy; urgency=low

  [Alex Hung]
  * data: klog.json: remove duplicated patterns

  [Colin Ian King]
  * data: klog.json: Add some more advice for the now common lpc_ich warnings
  * apci: acpidump: fix segfault when dumping ASF! tables (LP: #1188209)
  * acpica: fwts_acpica: some cosmetic tidying up.
  * acpica: fwts_acpica: no need to check for null ptr on fwts_low_free
  * lib: acpica + fwts_framework: add --acpica-debug option
  * cpu: cpufreq: re-phrase P-state coordination message
  * cpu: cpufreq: remove the time to run from the description
  * Makefile.am: move apicedge test to keep tests in alpabetical order
  * bios: smbios: minor re-structure of test1
  * klog: move from acpi to kernel directory
  * bios: mpdump: fix indexing outside of mpdump_sys_addr_type array
  * lib, acpi, hotkey: remove redundant null checks before free()
  * bios: smbios: add more sanity checks to SMBIOS information
  * lib: fix assembly/disassembly segfault when AcpiOsVprintf is calle
    (LP: #1195209)
  * ACPICA: update to version 20130626
  * acpica: nspredef: fix null pointer dereference issue (LP: #1195251)
  * lib: fwts_framework: remove fwts_framework_setting
  * lib: fwts_framework: minor tidy up of code
  * lib: fwts_framework: remove some old and redundant #defines
  * fwts_iasl_interface.c: allocate temp buffers required for IASL
    (LP: #1196463)

  [Ivan Hu]
  * uefivarinfo: add the utility to show the NVRam and variable info

  [Keng-Yu Lin]
  * update_version.sh: use non-localised date representation

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Wed, 03 Jul 2013 11:07:03 +0800

fwts (13.06.00-0ubuntu1) saucy; urgency=low

  [Alex Hung]
  * bios: mtrr: add uncached string for DEFAULT type
  * pci: maxreadreq: Audio device to chipset devices.
  * data: klog.json: remove a redudent line break

  [Colin Ian King]
  * debian: control: fix typo
  * lib: fwts_uefi: make vars work on recent kernels (LP: #1171617)
  * cpufreq: use qsort to sort frequencies
  * lib: fwts_uefi: cast to __SWORD_TYPE 32 bit builds
  * apic: apicedge: minor code tidy-up
  * cmos: cmosdump: remove unused commented out code
  * cmos: cmosdump: minor code tidy up, formatting
  * cpu: maxfreq: remove unused fwts_cpuinfo typedef
  * cpu: maxfreq: use number of cpus as number of items in calloc()
  * cpu: maxfreq: use doubles for cpu freqs rather than int
  * doc/fwts.1 add in names of contributors to fwts
  * copy-acpica.sh: update to use the correct ACPICA git repo
  * uefi: uefidump: don't recurse forever on zero lengths (LP: #1174947)
  * acpica: update to ACPICA version 20130418.
  * cpu: cpufreq: fix leak of file if fgets returns NULL
  * cpu: cpufreq: fix leak of dir before we return
  * cpu: maxfreq: fix leak of cpuinfo
  * lib: fwts_microcode: fix leak of allocated microcode buffer
  * lib: fwts_memorymap: free klog on error
  * lib: fwts_keymap: free keymap_list on error
  * lib: fwts_cpu: free cpu on error
  * hotkey: close fd on error
  * cpu: nx: free fwts_nx_cpuinfo on error
  * bios: mtrr: free mtrr_list on file open error
  * cpu: maxfreq: free cpufreq on error
  * acpi: dmar: free klog list on error
  * acpi: fan: fix resource leak bugs
  * acpi: lid: free gpe resources on error
  * acpi: s3: free quirks and command resources
  * acpi: s3power: free quirks and command resources
  * lib: fwts_cpu: initialize variable, stop coverity warning
  * lib: fwts_uefi: fix check of empty d_name
  * lib: fwts_uefi: only close fp if it was successfully opened
  * lib: fwts_memorymap: handle the case where str maybe NULL
  * cpu: cpufreq: avoid division by zero
  * uefi: uefidump: fix missing break in switch statement
  * uefi: uefidump: missing va_end on str == NULL return path
  * dmi: dmi_decode: remove redundant snprintf
  * acpi: cstates: set state->present[nr] if nr < MAX_CSTATE
  * utilities: kernelscan: fix memory leak
  * lib: fwts_dump: check error return on mkdir
  * lib: fwts_acpid: check fcntl return rather than assuming it works
  * hotkey: check lstat() return value rather
  * acpi: ac_adapter: initialize matching and not_matching
  * acpi: acpidump: fix overflow before widening bug
  * lib: fwts_args: free long_options on error
  * lib: fwts_framework: free resources on error
  * lib: fwts_log: free filenames on error condition
  * acpica: fwts_acpica: clear sa_mask fields
  * bios: hdaaudio: free list items and not list
  * lib: fwts_framework: free just items in list and not list descriptor
  * acpi: lid: Fix nesting bug
  * acpi: battery: Fix nesting bug
  * lib: fwts_release: check *str rather than str
  * acpica: fwts_acpica: missing unlock on error path
  * cpu: virt: correctly return true if SVM is enabled
  * lib: fwts_framework: ensure we don't truncate null names
  * acpi: fan: fix cur_state comparison bugs
  * acpi: brightness: check get_setting return
  * acpi: s4: free quirks
  * acpi: s3: free quirks
  * lib: fwts_log: free log_file on error exit
  * acpica: Fix for _INI regression.
  * acpi: battery: free gpe resources on error
  * data: klog.json: Add ACPI video notify handler check
  * data: klog.json: Add ACPI video notify handler remove check
  * data: klog.json: Add checks for Intel Lynxpoint LPSS errors
  * data: klog.json: Add check for ACPI region field type error
  * data: klog.json: Add check for object repair or convert failure
  * data: klog.json: Add ACPI fixed event error checking
  * data: klog.json: Make ArgType a regex to match various similar strings
  * data: klog.json: Drop ACPI prefix, make patten a string match
  * data: klog.json: Bit offset pattern should be a regex not a string match
  * Revert "acpi: s3: free quirks and command resources"
  * lib: framework: don't check for long string if src is NULL
  * acpi: acpidump: ensure we are shifting a 64 bit unsigned long
  * cpu: cpufreq: make test more generic for non-x86 systems
  * acpica: update to ACPICA version 20130517.
  * lib: remove fwts_microcode
  * cpu: microcode: rewrite so we no longer need to load microcode (LP: #1120240)
  * dmi: dmi_decode: Add checks for frequent bad defaults on AMI firmware
  * acpi: wakealarm: enable for non-x86 devices (LP: #1182630)
  * acpi: wakealarm: minor tidy up to the test
  * acpi: acpiinfo: missing possessive apostrophe
  * data: klog.json: fix spelling mistake

  [Ivan Hu]
  * lib: fwts_uefi: modify the return value of the fwts_uefi_get_interface
  * acpica: fix the build error after patch the update to ACPICA version 20130418
  * uefirtvariable: fix the unchecked return value
  * lib: fwts_uefi: add the function to check the efivars interface existence
  * securebootcert: need to check the efivars interface existence while checking the variable db and kek

  [Keng-Yu Lin]
  * efi_runtime: Update the address of the Free Software Foundation
  * auto-packager: mkpackage.sh: remove Natty and Oneiric
  * debian: control: Add the backported HWE kernel header packages
  * auto-packager: mkpackage.sh: Add Saucy
  * configure.ac: Use AM_PROG_AR when it exists

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Wed, 05 Jun 2013 10:51:43 +0800

fwts (0.26.08-0ubuntu1) raring; urgency=low

  [Colin Ian King]
  * uefi: uefivariable: fix build error on older compilers
  * acpi: acpidump: fix spelling mistake, useage -> usage
  * acpi: acpidump: abort dumping of SLIC if length is zero
  * data: klog.json: Add in another batch of BIOS and ACPI related checks
  * dmi: dmi_decode: Add another commonly used serial number
  * uefi: uefirtvariable: minor reformatting for 80 char width lines
  * uefi: uefirtvariable: minor code tidy up, constify and statics

  [Ivan Hu]
  * efiruntime: getnextvariablename update the VariableNameSize before return
    when get EFI_BUFFER_TOO_SMALL
  * uefirtvariable: add some information for the GetNextVariableName sub-tests

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Mon, 08 Apr 2013 16:45:31 +0800

fwts (0.26.07-0ubuntu1) raring; urgency=low

  [Colin Ian King]
  * update_version.sh: Insert just date + time in date stamp
  * acpi: mcfg: move PCI mmap and munmap to compare_config_space
  * acpi: syntaxcheck: reformat warning messages
  * acpi: syntaxcheck: add in extra error level messages
  * acpi: syntaxcheck: re-work IASL error mappings
  * data: syntaxcheck: remove redundant error code
  * acpi: syntaxcheck: add helpers to convert error_code
  * acpi: syntaxcheck: issue error messages depending on error level
  * acpi: syntaxcheck: add some more per-table information in log
  * data: syntaxcheck: add a few more advice entries
  * lib: Add helper function to get release info
  * data: cater for _PTS not existing
  * data: klog.json: cater for CMOS handler errors
  * data: klog.json: fix a typo: of --> if
  * data: klog.json: Add some vague advice for AE_NOT_EXIST
  * data: klog.json: Improve the advice for AE_AML_BUFFER_LIMIT
  * lib: fwts_log_*: fix a few smatch errors
  * dmi: dmi_decode: DMI not used by kernel should be low failures (LP: #1148703)
  * lib: framework: add in test name before test description
  * data: syntaxcheck.json: add more advice info for common errors
  * data: klog.json: Add some more ACPI related kernel message checks

  [Ivan Hu]
  * lib: fwts_uefi: fixed the newer inteface never be used
  * securebootcert: add Ubuntu UEFI secure boot tests
  * securebootcert: add Ubuntu UEFI secure boot test - check MS UEFI CA
  * securebootcert: add Ubuntu UEFI secure boot test - check Ubuntu CA presence
  * lib: fwts_uefi: add a helper fuction to convert attribute into readable form
  * data: klog.json: add message for the LVT offset conflict issue

  [Matt Fleming]
  * uefirtvariable: Correct DataSize for GetVariable()
  * uefirtvariable: Check new VariableNameSize from GetNextVariableName()
  * uefirtvariable: Test GetNextVariableName() returns unique variables
  * uefirtvariable: Test GetNextVariableName() error handling
  * efi_runtime: Add 'install' target

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Tue, 12 Mar 2013 16:01:22 +0800

fwts (0.26.06-0ubuntu1) raring; urgency=low

  [Alex Hung]
  * lib: fwts_ioport: fix calling unmatched I/O function in a help function.

  [Colin Ian King]
  * lib: fwts_ioport: add dummy stubs for non-x86 arch
  * acpica: fwts_acpica: remove fwtsInstallLateHandlers
  * acpi: wmi: re-write to eval _WDG rather than parse AML
  * acpi: method: print out BCL brightness levels rather than dump the object
  * cpu: cpufreq: tidy up information message formatting

  [Ivan Hu]
  * wmi.c: fix build error when using gcc 4.6.3

  [Keng-Yu Lin]
  * debian: add fwts-efi-runtime-dkms package in the dependency

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Thu, 21 Feb 2013 14:54:18 +0800

fwts (0.26.05-0ubuntu1) raring; urgency=low

  [Colin Ian King]
  * lib: fwts_uefi: fix build error when using gcc 4.6.3
  * lib: fwts_uefi: fix a couple of spelling mistakes that crept in
  * doc/fwts: remove debug options from fwts man page (LP: #1100955)
  * data: klog.json: add better advice for a common firmware issue
  * acpi: method: format _TSS states into a table
  * acpi: method: Show the name of the _PSS control
  * acpi: method: implement _CST sanity checks
  * acpi: method: refactor some of the passed messages
  * acpi: method: tidy up passed/failure messages
  * apci: method: update comments on implemented tests
  * acpi: method: use a helper function for MethodReturnNullObj errors
  * data: klog.json: Make PnP BIOS message into an info message
  * data: klog.json: Handle SystemIO conflict messages
  * acpi: method: Add simple _FIX test
  * acpi: method: Add _HPP (Hot Plug Parameters) sanity check
  * lib: framework: Increase precision of progress, add a spinner progress
    indicator
  * acpi: method: Add _INI (Init) sanity check
  * acpi: method: _CST test checks for wrong number of package elements
  * acpi: method: Add _PRS return buffer sanity checking.
  * acpi: method: update comments describing objects/controls
  * acpi: method: Add helpers to check for package sizes
  * lib: fwts_list: optimize list functions a little, make small helper funcs
    inline
  * acpi: method: fix some tests that don't indicate passed when they are
    complete
  * acpi: method: tidy up some more tests
  * acpi: method: add helper to check for package contents, simplify code.
  * lib: fwts_ioport: add helper functions to do port I/O
  * acpi: fadt: use new I/O port helpers to avoid segfaults
  * lib: fwts_cmos: Use new I/O helpers, add more error checking
  * hpet: hpetcheck: fix a bug found by smatch
  * apci: apicinstance: clean up smatch warning
  * script: smatchify.sh: build fwts and check with smatch
  * kernel: version: gather kernel boot command line
  * acpi: crsdump: dump ACPI _CRS buffers in an annotated form

  [Ivan Hu]
  * data: klog.json: Make FADT truncated warning into info message
  * efi_runtime: add UEFI runtime service QueryCapsuleCapabilities interface
  * uefirtmisc: add UEFI runtime service QueryCapsuleCapabilities interface
    test.
  * efirtmisc: add UEFI runtime service QueryCapsuleCapabilities interface
    stress test

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Mon, 04 Feb 2013 15:25:56 +0800

fwts (0.26.04-0ubuntu1) raring; urgency=low

  [Colin Ian King]
  * lib: fwts_list: make list creation and initialisation more optimal.
  * lib: cpu: add common CPU performance measuring code to fwts library
  * lib: Makefile: Link in math library because we need sqrt()
  * acpi: cstates: use new fwts_cpu_performance() helper function
  * cpu: cpufreq: Use new fwts_cpu_performance() helper function
  * bios: pciirq: make table dump more compact, fix formatting
  * acpi: method: ignore _WAK return values
  * acpi: method: don't bother dumping _WAK package, it's just noise
  * acpi: cstates: cater for different kernel C-state info
  * acpi: method: don't bother reporting internal ACPI lock success
  * acpi: method: dump out _PSS states in a tabular format
  * apci: method: don't bother dumping out the _BST contents
  * apci: method: don't bother dumping out the _BIF contents
  * apci: method: don't bother dumping out the _BIX contents
  * apci: method: don't bother dumping out the _DOD contents
  * cmos: cmosdump: add in some previously unknown RTC settings
  * README: Updated for latest version of fwts. Add more info too.
  * README_SOURCE: Reformat to make it 80 char width friendly, minor changes.
  * src: lib: Makefile.am: Minor tidy up of the makefile.
  * src: acpica: Makefile: Slight tidy up of the makefile.
  * src/Makefile.am: Tidy up fwts main makefile, re-order tests
  * lib: fwts_apci_method: rename object evaluation functions
  * acpi: pcc: renaming of ACPI object evaluation function names
  * acpi: method: renaming of ACPI object evaluation function names
  * lib: rename fwts_acpi_method to fwts_acpi_object_eval
  * lib: fwts_ac_adapter: constify some struct fields and variables
  * lib: fwts_guid: constify guid_str_len and guid_len parameters
  * lib: fwts_framework: test names should be dislayed in a wider format field
  * data: klog: Remove a duplicate timer BIOS bug check
  * data: klog.json: Add more specfic parse/execution failure checks on
    timeouts
  * data: klog.json: move the most generic parse/execition failure message down
  * acpi: acpidump: use offsetof macro from stddef.h rather than define our own
  * acpi: pcc: fix some stupid typos
  * hpet: hpetcheck: add ACPI HPET table check
  * lib: update copyright year to 2013
  * tests: update copyright year to 2013
  * misc: update copyright year to 2013
  * lib + tests: don't stringify the test name in FWTS_REGISTER
  * lib: fwts_framework: assert on FWTS_REGISTER names being too long
  * lib: framework: log the fwts command line for reference.
  * acpi: acpidump: fix ACPI FPDT dump
  * cpu: cpufreq: fix a bunch of 32 bit build errors
  * lib: fwts_acpi_tables: speed up table loading on 64 bit systems
  * acpica: fwts_acpica: optimise semaphore tracking
  * acpica + acpi: method test: remove fwts_acpica_simulate_sem_timeout()
  * acpica: fwts_acpica: force indefinite AML Wait() to timeout
  * acpi: method: Add better _CRS resource checking
  * data: klog.json: fix spelling mistake
  * data: klog.json: fix spelling mistake

  [Ivan Hu]
  * uefirtvariable: add more specific passed messages for each sub-tests
  * uefirtvariable: add the function to print out the return status messages
  * uefirttime: print out the return status and description when errors occur
  * uefirttime: unload the efi_runtime module when deinit the test
  * uefirtvariable: remove the invalid attribute tests after
    ExitBootServices() is performed
  * uefirtvariable: add function test for SetVariable with invalid attributes
  * fwts_uefi:uefirtvariable:use sizeof() for defining long integer for fixing
    build failure on 32 bit systems
  * uefirtvariable: restore the environment when errors occur after the test
    variables have been set
  * uefirtvariable: add new test for UEFI runtime QueryVariableInfo
  * uefirtvariable: add stress test for UEFI runtime interface GetVariable
  * uefirtvariable: add stress test for UEFI runtime interface
    GetNextVariableName
  * uefirtvariable: add stress test for UEFI runtime interface SetVariable with
    the same data
  * uefirtvariable: add stress test for UEFI runtime interface SetVariable with
    different data
  * uefirtvariable: add stress test for UEFI runtime interface SetVariable with
    different name
  * uefirtvariable: add stress test for UEFI runtime interface SetVariable with
    different name and data
  * uefirtvariable: skip the tests when get the EFI_OUT_OF_RESOURCES from
    firmware
  * uefirtvariable: add stress test for the UEFI runtime QueryVariableInfo
    interface
  * uefirtmisc: add the test for UEFI runtime GetNextHighMonotonicCount
    interface
  * uefirtmisc: add stress test for UEFI runtime GetNextHighMonotonicCount
    interface

  [Keng-Yu Lin]
  * uefi: uefirtvariable: use sizeof() for finding the bit size of long integer
  * debian: change the mail address of the maintainer
  * auto-packager: mkpackage.sh: Add raring

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Thu, 17 Jan 2013 14:01:06 +0800

fwts (0.26.03-1) raring; urgency=low

  [Colin Ian King]
  * data: klog.json: fix up and correct a few miscellaneous klog items
  * data: klog.json: promote EC error so it gets caught before generic handler
  * kernel: version: make test infoonly rather than pass/fail tests
  * cpu: cpufreq: spell Ghz as GHz and Mhz and MHz
  * cpu: cpufreq: Make this test no longer experimental.
  * lib: fwts_pipeio: fwts_pipe_exec() should return FWTS_ERROR instead of -1
  * lib + tests: modify fwts_pipe_exec to return the child exit status
  * acpi: apicinstance: make this an Intel x86 only test
  * acpi: method: handle ACPI failures a little more gracefully
  * apci: aspm: clean up messages
  * acpi: acpidump: print a message if no ACPI tables could be found.
  * lib: fwts_dump_data: tidy up code, ensure we limit nbytes to 16
  * data: klog.json: Add next 20 or so ACPI_ERROR messages
  * utilities: kernelscan: Add check for ACPI_ERROR_METHOD kernel errors
  * data/klog.json: Scan for all the ACPI_ERROR_METHOD kernel errors
  * acpi: acpidump: fix formatting of bit fields
  * data/klog.json: Update a parse/execution failure advice line
  * acpi: acpiinfo: Complete reworking to bring it up to date.
  * acpi: fadt: only perform port read on valid port widths
  * pci: aspm: make pcie_capability a packed struct type
  * bios: mtrr: remove unused VGA region check
  * bios: mtrr: move buffer memset() to after failed is declared.
  * bios: mtrr: make the failed flag a boolean
  * bios: mtrr: make is_prefetchable() return a bool type
  * bios: mtrr: make skiperror a boolean
  * acpi: dmar: Make this test no longer experimental.
  * lib: fwts_cmos: fix build error with non-Intel architectures
  * lib: fwts_smbios: fix build error with non-Intel architectures
  * lib: fwts_virt: fix non-Intel build errors
  * acpi: pcc: make this test an Intel only test
  * bios: mtrr: make prefetchable checks handle lspci exec failures
  * bios: mtrr: remove mtrr_test4 because we're removed FWTS_TEST_VGA_REGION
  * lib, tests: remove fwts common test, merge into fwts klog

  [Ivan Hu]
  * uefirtvariable: Add new test for UEFI runtime GetVariable
  * uefirtvariable: Add new test for UEFI runtime GetNextVariableName
  * uefirtvariable: Add new test for UEFI runtime SetVariable, subtest 1
  * uefirtvariable: Add new test for UEFI runtime SetVariable, subtest 2
  * uefirtvariable: Add new test for UEFI runtime SetVariable, subtest 3
  * uefirtvariable: Add new test for UEFI runtime SetVariable, subtest 4
  * uefirtvariable: Add new test for UEFI runtime SetVariable, subtest 5

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Mon, 17 Dec 2012 15:13:11 +0800

fwts (0.26.02-1) raring; urgency=low

  [Alex Hung]
  * acpi: mcfg: Set MCFGMMIONotReserved error to low

  [Colin Ian King]
  * fwts_mmap: fwts_page_size fix comparing size_t against -1
  * lib: fwts: add FWTS_UNUSED() macro for unused func arguments
  * lib: fwts_*: use FWTS_UNUSED on unused func args in fwts library
  * lib: Makefile.am: enable -Wextra
  * dmi: dmi_decode: remove some redundant range changes on uint8_t values
  * tests: use FWTS_UNUSED on unused func args
  * Makefile.am: enable -Wextra
  * lib: include: fwts_log, add in new label field
  * lib: klog: load labels from json data file rather than auto-generate
  * data: klog.json: add in label for each error message
  * lib: klog: tidy up the code a little
  * utilities: kernelscan: Tool to scan kernel for error messages
  * utilities: kernelscan: tidy up the formatting of output messages.
  * utilities: kernelscan.sh: scan various directories for kernel error messages
  * utlities: kernelscan: make some regex optimisations
  * utilities: kernelscan: fix comment that explains how to use this tool
  * utilities: kernelscan.sh - add execute flag to script
  * data: klog.json: Add support for ACPI fan and ACPI processor throttling
  * data: klog.json: Add support for the ACPI SMBUS driver
  * data: klog.json: Add support for the ACPI utils kernel error messages
  * data: klog.json: Add support for the ACPI processor_idle kernel error messages
  * data: klog.json: Add support for the ACPI arch x86 kernel sleep
  * data: klog.json: Add support for the ACPI container handler
  * data: klog.json: Add support for the ACPI Lid errors
  * data: klog.json: Add support for the ACPI Docking handler
  * data: klog.json: Add support for the ACPI EC handler
  * data: klog.json: Add support for the ACPI thermal zone handler.
  * data: klog.json: Add support for the ACPI device power handler
  * data: klog.json: Add support for the ACPI PCI root handler
  * data: klog.json: Add support for the ACPI initialisation error messages
  * data: klog.json: Add support for the ACPI blocklisting messages
  * data: klog.json: Add support for the ACPI osl messages
  * data: klog.json: Add support for the ACPI memory hotplug messages
  * data: klog.json: Add support for the ACPI glue code
  * data: klog.json: Add support for the ACPI video handler
  * data: klog.json: Add support for the ACPI processor perf driver
  * data: klog.json: Add support for the ACPI processor driver
  * data: klog.json: Add support for the ACPI PCI link control messages
  * data: klog.json: Add support for the ACPI PCI slot messages
  * data: klog.json: Add in some more miscellaneous ACPI error messages
  * data: klog.json: Add support for the ia64 ACPI handler.
  * data: klog.json: Add support for the x86 MTRR kernel messages
  * data: klog.json: Add support for various BIOS and PnPBIOS kernel messages
  * utilities: kernelscan: add in ACPI configs and more printk message types
  * utilities: kernelscan.sh: Add more paths to scan
  * data: klog.json: Add support for the APM driver kernel messages
  * data: klog.json: Add support for E820 handler in 3.2.x Kernels
  * utilities: kernelscan.sh: Check that the file exists
  * utilities: kernelscan.c: Add scanning for ACPI_ERROR
  * cpu: microcode: ensure we don't overflow with strncpy
  * pci: maxreadreq: ensure we don't overflow with strncpy
  * data: klog.json: ACPICA ACPI_ERROR messages
  * data: klog.json: ACPICA ACPI_ERROR messages
  * data: klog.json: ACPI ACPI_ERROR messages
  * data: klog.json: ACPICA ACPI_ERROR messages
  * data: klog.json: ACPICA ACPI_ERROR messages
  * data: klog.json: ACPICA ACPI_ERROR messages
  * lib: fwts_oops: check for WARN_ON messages as well as oopses
  * kernel: oops: also check for WARN_ON messages found
  * acpi: s3: also check for WARN_ON messages found
  * acpi: s4: also check for WARN_ON messages found
  * data: klog.json: ACPICA ACPI_ERROR messages
  * data: klog.json: ACPICA ACPI_ERROR messages
  * data: klog.json: ACPICA ACPI_ERROR messages
  * data: klog.json: ACPICA ACPI_ERROR messages
  * utilities: kernelscan.c: add scanning for ACPI_BIOS_ERROR messages
  * lib: fwts_test: calloc being called with args swapped
  * lib: fwts_oops: fix fwts_oops_check dereference checks on oopses and warn_ons
  * utilities: kernelscan: swap calloc arguments in unget_next()
  * utilities: kernelscan.c: add scanning for ACPI_EXCEPTION messages
  * acpi: pcc: New test to sanity check PCC, (LP: #863175)
  * data: klog.json: ACPICA ACPI_ERROR messages, exutils.c
  * data: klog.json: ACPICA ACPI_ERROR messages, utmath.c
  * data: klog.json: ACPICA ACPI_ERROR messages, dswload2.c
  * data: klog.json: ACPICA ACPI_ERROR messages, utexcep.c
  * data: klog.json: ACPICA ACPI_ERROR messages, hwxfsleep.c
  * data: klog.json: ACPICA ACPI_ERROR messages, exoparg2.c
  * data: klog.json: ACPICA ACPI_ERROR messages, evevent.c
  * data: klog.json: ACPICA ACPI_ERROR messages, utmutex.c
  * lib: fwts_framework: make framework magic id into a uint32_t
  * lib: fwts_framework: failed_level should be type fwts_log_level
  * lib: fwts_framework: show_progress flag should be a bool
  * lib: fwts_framework: print_summary should be a bool
  * lib: fwts_framework: use fwts_framework_flags instead of int
  * lib: fwts_framework: make test priority a strongly typed enum
  * lib: fwts_klog: forgot to log a klog error using the pattern string
  * lib: fwts_klog: Don't regex compile non-regex strings
  * lib: fwts_framework, fwts_klog: Add filtering to fwts errors
  * lib: fwts_framework: sanity check new options
  * doc: Add new --filter-error-discard and --filter-error-keep options.
  * data: klog.json: Add the final set of ACPI_EXCEPTION errors
  * data: klog.json: fix up the RSDP error exception advice to make more sense
  * data: klog.json: Add all the ACPI_BIOS_ERROR messages

  [Ivan Hu]
  * klog: change the MSR_IA32_ENERGY_PERF_BIAS test from fauilure to info
  * uefirttime: add the fwts test for the UEFI get wakeup time runtime service
  * uefirttime: add the fwts test for the UEFI set wakeup time runtime service
  * cpufreq: fix the CPUFreqCPUsSetToSW_ANY failed LP#1076694
  * cpufreq: fix the CPUFreqSW_ALL and CPUFreqSW_ANY failed LP#1076694

  [Keng-Yu Lin]
  * data: klog.json: remove the duplicated KlogEnergyPerfBiasSetToNormal item

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Thu, 29 Nov 2012 13:52:59 +0800

fwts (0.26.01-1) raring; urgency=low

  [Alex Hung]
  * pcie: aspm: add more information for L0s and L1 warnings (LP: #1055430)
  * hotkey: remove redundant framework parameter from hotkey_find_keyboard
  * bios: hdaaudio: fix user pin configurations (user_pin_configs) is not checked.

  [Colin Ian King]
  * lib: acpi: add ACPI 5.0 GIC and GICD structs to MADT
  * acpi: acpidump: Dump out the new MADT GIC and GICD structures
  * acpi: acpitables: Add checks for MADT GIC and GICD
  * acpi: acpitables: fix typo in LAPICX2 APIC NMI Flags tag
  * lib: acpi: Add support for the new ACPI 5.0 PCCT
  * acpi: acpidump: Add support for ACPI 5.0 PCCT
  * acpi: apcidump: Add ACPI 5.0 support for boot flag CMOS RTC present bit
  * acpi: method: re-order tests based on location in specification
  * acpi: method: re-order method test functions
  * acpi: method: tidy source; 80 columns wide formatting
  * acpi: method: add some more comments
  * acpi: method: clean up spacing in for loops
  * acpi: method: add in all ACPI control method and objects
  * acpi: method: add DDN, HID, HRV, PLD, SUB, STR checks
  * acpi: method: add checks for EDL, RMV, STA
  * acpi: method: add BCT test
  * acpi: method: add checks for GCP, GRT, GWS
  * acpi: method: Add check for GSB
  * acpi: method: Add check for SEG
  * acpi: method: Add PRx, SxD, SxW checks
  * acpi: method: fix typo SWP --> SWS
  * acpi: method: Add _S0_ .. _S5_, _SWS checks
  * acpi: method: Add CPC, CSD, PCT, PDL, PPC, TDL, TSD and TSS checks
  * bios: smbios: fix typo Stucture ==> Structure
  * cpu: virt fix typo extentions ==> extensions
  * cpu: virt: fix typo originall ==> originally
  * lib: fwts_formatting: fix typo upto ==> up to
  * lib: fwts_log_html: fix typo convertion ==> conversion
  * lib: fwts_checkeuid: fix typo priviledges ==> privileges
  * example: blank test: fix typos ommitted ==> omitted
  * acpi: wakealarm: fix typo existance ==> existence
  * acpi: acpitables: fix typo managment ==> management
  * acpi: acpidump: print format using inttypes
  * acpi: acpitables: print format using inttypes
  * acpi: checksum: print format using inttypes
  * acpi: fadt: print format using inttypes
  * acpi: method: print format using inttypes
  * acpi: s3power: print format using inttypes
  * bios: bios32: print format using inttypes
  * bios: ebda_region: print format using inttypes
  * bios: ebdadump: print format using inttypes
  * bios: mtrr: print format using inttypes
  * bios: mpcheck: print format using inttypes
  * cpu: msr: print format using inttypes
  * dmi: dmi_decode: print format using inttypes
  * hpet: hpet_check: print format using inttypes
  * lib: fwts_memorymap: print format using inttypes
  * uefi: csm: print format using inttypes
  * uefi: uefidump: print format using inttypes and whitespace tidy
  * lib: fwts_acpid: fix checking of return from read()
  * lib: fwts_acpi_method: fix for loop index type
  * lib: fwts_dump: fix loop variable type to match table length type
  * lib: fwts_framework: Make string length type a size_t rather than an int
  * lib: fwts_framework: remove redundant parameter from fwts_framework_run_test
  * lib: fwts_framework: remove redundant fw parameter from fwts_framework_show_tests_brief
  * lib: fwts_framework: remove fw parameter from fwts_framework_test_find
  * lib: fwts_framework: remove fw parameter from fwts_framework_skip_test_parse
  * lib: fwts_battery: remove redundant framework parameter in helper functions
  * lib: fwts_button: Remove framework parameter from fwts_button_match_state_proc
  * lib: fwts_button: fix comment on function name
  * acpi: acpidump: fix a bunch of int type issues.
  * acpi: acpitables: use the correct type for failed
  * acpi: mcfg: make mcfg_size a ssize_t
  * acpi: wmi: make size a size_t
  * bios: bios_info: fix bug where product_serial was not being dumped
  * bios: hdaaudio: remove redundant fw parameter from hda_audio_check_pins
  * bios: dmi_decode: remove redundant parameters from helper functions
  * dmi: dmi_decode: failed_count should be uint32_t
  * pci: aspm: remove redundant parameter in pcie_check_aspm_registers
  * cpu: maxfreq: remove redundant init and deinit functions
  * hotkey: remove redundant framework parameter from hotkey_find_keymap
  * uefi: csm: use uint32_t for BIOS address ranges
  * uefi: uefidump: cast to ptrdiff_t to remove mixed signed/unsigned comparison
  * acpi: method: fix a bunch of mixed type comparison issues
  * lib: fwts_alloc: use ptrdiff_t to ensure non-mixed type comparison
  * lib: fwts_json: wrapper for json error returns
  * lib: fwts_klog: use FWTS_JSON_ERROR macro for error checking
  * acpi: syntaxcheck: use FWTS_JSON_ERROR macro for error checking
  * uefi: uefidump: remove FWTS_FLAG_UNSAFE from test.
  * lib: fwts_ac_adapter: constify state
  * lib: fwts_acpi_method: constify funcs and static tables
  * lib: fwts_acpi_tables: constify func arguments where appropriate
  * lib: fwts_args: constify func arguments where appropriate
  * lib: fwts_battery: constify func arguments where appropriate
  * lib: fwts_button: constify function arguments where appropriate
  * lib: fwts_checkeuid: constify function arguments where appropriate
  * lib: fwts_hwinfo: constify function arguments where appropriate
  * lib: fwts_memorymap: constify function arguments where appropriate
  * lib: fwts_log: constify function arguments where appropriate
  * lib: fwts_summary: constify function arguments where appropriate
  * cpu: cpufreq: add init function to determine number of CPUs
  * lib: fwts_mmap: add fwts_page_size()
  * acpi: acpidump: correctly dump out MCFG configuration
  * acpi: mcfg: use fwts_acpi_mcfg_configuration as defined in fwts_acpi.h
  * acpi: mcfg: more code tidying.
  * acpi: mcfg: split into two distinct tests

  [Ivan Hu]
  * efi_runtime: add efi_runtime kernel driver module into fwts
  * efi_runtime: add checking the efi environment
  * efi_runtime: add UEFI runtime service QueryVariableInfo interface
  * efi_runtime: add UEFI runtime service GetNextHighMonotonicCount interface
  * lib: fwts_efi_module: add fwts library helper fuctions for efi_runtime module
  * uefirttime: add fwts tests for the UEFI get/set time runtime services

  [Keng-Yu Lin]
  * uefi: Add fwts-efi-runtime-dkms package
  * Add autotools scripts for the data directory

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Thu, 25 Oct 2012 16:14:43 +0800

fwts (0.26.00-1) quantal; urgency=low

  [Colin Ian King]
  * uefi: uefidump: Dump out variables containing kernel messages
  * uefi: uefidump: add support for ConErrDev
  * uefi: uefifump: Add support for dumping SecureBoot and SetupMode vars
  * uefi: uefidump: Add support for dumping MemoryOverwriteRequestControl.
  * uefi: uefidump: Add support for AcpiGlobalVariable
  * uefi: uefidump: Add support for SignatureSupport variable
  * lib: fwts_guid: Add fwts_guid_str_to_buf to convert string back to a GUID
  * uefi: add in support for new uefivar file system interface
  * lib: framework: Add "unsafe" test category
  * lib + tests: bulk rename of fwts flag macros
  * lib: fwts_framework: fix unnecessary escaping
  * acpica: Fix segfault when disassembling AML (LP: #1050475)

  [Keng-Yu Lin]
  * auto-packager: mkpackage.sh: checksum only the specified version

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Fri, 14 Sep 2012 13:35:31 +0800

fwts (0.25.07-1) quantal; urgency=low

  [Chris Van Hoof]
  * fwts-collect: make sure we are executing as root or with sudo
  * fwts-collect: reference sudo requirement in show_help()

  [Colin Ian King]
  * acpi: method: remove _GTS and _BFS tests
  * acpi: method: _PSS power dissipation levels can be equal to previous level
  * acpi: method: only get pedantic about therm returns if values are hard coded
  * misc: remove old crufty valgrind script
  * acpica: tidy up code to remove GCC warnings
  * Add some MTRR specific klog tests.
  * lib: fwts_klog: sanity check json klog data is readable

  [Ivan Hu]
  * msr: remove the IA32_A_PMC0-3 and IA32_TSC_AUX from cosistent test
  * mtrr: fix mtrr checking without devices that are under bridges

  [Keng-Yu Lin]
  * auto-packager: Add Quantal and remove Maverick
  * auto-packager: update mkpackage.README
  * auto-packager: Add mktar.sh to make the release tarball
  * auto-packager: mkpackage.sh to handle the released tarball
  * auto-packager: Update the mkpackage.README
  * debian: change source package format to 3.0 (quilt)
  * Add dh-autoreconf support and clean up generated files (LP: #1042287)

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Wed, 05 Sep 2012 16:31:13 +0800

fwts (0.25.06) quantal; urgency=low

  [Alex Hung]
  * acpi: method: Change _BBN's test_type from METHOD_MOBILE to METHOD_OPTIONAL

  [Colin Ian King]
  * acpi: acpidump: add extra ACPI 5.0 fields to FACP
  * acpi: acpidump: Add support for bit 20 and 21 of FADT flags
  * Update FADT preferred PM profile to add Tablet
  * dmi: dmi_decode: make advice more relevant to data handled by the kernel
  * Add mutex around semaphore counting (LP: #1017388)
  * acpi: method: remove race delay kludge
  * lib: acpi_acpi_tables: Add tables based on ACPI name and not file name.
  * lib: fwts_acpi_tables: Force fixup on XSDT and RSDT when loading from .dat
    files
  * lib: acpica: fix semaphore counting by waiting for threads to complete
  * acpica: incorporate new ACPICA sources to enable fwts to build
  * acpica: use latest ACPICA source
  * Update copy-acpica.sh to copy over new sources
  * Update README_ACPICA.txt to add in new acpica sources
  * acpi: acpidump + acpi headers: Add simple support for FPDT
  * acpi: acpidump + acpi headers: Add basic dump of RASF
  * acpi: acpidump: Add stub for MPST
  * acpi: acpidump: make arrays static
  * data: klog.json: make the _OSC failure advice more general and hand-wavy
  * cpu: cpufreq: cpufreq and cpuidle dirs confusing cpuN parsing
  * cpu: cpufreq: make progress estimate more accurate
  * cpu: cpufreq: tidy up table output
  * cpu: cpufreq: rename some global variables to make them more readable
  * cpu: cpufreq: various whitespace clean ups
  * cpu: cpufreq: tidy up memset usage
  * cpu: cpufreq: make HzToHuman() more efficient
  * cpu: cpufreq: add need to run as root
  * bios: mtrr: fix stupid typos
  * lib: fwts_klog: optimize regex scanning (LP: #1028031)

  [Keng-Yu Lin]
  * debian: Add hardening options

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Fri, 27 Jul 2012 17:22:07 +0800

fwts (0.25.05) quantal; urgency=low

  [Chris Van Hoof]
  * live-image/fwts-frontend-text: use mv versus ln as symbolic links are not
    supported on fat file systems

  [Colin Ian King]
  * dmi_decode: Add some more advice text
  * dmi_decode: Only be pedantic if we are sure about the board type
    (LP: #1021674)
  * dmi_decode: report chassis types with 0x prefix since they are in hex
  * lib: tidy up source, remove trailing whitespaces and empty lines
  * acpi: method: update table of implemented tests
  * acpi: method: add new _AEI check
  * acpi: method: Add stub for ACPI 5.0 _CPC
  * acpi: method: Add new ACPI 5.0 _PRE
  * acpi: method: Add new ACPI 5.0 _PSE check
  * acpi: acpidump: Add ACPI 5.0 GTDT support.
  * acpi: acpidump: Add ACPI 5.0 BGRT support.
  * lib: fwts_log_json: do more json object out of memory checking
  * acpi: acpidump: dump out ACPI UEFI tables
  * acpi: acpidump: Add SLIC table dump
  * acpi: acpidump: dump out the DMAR table
  * acpi: acpidump: dump out the ASF! table
  * acpi: acpidump: Add dump of TCPA
  * acpi: s4: hibernate/resume failures should be HIGH failures
  * acpi: s3: suspend/resume failures should be HIGH failures
  * Add empty m4 directory so autoreconf does not fail
  * Remove the autotool generated files
  * lib: fwts_hwinfo: sort device info before comparing (LP: #1018288)

  [Keng-Yu Lin]
  * Install the libraries in pkglib
  * debian: Add autoreconf parameters -ivf

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Wed, 11 Jul 2012 13:58:43 +0800

fwts (0.25.04) quantal; urgency=low

  [Colin Ian King]
  * apci: acpitables: only check CMOS in BOOT table from firmware tables
    (LP: #1016469)
  * lib: fwts_acpi_tables: add ACPI table provenance
  * lib: fwts_acpi_tables: load tables in deterministically
  * lib: fwts_log: handle special logfile names
  * lib: log: move line counting to logging back-ends
  * lib: fwts_log: remove fwts_log_line_number(), no longer used
  * lib: fwts_framework: output all logfile names being written to
  * lib: fwts_log: add fwts_log_get_filenames()
  * lib: fwts_summary: remove references to log line number

  [Keng-Yu Lin]
  * debian: Fix up the dependency of debian packages

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Mon, 25 Jun 2012 16:44:51 +0800

fwts (0.25.03) quantal; urgency=low

  [Chris Van Hoof]
  * live-image/fwts-frontend-text: conditional added to done_tests_finish()
    which creates a symbolic link to the latest results.html at the top level
    WORK_DIR
  * live-image/fwts-frontend-text: adding support for both plaintext and html
    log out by default with --log-type

  [Colin Ian King]
  * apci: checksum: RSDT and XSDT checksum failures should not be critical
    (LP: #1013168)
  * lib: fwts_log_html: convert misc ASCII chars to HTML mnemonics
  * lib: fwts_framework: handle --log-type parse errors
  * lib: fwts_summary: handle the log_type now that it is a bit map
  * lib: rework logging and framework to allow for multiple output logs
  * lib: fwts_framework: handle nested log section endings on ABORT
  * lib: fwts_log_html: remove timestamp as it is in the heading anyhow
  * Update README
  * lib: fwts_acpi_tables: fake table start address when loading from file.
  * lib: fwts_framework: set log name suffix when using --log-type option
  * lib: fwts_summary: HTML summary should not be in verbatim
  * lib: fwts_log_html: tweak style and table format
  * lib: fwts_memorymap: output should be in verbatim style
  * bios: mtrr: make MTRR overview all verbatim style, looks better on HTML log
  * lib: add HTML logging backend
  * lib: fwts_framework: log advice as LOG_ADVICE and not LOG_RESULT
  * lib: fwts_framework: remove fwts_framework_results, remove redundant code
  * lib: fwts_log: add extra log types and upper case flavour of
    fwts_log_field_to_str_full()
  * lib: fwts_framework: drop unneccessary \n in log call
  * lib: add xml logging
  * lib: fwts_acpi_method: remove leading 0x in front of dumped strings
  * bios: mtrr: strip off trailing newlines
  * bios: bios_info: strip off trailing newlines
  * kernel: version: strip off trailing newline
  * lib: fwts_wakealarm.c: add more comments
  * lib: fwts_oops.c: add more comments
  * lib: fwts_mmap.c: add more comments
  * lib: fwts_keymap.c: add more comments
  * lib: fwts_iasl.c: add more comments
  * lib: fwts_guid.c: add more comments
  * lib: fwts_button.c: add more comments
  * lib: fwts_ac_adapter.c: add more comments

  [Keng-Yu Lin]
  * debian: update copyright to conform to copyright-format 1.0
  * debian: update the control file

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Tue, 19 Jun 2012 13:31:53 +0800

fwts (0.25.02) quantal; urgency=low

  * fwts V0.25.02 release (LP: #1004410)

  [Alex Hung]
  * acpi: battery: add trip point tests for acpi batteries
  * lib: fwts_battery: fix incorrect strings for a battery with unit of mWh
  * lib: fwts_battery: fix no fclose() after fopen is called.
  * acpi: battery: added cycle count check for acpi batteries.

  [Colin Ian King]
  * doc: update man page
  * lib: fwts_summary.c: force non-word wrap using *_verbatim logging
  * lib: fwts_framework: default to plaintext log type
  * lib: re-work logging to add in json formatted log output
  * lib: fwts_log: tidy up white spaces and strncmps
  * lib: fwts_log: re-work log underline
  * lib: move log line number into log struct
  * lib: fwts_log: remove default line num and test name from log
  * lib: fwts_args: remove strlen() calls, more efficient and stops valgrind
    complaining
  * acpica: fwts_acpica.c: Override ACPICA Semaphores to fix memory leak bug
  * pci: aspm: make functions static
  * pci: aspm: free memory from lists
  * pci: aspm: fix memory read outside buffer
  * lib: fwts_battery: added interface for cycle count.

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Fri, 25 May 2012 18:11:11 +0800

fwts (0.25.01) precise; urgency=low

  [Keng-Yu Lin]
  * wmi: Fix an error on processing the _WDG data

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Thu, 26 Apr 2012 10:30:35 +0800

fwts (0.25.00) precise; urgency=low

  [Alex Hung]
  * doc: remove --aspm option from man page
  * pcie: added explanations to aspm messages.

  [Colin Ian King]
  * acpi: method: add _PSS test
  * lib: fwts_acpi_method: gather all object names rather than just method names
  * acpica: add -fno-strict-aliasing to ignore type punning warnings (LP: #971886)
  * Update copy-acpica.sh to include new ACPICA sources
  * acpica: force infinite loops and OS delays to complete faster since timing is not relevant
  * acpica: fwts_iasl_interface: we need to enable preprocessor to stop ramdom segfaulting
  * data: syntaxcheck.json: re-order based on new ACPICA error code updates
  * acpica + lib: fix assemble/dissassemble to work with new ACPICA core
  * lib: fwts_acpi_tables: ensure we don't overflow a table name when given bad input
  * Update README_ACPICA.txt to reflect new ACPICA sources added
  * acpica: fwts_acpica: reworking required for new ACPICA changes
  * acpica: update Makefiles
  * acpica: updates to existing ACPICA sources
  * acpica: new ACPICA sources
  * lib: fwts_fileio.c: remove unnecessary variable len
  * acpi: acpidump: remove unnecessary variable n
  * lib: fwts_tag: use size_t instead of int
  * lib: fwts_stringextras: use size_t instead of int
  * lib: fwts_framework: use size_t instead of int
  * lib: fwts_battery: use size_t instead of int
  * lib: fwts_acpi_method: use size_t instead of int
  * acpica: fwts_acpica: use size_t instead of int
  * acpi: method: use size_t instead of int
  * acpi: cstates: use size_t instead of int
  * acpi: acpitables: use size_t instead of int
  * lib: fwts_args: only handle non-zero length short_names
  * Update copyright year
  * Remove old TODO.txt
  * klog: Add EC transaction failure detection

  [Keng-Yu Lin]
  * debian: update Standards-Version and debhelper version

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Fri, 20 Apr 2012 09:54:15 +0800

fwts (0.24.21) precise; urgency=low

  [Alex Hung]
  * pcie: add pcie aspm registers check on root port and device.

  [Chris Van Hoof]
  * fwts-frontend: v2 update to conditional logic to better detect
    if we're booted via casper and additional logic to toggle auto
    shutdown behaviour when testing

  [Colin Ian King]
  * uefi: uefidump: handle realloc failure
  * lib: fwts_pipeio: handle realloc failure
  * lib: fwts_args: handle realloc failure
  * lib: acpid: handle realloc failures in fwts_acpi_event_read()
  * lib: fwts_acpi_tables: handle fwts_low_realloc() failures
  * acpica: handle realloc failures in fwts_acpica_vprintf()
  * lib: fwts_klog: remove redundant free()
  * acpi: checksum: flag up errors that are critical, add more helpful advice
  * acpi: checksum: fix typo shorted -> shortened
  * acpi: checksum: reformat lines to fit into 80 columns
  * acpi: wmi: use snprintf to be safe
  * acpi: wmi: const func args
  * acpi: wmi: reformat source into 80 columns
  * acpi: dmar: make seg a uint16_t rather than an int
  * acpi: dmar: make func args const
  * acpi: acpiinfo: tidy up source
  * bios: hdaaudio: ensure source fits into 80 columns
  * bios: hdaaudio: use calloc() instead of malloc()
  * lib: fwts_tag: handle out of memory failure
  * bios: ebdadump: ensure source fits into 80 columns
  * bios: bios32: ensure source fits into 80 columns
  * lib: arg + framework: more robust out of memory handling.
  * lib: fwts_stringextras: handle out of memory failure
  * uefi: uefidump: fix infinite recursion on unknown end terminator (v2)
  * bios: memmapdump: ensure source fits into 80 columns
  * acpica: fwts_acpica_init(): handle out of memory failures
  * bios: mtrr: handle out of memory failures
  * hpet: hpet_check: make func args const where possible
  * hpet: hpet_check: ensure source fits into 80 columns
  * fwts-collect: fix typo
  * fwts-collect: tidy up error handling
  * fwts-collect: collect more fwts dumped data
  * read /proc/mtrr rather than use ioctl() interface

  [Keng-Yu Lin]
  * debian: use autoreconf instead of dh-autoreconf

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Fri, 09 Mar 2012 15:04:30 +0800

fwts (0.24.20) precise; urgency=low

  [Chris Van Hoof]
  * debian: update fwts-frontend.install to include
    fwts-frontend-text man page
  * doc: addition of fwts-frontend-text man page
  * src/Makefile: include fwts-frontend-text.1 to man_MANS

  [Keng-Yu Lin]
  * auto-packager: change the git location
  * auto-packager: add Precise release

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Thu, 09 Feb 2012 18:00:42 +0800

fwts (0.24.19) precise; urgency=low

  [Alex Hung]
  * dmi: dmi_decode: check type 3 chassis type with acpi preferred_pm_profile
  * dmi: dmi_decode: check acpi battery if type 22 is present.
  * pcie: aspm: use FWTS_ROOT_PRIV flag

  [Colin Ian King]
  * cpu: msr: GPF avoidance on BOCHs QEMU systems (LP: #925001)

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Thu, 09 Feb 2012 13:52:50 +0800

fwts (0.24.18) precise; urgency=low

  [Alex Hung]
  * cpu:msr: fixed errors for checking SMRR MSR registers

  [Keng-Yu Lin]
  * Fix a typo error of "DSTD"

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Mon, 06 Feb 2012 16:39:43 +0800

fwts (0.24.17) precise; urgency=low

  [Alex Hung]
  * pcie: aspm: add aspm option and detect if the
    "PCIe ASPM Controls" bit is set in FADT.

  [Colin Ian King]
  * Sanity check for MSR_IA32_ENERGY_PERF_BIAS messages.
  * Since aspm is a test, move it out of the fwts core library
  * Update copyright year

  [Keng-Yu Lin]
  * lib: add PCIe ASPM configuration check in the batch test
  * debian: use dh-autoreconf

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Tue, 31 Jan 2012 13:47:48 +0800

fwts (0.24.16) precise; urgency=low

  [Chris Van Hoof]
  * Renaming directory 'iso-image' to 'live-image' and
    'live-image/fwts_wrapper' to 'live-image/fwts-frontend-text'
  * Adding a default dialogrc configuration file to select the Ubuntu color
    palatte when fwts-frontend-text is executed
  * Adding a bit of conditional logic to fwts-frontend-text to better detect
    if executed in a live image and setting defaults which make the script
    easier to control
  * debian: adding fwts-frontend.install
  * debian: update control file to build the _optional_ fwts-frontend package

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Mon, 09 Jan 2012 11:08:06 +0100

fwts (0.24.15) precise; urgency=low

  * lib: fwts_acpi_find_rsdp_bios should only scan for RSDP on Intel/AMD
  * cpu: msr: disabled test for non-Intel/AMD architectures

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Mon, 09 Jan 2012 10:17:46 +0100

fwts (0.24.14) precise; urgency=low

  * Add copy-acpica.sh script that updates the ACPI
  * data: klog: add _OSC evaluation failure tests
  * data: klog: add _CRS evaluation PNP kernel erro
  * uefi: csm: fix typo.

 -- Keng-Yu Lin <kengyu@canonical.com>  Wed, 16 Nov 2011 11:49:04 +0800

fwts (0.24.13) precise; urgency=low

  * acpi: power_button: remove check on /proc/acpi/button/power
  * lib: fwts_button: add power button support
  * acpi: lid: use button helper
  * lib: add generic button helper into lib
  * lib: add generic button helper

 -- Colin King <colin.king@canonical.com>  Tue, 9 Nov 2011 12:37:00 +0100

fwts (0.24.12) precise; urgency=low

  * debian: update control
  * uefi: add UEFI CSM check.

 -- Colin King <colin.king@canonical.com>  Tue, 9 Nov 2011 10:05:00 +0100

fwts (0.24.11) oneiric; urgency=low

  * lib: update battery helpers and re-work tests
  * acpi: s3power: use fwts_battery helper
  * lib: add fwts_battery
  * s3power: use fwts_ac_adapter()
  * acpi: ac_adapter: use fwts_ac_adapter lib
  * lib: add fwts_ac_adapter
  * acpi: ac_adapter: use newer /sys interface
  * acpi: method: clean up dangling whitespaces
  * acpi: method: handle mobile platform tests when FADT is lying
  * acpi: method: dump return object on non-null return failures.
  * acpi: method: make lock delay between each test 0 usecs
  * acpi: method: on non-mobile tests explicitly report skipped mobile tests
  * lib: fwts_cmos: disabled interrupts during port I/O (LP: #880472)
  * bios: pciirq: fix typo
  * bios: pnp: fix typo in event_notification_addr

 -- Colin King <colin.king@canonical.com>  Fri, 4 Nov 2011 09:09:00 +0100

fwts (0.24.10) oneiric; urgency=low

  * fwts-collect: fix mpdump log and don't remove README.txt
  * doc: remove --dmidecode option from man page
  * pci: crs: fetch BIOS date from /sys/class/dmi/id/bios_date
  * lib + tests: remove framework dmidecode and --dmidecode option
  * lib: fwts_dump: don't use fw->dmidecode anymore
  * lib: fwts_dump: warnings if not being run by root.
  * lib: fwts_framework: fwts_framework_show_version() more generic
  * lib + tests: add warning flag to fwts_check_root_euid()
  * klog: enable this for non-x86
  * pci: maxreadreq: enable this for non-x86
  * kernel: oops: enable this for non-x86
  * lib: fwts_dump: do sensible non-x86 dumps
  * lib: fwts_smbios: fix non-x86 build failure.

 -- Colin King <colin.king@canonical.com>  Thu, 20 Oct 2011 09:11:00 +0100

fwts (0.24.09) oneiric; urgency=low

  * bios: Add PnP Installation Check structure test
  * bios: pciirq: fix formatting
  * bios: Add Legacy PCI IRQ Routing Table test

 -- Colin King <colin.king@canonical.com>  Wed, 19 Oct 2011 18:41:00 +0100

fwts (0.24.08) oneiric; urgency=low

  * debian: remove dependancy on dmidecode
  * pci: crs: get BIOS date from SMBIOS rather than rely on dmidecode
  * lib: fwts_smbios: add in fwts_dmi_header from dmi_decode
  * lib: fwts_smbios, fetch version number too.
  * dmi: dmi_decode: complete re-write, better detection (LP: #874373)
  * bios: smbios: handle legacy DMI header
  * lib: smbios: handle legacy DMI header
  * lib: tidy up headers
  * bios: smbios: use smbios find helper
  * lib: add smbios find helper
  * bios: smbios: check header fully and dump fields (LP: #876331)
  * bios: bios32: use fwts_checksum
  * acpi: checksum: use fwts_checksum
  * lib: fwts_acpi_tables: use fwts_checksum
  * lib: multiproc: use fwts_checksum
  * lib: add checksum helper fwts_checksum()
  * bios: smbios: use systab efi helper
  * lib: fwts_acpi_tables: use systab efi helper
  * lib: add efi systab scanning helper.
  * acpi: fwts_apci_method + method: improve error checking and object dumping

 -- Colin King <colin.king@canonical.com>  Tue, 18 Oct 2011 16:36:00 +0100

fwts (0.24.07) oneiric; urgency=low

  * uefi: uefidump: use new fwts_guid_buf_to_str()
  * acpi: wmi: use new fwts_guid_buf_to_str()
  * lib: Add GUID string formatting
  * acpi: method: use acpi_methods_* funcs
  * lib: add acpi_methods_* handling

 -- Colin King <colin.king@canonical.com>  Fri, 14 Oct 2011 15:56:00 +0100

fwts (0.24.06) oneiric; urgency=low

  * libfwtsiasl: ensure .y builds are not racey
  * acpi: method: fix typo on method_exists() func name
  * lib: fwts_log: fix off-by error on month on %date (LP: #872736)
  * Add debian autopackager

 -- Colin King <colin.king@canonical.com>  Thu, 13 Oct 2011 11:29:00 +0100

fwts (0.24.05) oneiric; urgency=low

  * libfwtsiasl: fix pbuilder warnings
  * Add notes on structure and coding conventions of fwts
  * example: blank test - fix to use new framework style
  * fwts_wrapper: update copyright dates
  * Remove old cruft
  * Update README_ACPICA to keep in sync with latest ACPICA
  * Update with autoreconf respin
  * Update to ACPICA, commit 45ebe2cf90521fe511b827007e9c1e5c610292b6

 -- Colin King <colin.king@canonical.com>  Fri, 7 Oct 2011 19:01:00 +0100

fwts (0.24.04) oneiric; urgency=low

  * acpi: checksum: output correct checksum value (LP: #869018)
  * framework: -T option should be -t, (LP: #868226)
  * klog: detect WMI driver pr_info() warning messages (LP: #865384)

 -- Colin King <colin.king@canonical.com>  Thu, 6 Oct 2011 14:50:00 +0100

fwts (0.24.03) oneiric; urgency=low

  * acpi: acpitables: Tidy FADT RESET_REG error message.
  * acpi: method: relax _BIF, _BIX tests.
  * acpi: acpitables: fix spurious advice infomation (LP: #862170)
  * acpi: method: less noisy errors when many _BCL levels are in wrong order.
  * acpi: method: Check _BST charging + discharging more thoroughly (LP: #862153)

 -- Colin King <colin.king@canonical.com>  Thu, 29 Sep 2011 10:48:49 +0100

fwts (0.24.02) oneiric; urgency=low

  * acpi: method: check AE_OK return from AcpiEvaluateObject()
  * pci: maxreadreq: add more helpful advice (LP: #859651)
  * acpi: method: Make incorrect _WAK returns non-fatal as kernel ignores these anyway.
  * lib: fwts_hwinfo: do pactl checking correctly (LP: #837606)

 -- Colin King <colin.king@canonical.com>  Wed, 28 Sep 2011 11:42:00 +0100

fwts (0.24.01) oneiric; urgency=low

  * add fwts-collect man page
  * debian: add fwts-collect to fwts installer
  * scripts: fwts-collect - collect up logs for bug reporting

 -- Colin King <colin.king@canonical.com>  Tue, 20 Sep 2011 18:28:46 +0100

fwts (0.24.00) oneiric; urgency=low

  * iso-image: fwts_wrapper dialog wrapper script.
  * assets: fwts logo

 -- Colin King <colin.king@canonical.com>  Tue, 20 Sep 2011 18:16:00 +0100

fwts (0.23.23) oneiric; urgency=low

  * cmos: cmosdump: fix floppy disk info
  * cmos: cmosdump: fix register 0x0b dump (LP: #837969)

 -- Colin King <colin.king@canonical.com>  Wed, 31 Aug 2011 17:07:34 +0100

fwts (0.23.22) oneiric; urgency=low

  * declare various private variables and functions static (LP: #837215)
  * bios: multiproc: make mpdump_get_apic_id static
  * bios: multiproc: remove redundant mpcheck_get_apic_id()
  * cpu: virt: make cpu_has_vmx static
  * acpi: lid: make lid_*() static
  * acpi: ac_adapter: make ac_adapter_check_field static
  * acpi: powerbutton: make power_button_check_field static
  * acpi: brightness: make *_setting static
  * cpu: virt: make cpu_has_svm, vt_locked_by_bios static
  * lib: framework: make init funcs static
  * acpi: wmi: make wmi_wdg_flags_to_text() static
  * bios: mtrr: rename fwts_virt_cpuinfo to fwts_cpuinfo
  * acpi: acpidump: make table_vec static
  * cpu: msr: make cpuinfo static
  * acpi: ac_adapter: make ac_adapterdir static
  * acpi: lid: make liddir static
  * acpi: powerbutton: make power_buttondir static
  * bios: mtrr: remove redundant mtrr_resource
  * acpi: acpidump: fix typo 'Sealed Case'
  * cpu: msr: drop TSC_AUX and SMBASE tests (LP: #834591)

 -- Colin King <colin.king@canonical.com>  Tue, 30 Aug 2011 09:18:53 +0100

fwts (0.23.21) oneiric; urgency=low

  * acpi: acpitables: remove false positive warnings (LP: #833644)
  * acpi: method: don't run mobile platform tests on servers (LP: #834554)
  * bios: mpcheck: check uniqueness of CPU APIC IDs (LP: #834504)
  * acpi: cstates: drop experimental status of the test.

 -- Colin King <colin.king@canonical.com>  Fri, 26 Aug 2011 11:05:19 +0100

fwts (0.23.20) oneiric; urgency=low

  * hpet: hpet_check: get HPET base on newer kernel logs (LP: #832273)

 -- Colin King <colin.king@canonical.com>  Tue, 23 Aug 2011 19:56:23 +0100

fwts (0.23.19) oneiric; urgency=low

  * apci: fan: use newer thermal interface, test fans on loaded CPU (LP: #831905)

 -- Colin King <colin.king@canonical.com>  Tue, 23 Aug 2011 12:12:12 +0100

fwts (0.23.18) oneiric; urgency=low

  * lib: acpica: ensure table pointers are NULL when table input is corrupt (LP: #826774)

 -- Colin King <colin.king@canonical.com>  Mon, 15 Aug 2011 15:33:30 +0100

fwts (0.23.17) oneiric; urgency=low

  * acpi: method: tidy up source.
  * acpi: acpitables: tidy up source.
  * acpi: wmi: tidy up source.
  * acpi: wakealarm: tidy up source.
  * acpi: syntaxcheck: tidy up source.
  * acpi: s4: tidy up source.
  * acpi: s3power: tidy up source.
  * acpi: s3: tidy up source.
  * acpi: powerbutton: tidy up source.
  * acpi: osilinux: tidy up source.
  * acpi: mcfg: tidy up source.
  * acpi: lid: fix failure format string (LP: #826676)
  * acpi: klog: tidy up source.
  * acpi: fan: tidy up source.
  * acpi: fadt: tidy up source.
  * acpi: dmar: tidy up source.
  * acpi: cstates: tidy up source.
  * acpi: common: tidy up source.
  * acpi: checksum: tidy up source.
  * acpi: battery: tidy up source.
  * acpi: apicinstance: tidy up source.
  * acpi: acpiinfo: tidy up source.
  * acpi: ac_adapter: tidy up source.

 -- Colin King <colin.king@canonical.com>  Mon, 15 Aug 2011 12:11:12 +0100

fwts (0.23.16) oneiric; urgency=low

  * cpu: virt: tidy up sources.
  * cpu: nx: tidy up source.
  * cpu: msr: tidy up source.
  * cpu: microcode: tidy up source.
  * cpu: maxfreq: tidy up source.
  * cpu: cpufreq: tidy up source.
  * hotkey: hotkey: tidy up source.
  * dmi: dmi_decode: fix failure format string (LP: #826418)
  * kernel: version: tidy up source.
  * kernel: oops: tidy up source.
  * cmos: cmosdump: tidy up source.
  * apic: apicedge: tidy up source.
  * pci: maxreadreq: tidy up source.
  * pci: crs: tidy up source.

 -- Colin King <colin.king@canonical.com>  Sun, 14 Aug 2011 21:04:00 +0100

fwts (0.23.15) oneiric; urgency=low

  * lib: fwts_framework: helper macros: use fmt arg
  * bios: os2gap: add more failure info.
  * bios: smbios: tidy up source.
  * bios: romdump: tidy up source.
  * bios: os2gap: fix failure format string (LP: #825945)
  * bios: mtrr: tidy up source.
  * bios: memmapdump: tidy up source.
  * bios: hdaaudio: tidy up source.
  * bios: ebda_region: tidy up source.
  * bios: ebdadump: tidy up source.
  * bios: bios_info: tidy up source.
  * bios: bios32: tidy up source.
  * bios: mpcheck: tidy up source.

 -- Colin King <colin.king@canonical.com>  Sat, 13 Aug 2011 21:33:00 +0100

fwts (0.23.14) oneiric; urgency=low

  * lib: fwts_acpi_tables: make acpidump parsing more resiliant to bad data.
  * lib: fwts_acpi_tables: read in data correctly (LP: #818042)
  * acpi: checksum: handle RSDP.
  * lib: fwts_acpi_tables.h: add fwts_acpi_checksum
  * lib: fwts_acpi_tables: name RSD PTR to RSDP.
  * lib: fwts_acpi_tables: handle ACPI 1.0 sized RSDP
  * lib: fwts_acpi: rsdp requires a 64 bit xsdt
  * acpi: syntaxcheck: log errors as per-test failures and include unique error code in error.
  * acpi: acpitables: add more advice, deprecate FACS test, it was nonsense.

 -- Colin King <colin.king@canonical.com>  Fri, 29 Jul 2011 17:28:00 +0100

fwts (0.23.13) oneiric; urgency=low

  * lib + method test: better handling of object eval errors. (LP: #816877)
  * apci: method: detect zero sized access bit width (LP: #816877)
  * acpi: method: check for NULL _DDC and _UID object returns.
  * acpi: method: only derefernce non-null _DOD objects (LP: #816824)
  * lib: acpica: make hash unsigned int (LP: #816819)
  * acpi: syntaxcheck: don't erroneously put syntaxcheck_table.
  * cmosdump: print drive info with %hhu and pluralise.
  * mpcheck: print uint8_t values with %hhu
  * mtrr: print entry reg as uint8_t.
  * bios32: print bios32 values in hex.
  * fadt: ensure we print out preferred_pm_profile as 8 bit int.
  * acpitables: ensure we are printing out correct int values.
  * acpi: wmi: fix typo in test identifier.

 -- Colin King <colin.king@canonical.com>  Wed, 27 Jul 2011 14:17:23 +0100

fwts (0.23.12) oneiric; urgency=low

  * lib + tests: add unique test label that identifies each failure test.
  * lib + tests: replace fwts_failed_low with fwts_failed.
  * lib + tests: replace fwts_failed_medium with fwts_failed.
  * lib + tests: replace fwts_failed_high with fwts_failed.
  * lib + tests: replace fwts_failed_critical with fwts_failed.
  * lib: remove fwts_failed_level macro
  * lib + tests: fwts_failed now includes log level.
  * lib: fix ARM FTBFS (LP: #814745)
  * apcica lib: fake PCI config reads (LP: #813376)

 -- Colin King <colin.king@canonical.com>  Mon, 25 Jul 2011 14:54:44 +0100

fwts (0.23.11) oneiric; urgency=low

  * data: klog.json: add 7 more MTRR BIOS misconfiguration log checks.

 -- Colin King <colin.king@canonical.com>  Mon, 18 Jul 2011 16:44:42 +0100

fwts (0.23.10) oneiric; urgency=low

  * lib: fwts_log: increase log width.
  * apci: method: reduce infinite AML loops to 0x0100 iterations.
  * cpu: msr: remove redundant variable 'failed'.
  * cpu: cpufreq: remove redundant variable i
  * bios: smbios: comment out redundant assigment.
  * acpi: method: fix ommitted args to method evaluate calls.
  * lib: fwts_framework: remove redundant var percent.

 -- Colin King <colin.king@canonical.com>  Tue, 5 Jul 2011 17:42:00 +0100

fwts (0.23.09) oneiric; urgency=low

  * acpi: syntaxcheck: fix segfault due to null error list (LP: #805980)

 -- Colin King <colin.king@canonical.com>  Tue, 5 Jul 2011 15:45:20 +0100

fwts (0.23.08) oneiric; urgency=low

  * kernel: oops: make oops failures critical (LP: #797649)

 -- Colin King <colin.king@canonical.com>  Wed, 15 Jun 2011 12:08:00 +0100

fwts (0.23.07) oneiric; urgency=low

  * fix changelog LP bug number formatting
  * fix incorrect aborted total (LP: #789114)
  * fix table loading (LP: #784013)
  * fwts_iasl: fix segfault on bad input (LP: #781709)
  * acpi: method: fix incorrect sem counts (LP: #744405)

 -- Colin King <colin.king@canonical.com>  Fri, 27 May 2011 16:20:23 +0100

fwts (0.23.06) oneiric; urgency=low

  * acpi: s3power: measure power loss during S3 suspend.
  * lib: fwts_framework: fix LP: #789114, incorrect aborted total
  * acpi: s3: remove redundant deinit

 -- Colin King <colin.king@canonical.com>  Fri, 27 May 2011 15:17:02 +0100

fwts (0.23.05) oneiric; urgency=low

  * lib: fwts_acpi_tables: fix LP: #784013, cannot load tables.
  * acpi: apicinstance: fix 64 bit build error
  * acpi: acpidump: fix 64 bit build error
  * lib: fwts_pipeio: fix 64 bit build error
  * lib: fwts_list: tidy up fwts_list_len

 -- Colin King <colin.king@canonical.com>  Tue, 17 May 2011 16:42:00 +0100

fwts (0.23.04) oneiric; urgency=low

  * lib: fwts_iasl: fix LP: #781709, segfault on bad input
  * lib: fwts_stringextras: use const where appropriate
  * lib: fwts_pipe_read: length should be ssize_t
  * lib: fwts_mp_checksum: use const where appropriate
  * lib: fwts_mmap: use const where appropriate
  * lib: fwts_firmware: remove redundant FLAGS
  * lib: fwts_cmos_read: offset should be const uint8_t
  * lib: fwts_tag: use const where appropriate
  * lib: fwts_uefi: use const where appropriate
  * lib: fwts_formatting: use const where appropriate
  * lib: fwts_acpi_tables: use const and size_t where appropriate
  * lib: fwts_acpi_table_info: make data const void * and length size_t
  * lib + tests: fwts_acpi_event_read(): use size_t for length
  * lib: fwts_alloc: use const

 -- Colin King <colin.king@canonical.com>  Thu, 12 May 2011 17:38:00 +0200

fwts (0.23.03) oneiric; urgency=low

  * acpi: syntaxcheck: remove redundant params
  * lib: fwts_multiproc: fix -Wextra warnings
  * lib: fwts_log.h: make magic unsigned int
  * lib: fwts_klog: fix calloc failure check
  * lib: fwts_dump: fix -Wextra warnings
  * lib: fwts_alloc: make magic unsigned int
  * lib: fwts_interactive: make fwts_getchar more robust
  * lib: fwts_cpu: call _exit() on signal
  * lib: fwts_text_list: remove fwts_text_list_dump
  * doc: manpage: update introduction

 -- Colin King <colin.king@canonical.com>  Wed, 4 May 2011 08:59:42 +0100

fwts (0.23.02) oneiric; urgency=low

  * debian: control: fix typos
  * bios: mpcheck: fix reporting of incorrect CPU entry that has suspect LAPIC ID
  * bios: multiproc: drop APIC version check, fix io_apic_entries feedback.
  * acpi: method: fix typo in THERM check.
  * acpi: method: fix false alert with THERM check.
  * acpi: wmi: fix guidstr: should be all in uppercase.
  * cpu: msr: Add AMD specific MSR checks.
  * cpu: msr: add CPU arch specific MSR checks.
  * lib: fwts_cpu: use sysconf to determine number of CPUs
  * acpi: method: fix LP: #744405, incorrect sem counts
  * method: rename *execute* -> *evaluate*
  * hotkey: check for keyboard find failure.
  * lib: acpica: disable single step debug when hitting AML_BREAK_POINT opcodes.
  * bios: hdaudio: minor tidy up of formatting and code.
  * acpi: s4: remove redundant 'Restarting tasks' check
  * acpi: wmi: check for known GUIDs

 -- Colin King <colin.king@canonical.com>  Fri, 8 Apr 2011 10:36:52 +0100

fwts (0.23.01) oneiric; urgency=low

  * work around systems that don't support MAP32_BIT (LP: #739256)

 -- Colin King <colin.king@canonical.com>  Mon, 21 Mar 2011 10:49:00 +0000

fwts (0.23.00) oneiric; urgency=low

  * post natty freeze, bug fixes and new features
  * fix segfault of method test on 64 bit machines (LP: #736874)
  * drop thermal_trip test (LP: #730132)
  * Fix cstates test (LP: #728685)
  * acpi: acpidump: use more sensible heading, fix SCI text
  * hpet: Fail test and skip sanity check when base address not found
  * bios: ebda_region: close fd on error
  * acpi: acpidump: use more sensible heading, fix SCI text
  * hpet: Fail test and skip sanity check when base address not found
  * bios: ebda_region: close fd on error.
  * lib: fwts_acpi_tables: check for broken table sizes.
  * lib: use low memory allocator for ACPI tables
  * lib: fwts: include fwts_alloc.h
  * lib: add 32 bit allocator
  * lib: multiproc: add check of lower 1K region
  * cpu: msr: fix 64 bit build warnings.
  * lib: summary: add totals to table.
  * cpu: msr: add MSR checking.
  * lib: cpu: add Intel and AMD cpu ident checks.
  * pci: crs: use FWTS_ROOT_PRIV flag
  * uefi: uefidump: use FWTS_ROOT_PRIV flag
  * pci: maxreadreq: use FWTS_ROOT_PRIV flag
  * hpet: hpet_check: use FWTS_ROOT_PRIV flag
  * hotkey: hotkey: use FWTS_ROOT_PRIV flag
  * dmi: dmi_decode: use FWTS_ROOT_PRIV flag
  * cpu: virt: use FWTS_ROOT_PRIV flag
  * cpu: nx: use FWTS_ROOT_PRIV flag
  * cpu: microcode: use FWTS_ROOT_PRIV flag
  * bios: smbios: use FWTS_ROOT_PRIV flag and remove .init
  * bios: romdump: use FWTS_ROOT_PRIV flag and remove .init
  * bios: mpdump: use FWTS_ROOT_PRIV flag
  * bios: mpcheck: use FWTS_ROOT_PRIV flag
  * bios: mtrr: use FWTS_ROOT_PRIV flag
  * bios: ebdadump: use FWTS_ROOT_PRIV flag and remove .init
  * bios: ebda_region: use FWTS_ROOT_PRIV flag
  * bios: bios32: use FWTS_ROOT_PRIV flag and remove .init
  * acpi: wakealarm: use FWTS_ROOT_PRIV flag
  * acpi: s4: use FWTS_ROOT_PRIV flag
  * acpi: s3: use FWTS_ROOT_PRIV flag
  * acpi: mcfg: use FWTS_ROOT_PRIV flag
  * acpi: fadt: use FWTS_ROOT_PRIV flag
  * cmos: cmosdump: use FWTS_ROOT_PRIV flag, remove init check
  * lib: framework: allow FWTS_ROOT_PRIV flag on test
  * lib: framework: add ROOT_PRIV flag, tidy _run_test
  * lib: framework: rationalise test status logging.
  * lib: framework: rename FWTS_*_TEXT to FWTS_FRAMEWORK_*, move typedef into header.
  * framework + tests: remove .headline, replace with .description
  * data: klog.json: add 6 MultiProcessor table checks.
  * lib, bios: mpcheck: move MP header signature to fwts_multiproc.h
  * bios: multiproc check - fix to make it a batch test.
  * bios: multiproc check - fix test heading.
  * add new multiproc table sanity checking.
  * method: reference /sys/class/thermal rather than /proc/acpi/thermal_zone
  * tests, lib: use new fwts_ebda_get() primitive
  * lib: add fwts_ebda_get - return EBDA offset for mmap'ing the region
  * acpi: acpudump: use more sensible heading, fix SCI text
  * bios: add ebdadump to dump EBDA region
  * tests: use fwts_mmap primitives
  * lib: use fwts_mmap primitives
  * lib: add fwts_mmap - memory mapping primitives
  * multiproc: mpdump: collate data into tables.
  * lib + test: initial MultiProc test support
  * hpet: Fail test and skip sanity check when base address not found
  * bios: ebda_region: close fd on error.

 -- Colin King <colin.king@canonical.com>  Thu, 17 Mar 2011 16:43:54 +0000

fwts (0.22.03) natty; urgency=low

  * Fixes for lintian warnings (LP: #725336)
  * fix build order (acpica/source/compiler must build first)

 -- Colin King <colin.king@canonical.com>  Fri, 25 Feb 2011 23:15:01 +0000

fwts (0.22.02) natty; urgency=low

  * clean up libtool linker usage.
  * fix build order (acpica/source/compiler must build first).
  * remove redundant 2nd pciutils from control file.
  * lib: virt: rename exec_cpuid to fwts_exec_cpuid
  * lib: acpid: rename event funcs with fwts_ prrefix
  * configure.ac: remove AC_PROG_OBJCOPY
  * debian: control: add more description to libraries.
  * acpi: acpidump: fix typo 'suppored' -> 'supported'.
  * doc: fwts man page: fix - to \-

 -- Colin King <colin.king@canonical.com>  Fri, 25 Feb 2011 16:36:23 +0000

fwts (0.22.01) natty; urgency=low

  * Fixes for minor bugs (LP: #723746)
  * bios: mtrr: fix: disable MTRR VGA test as it is not helpful.
  * doc: fix fwts man page, remove duplicated -s options.
  * acpi: s3: fix typo.
  * acpi: method: comments on what needs testing.
  * bios: mtrr: fix to stop valgrind complaining.
  * lib: fwts_summary: fix summary fields to fit in 80 columns.

 -- Colin King <colin.king@canonical.com>  Wed, 23 Feb 2011 14:37:00 +0000

fwts (0.22.00) natty; urgency=low

  * New version for Natty release (LP: #720271)
  * New upstream version 0.22.00

 -- Colin King <colin.king@canonical.com>  Wed, 16 Feb 2011 18:47:59 +0000

fwts (0.21.15) natty; urgency=low

  * summary: collate summary items for a more compact summary.
  * klog: add better progress feedback when scanning large logs.
  * args: fix optind offset bug.
  * klog: add _BCM execution failure check.
  * klog: add more intelligence to FADT checking.
  * New upstream version 0.21.15

 -- Colin King <colin.king@canonical.com>  Wed, 16 Feb 2011 16:20:00 +0000

fwts (0.21.14) natty; urgency=low

  * acpi: s3,s4: break up pass/fail message summary.
  * New upstream version 0.21.14

 -- Colin King <colin.king@canonical.com>  Tue, 15 Feb 2011 19:50:04 +0000

fwts (0.21.13) natty; urgency=low

  * Print informational count when non-zero
  * tidy up progress output.
  * change results text "informational" to "info only".
  * cpu microcode test: remove need to alloc/free cpu list.
  * bios mtrr test: check for list_new NULL return.
  * arg handling: remove need for alloc/free of options_list
  * sort tests on name when dumping list of available tests.
  * New upstream version 0.21.13

 -- Colin King <colin.king@canonical.com>  Sat, 12 Feb 2011 18:38:20 +0000

fwts (0.21.12) natty; urgency=low

  * Print informational count when non-zero
  * New upstream version 0.21.12

 -- Colin King <colin.king@canonical.com>  Fri, 11 Feb 2011 23:29:00 +0000

fwts (0.21.11) natty; urgency=low

  * Fix skipped message truncation
  * Make static libs into shared libs
  * New upstream version 0.21.11

 -- Colin King <colin.king@canonical.com>  Fri, 11 Feb 2011 22:49:40 +0000

fwts (0.21.10) natty; urgency=low

  * Extend progress feedback.
  * New upstream version 0.21.10

 -- Colin King <colin.king@canonical.com>  Thu, 10 Feb 2011 18:33:39 +0000

fwts (0.21.09) natty; urgency=low

  * Add more feedback during s3, s4 tests.
  * Add better arg checking post arg parsing.
  * Fix a bunch of typos in s3, s4 help.
  * New upstream version 0.21.09

 -- Colin King <colin.king@canonical.com>  Thu, 10 Feb 2011 15:13:22 +0000

fwts (0.21.08) natty; urgency=low

  * Ensure all tests log a passed/failed/skipped/aborted/infoonly state (LP: #715755)
  * Add --s3-device-check-delay option
  * Add --s4-device-check-delay option
  * New upstream version 0.21.08

 -- Colin King <colin.king@canonical.com>  Wed, 9 Feb 2011 15:08:20 +0000

fwts (0.21.07) natty; urgency=low

  * Add --s3-quirks option
  * Add --s4-quirks option
  * Update man page
  * New upstream version 0.21.07

 -- Colin King <colin.king@canonical.com>  Wed, 9 Feb 2011 11:07:02 +0000

fwts (0.21.06) natty; urgency=low

  * Add hwinfo device checking for s3 and s4 tests
  * Update man page
  * New upstream version 0.21.06

 -- Colin King <colin.king@canonical.com>  Wed, 9 Feb 2011 00:51:47 +0000

fwts (0.21.05) natty; urgency=low

  * acpi: dmar: don't free table as it's a cached copy.
  * New upstream version 0.21.05

 -- Colin King <colin.king@canonical.com>  Tue, 8 Feb 2011 13:38:31 +0000

fwts (0.21.04) natty; urgency=low

  * s3, s4: multiple tests must run at least twice if multiples not specified.
  * s4, s4: scan log for oopsing to catch driver/kernel breakages.
  * oops: Add test to scan for random kernel oopsing.
  * manpage - fix data/date typo.
  * New upstream version 0.21.04

 -- Colin King <colin.king@canonical.com>  Wed, 2 Feb 2011 12:03:03 +0000

fwts (0.21.03) natty; urgency=low

  * Add uefidump to dump UEFI variables
  * Fix cmosdump - was dumping too much data in hex dump.
  * Add klog check for banned ioport operations from AML.
  * New upstream version 0.21.03

 -- Colin King <colin.king@canonical.com>  Tue, 25 Jan 2011 15:05:05 +0000

fwts (0.21.02) natty; urgency=low

  * Add --s4-min-delay, --s4-max-delay, --s4-delay-delta S4 delay options
  * New upstream version 0.21.02

 -- Colin King <colin.king@canonical.com>  Fri, 21 Jan 2011 16:06:49 +0000

fwts (0.21.01) natty; urgency=low

  * Fix null pointer bug
  * New upstream version 0.21.01

 -- Colin King <colin.king@canonical.com>  Sun, 16 Jan 2011 19:42:03 +0000

fwts (0.21.00) natty; urgency=low

  * New version for release (LP: #702821)

 -- Colin King <colin.king@canonical.com>  Fri, 14 Jan 2011 11:13:00 +0000

fwts (0.20.20) natty; urgency=low

  * acpi: wmi: handle "table not found" correctly.
  * doc: manpage. fix --disassemble-aml text.
  * lib: framework: report month correctly (offset by 1)

 -- Colin King <colin.king@canonical.com>  Fri, 14 Jan 2011 09:28:00 +0000

fwts (0.20.19) natty; urgency=low

  * New version for release (LP: #701843)
  * lib: framework: add --disassemble-aml to help.
  * lib: fwts_acpi.h: remove old FWTS_GET_* macros.
  * all: update copyright date.
  * lib: framework: use list head macro.
  * lib: list: include list head and tail macros
  * hpet: hpet_check: use list iterator (for klog scanning).
  * bios: mtrr: minor rewrite to stop scoping of item confusion when
    doing mtrr_bios_list scanning
  * bios: mtrr: use list iterator
  * New upstream version 0.20.19

 -- Colin King <colin.king@canonical.com>  Wed, 12 Jan 2011 09:58:07 +0000

fwts (0.20.18) natty; urgency=low

  * Add --disassemble-aml to disassemble AML in DSDT and SSDT tables
  * Add more syntaxcheck advise
  * New upstream version 0.20.18

 -- Colin King <colin.king@canonical.com>  Mon, 10 Jan 2011 16:11:52 +0000

fwts (0.20.17) natty; urgency=low

  * Add --s4-sleep-delay=N option to specify delays during hibernate
  * Add syntaxcheck advise from a json lookup table
  * New upstream version 0.20.17

 -- Colin King <colin.king@canonical.com>  Thu, 6 Jan 2011 19:17:02 +0000

fwts (0.20.16) natty; urgency=low

  * Dump out AML source with error message on syntaxcheck test
  * New upstream version 0.20.16

 -- Colin King <colin.king@canonical.com>  Thu, 6 Jan 2011 11:47:47 +0000

fwts (0.20.15) natty; urgency=low

  * Disable case sensitivity in lex scanner
  * Tidy up iasl specific code
  * New upstream version 0.20.15

 -- Colin King <colin.king@canonical.com>  Wed, 5 Jan 2011 19:07:59 +0000

fwts (0.20.14) natty; urgency=low

  * Add debian/libfwtsiasl1.install
  * New upstream version 0.20.14

 -- Colin King <colin.king@canonical.com>  Wed, 5 Jan 2011 14:14:05 +0000

fwts (0.20.13) natty; urgency=low

  * Include ACPICA iasl compiler into a library
  * Remove --iasl option
  * Remove need to check for existance of iasl tool
  * New upstream version 0.20.13

 -- Colin King <colin.king@canonical.com>  Wed, 5 Jan 2011 13:18:02 +0000

fwts (0.20.12) natty; urgency=low

  * Update with latest ACPICA sources
  * New upstream version 0.20.12

 -- Colin King <colin.king@canonical.com>  Tue, 28 Dec 2010 16:55:43 +0000

fwts (0.20.11) natty; urgency=low

  * Add and use fwts_list_data() to access list data more abstractly
  * acpica: fix init/deinit bug, avoid double free'ing of DSDT
  * framework: add per test pass/fail/abort/warn/skip summary
  * framework: move per test results to fwts_framework_ops so we can tabulate in summary
  * framework: remove current_ops
  * framework: fix memory leak detected with valgrind
  * method: remove unwanted _OSI cruft
  * remove trailing whitespaces from sources
  * framework: pretty print -h, --help output to tty width
  * framework: fix typos in help
  * New upstream version 0.20.11

 -- Colin King <colin.king@canonical.com>  Tue, 21 Dec 2010 14:55:58 +0000

fwts (0.20.10) natty; urgency=low

  * New version for release (LP: #690598)
  * Fix a couple of memory leaks
  * Add MTRR misconfiguration klog checks
  * oscilinux: make test a warning rather than a low failure
  * klog, only scan unique error messages and report repeats, reduces noise
  * _OSI(Linux) klog errors logged as just information rather than an error
  * New upstream version 0.20.10

 -- Colin King <colin.king@canonical.com>  Wed, 15 Dec 2010 11:27:27 +0000

fwts (0.20.09) natty; urgency=low

  * show available tests in short form
  * don't display progress on interactive tests
  * New upstream version 0.20.09

 -- Colin King <colin.king@canonical.com>  Wed, 15 Dec 2010 00:01:23 +0000

fwts (0.20.08) natty; urgency=low

  * method test: check for null object returns.
  * New upstream version 0.20.08

 -- Colin King <colin.king@canonical.com>  Thu, 9 Dec 2010 15:05:44 +0000

fwts (0.20.07) natty; urgency=low

  * s4 test: only attempt to hibernate if swap is available
  * klog test: only dump advice if it's available.
  * More info in _WAK test failure
  * New upstream version 0.20.07

 -- Colin King <colin.king@canonical.com>  Thu, 9 Dec 2010 09:15:00 +0000

fwts (0.20.06) natty; urgency=low

  * Fix hangs on corrupt input ACPI table data
  * Add some IO APIC kernel log scanning checks
  * New upstream version 0.20.06

 -- Colin King <colin.king@canonical.com>  Tue, 7 Dec 2010 11:53:00 +0000

fwts (0.20.05) natty; urgency=low

  * Add --lp-tags-log option to log LP tags into the results log
  * Make --lp-tags just dump out all LP tags found in testing
  * New upstream version 0.20.05

 -- Colin King <colin.king@canonical.com>  Sat, 4 Dec 2010 19:22:39 +0000

fwts (0.20.04) natty; urgency=low

  * Fix stack smashing on corrupt ACPI dumped data input
  * Add -j, --json-data-path options
  * New upstream version 0.20.04

 -- Colin King <colin.king@canonical.com>  Sat, 4 Dec 2010 01:12:22 +0000

fwts (0.20.03) natty; urgency=low

  * Changes to run successfully on UEFI systems.
  * New upstream version 0.20.03

 -- Colin King <colin.king@canonical.com>  Fri, 3 Dec 2010 15:48:57 +0000

fwts (0.20.02) natty; urgency=low

  * Fix help and update man page for -u, --utils option
  * New upstream version 0.20.02

 -- Colin King <colin.king@canonical.com>  Fri, 3 Dec 2010 11:56:01 +0000

fwts (0.20.01) natty; urgency=low

  * Fix PowerPC and ARM FTBFS issues (LP: #684663)
  * New upstream version 0.20.01

 -- Colin King <colin.king@canonical.com>  Fri, 3 Dec 2010 11:09:49 +0000

fwts (0.20.00) natty; urgency=low

  * Add -u, --utils option
  * New upstream version 0.20.00

 -- Colin King <colin.king@canonical.com>  Wed, 1 Dec 2010 16:27:37 +0000

fwts (0.19.29) maverick; urgency=low

  * Fix 64 bit build warnings
  * Add more advice into method test
  * New upstream version 0.19.29

 -- Colin King <colin.king@canonical.com>  Mon, 30 Nov 2010 14:26:23 +0000

fwts (0.19.28) maverick; urgency=low

  * Add in acpitable MADT checks for APICs
  * dump out global_irq_base from MADT IO APIC correctly
  * New upstream version 0.19.28

 -- Colin King <colin.king@canonical.com>  Fri, 26 Nov 2010 18:43:01 +0000

fwts (0.19.27) maverick; urgency=low

  * Fix GCC warnings now that we're checking log printf() args
  * Add infinite loop checking in AML method execution
  * New upstream version 0.19.27

 -- Colin King <colin.king@canonical.com>  Fri, 26 Nov 2010 11:26:47 +0000

fwts (0.19.26) maverick; urgency=low

  * Add more ACPI method tests
  * New upstream version 0.19.26

 -- Colin King <colin.king@canonical.com>  Tue, 23 Nov 2010 15:41:34 +0000

fwts (0.19.25) maverick; urgency=low

  * Add in ACPICA core + ACPI method tests
  * New upstream version 0.19.25

 -- Colin King <colin.king@canonical.com>  Tue, 23 Nov 2010 10:02:10 +0000

fwts (0.19.24) maverick; urgency=low

  * Minor changes in help text and better CMOS error detection.
  * New upstream version 0.19.24

 -- Colin King <colin.king@canonical.com>  Sun, 21 Nov 2010 12:22:21 +0000

fwts (0.19.23) maverick; urgency=low

  * More intelligent advice for FADT pointer mismatches to FACS
  * New upstream version 0.19.23

 -- Colin King <colin.king@canonical.com>  Fri, 19 Nov 2010 18:36:56 +0000

fwts (0.19.22) maverick; urgency=low

  * Add \_SB_._OSC buffer overflow checking
  * Add more graceful ACPI table load failure error handling
  * New upstream version 0.19.22

 -- Colin King <colin.king@canonical.com>  Thu, 18 Nov 2010 13:48:03 +0000

fwts (0.19.21) maverick; urgency=low

  * Fix wmi and hpet test breakage
  * New upstream version 0.19.21

 -- Colin King <colin.king@canonical.com>  Mon, 15 Nov 2010 17:39:34 +0000

fwts (0.19.20) maverick; urgency=low

  * Add acpitable test
  * New upstream version 0.19.20

 -- Colin King <colin.king@canonical.com>  Mon, 15 Nov 2010 13:22:23 +0000

fwts (0.19.19) maverick; urgency=low

  * Add acpitable test
  * New upstream version 0.19.19

 -- Colin King <colin.king@canonical.com>  Fri, 12 Nov 2010 15:33:17 +0000

fwts (0.19.18) maverick; urgency=low

  * Update makefile
  * New upstream version 0.19.18

 -- Colin King <colin.king@canonical.com>  Thu, 11 Nov 2010 15:37:53 +0000

fwts (0.19.17) maverick; urgency=low

  * klog data now in json formatted datafile
  * New upstream version 0.19.17

 -- Colin King <colin.king@canonical.com>  Thu, 11 Nov 2010 14:59:02 +0000

fwts (0.19.16) maverick; urgency=low

  * New upstream version 0.19.16

 -- Colin King <colin.king@canonical.com>  Wed, 10 Nov 2010 16:24:27 +0000

fwts (0.19.15) maverick; urgency=low

  * New upstream version 0.19.15

 -- Colin King <colin.king@canonical.com>  Wed, 10 Nov 2010 09:15:02 +0100

fwts (0.19.14) maverick; urgency=low

  * New upstream version 0.19.14

 -- Colin King <colin.king@canonical.com>  Tue, 9 Nov 2010 15:59:32 +0100

fwts (0.19.13) maverick; urgency=low

  * New upstream version 0.19.13

 -- Colin King <colin.king@canonical.com>  Sat, 6 Nov 2010 15:35:10 +0100

fwts (0.19.12) maverick; urgency=low

